commit 895be127
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-29

    Bump version to 2.57

configure.ac

commit ca39bf43
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-29

    Add missing file: graph_blockmodel_dynamics_ising_glauber_mcmc_h.cc
    
    This fixes #757

Makefile.am
src/graph/inference/uncertain/graph_blockmodel_dynamics_ising_glauber_mcmc_h.cc

commit e8af661f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-29

    Fix remaining numpy 1.25 incompatibility

src/graph_tool/clustering/__init__.py
src/graph_tool/flow/__init__.py
src/graph_tool/inference/planted_partition.py

commit 6faec236
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-29

    Fix compatibility issue with numpy 1.25
    
    This fixes #758

src/graph_tool/inference/base_states.py
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/mcmc.py
src/graph_tool/inference/minimize.py
src/graph_tool/inference/overlap_blockmodel.py
src/graph_tool/inference/partition_centroid.py
src/graph_tool/inference/partition_modes.py
src/graph_tool/inference/planted_partition.py
src/graph_tool/inference/ranked.py
src/graph_tool/inference/uncertain_blockmodel.py

commit 7ff21297
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-18

    generate_knn(): add support for hints

src/graph/generation/graph_knn.cc
src/graph/generation/graph_knn.hh

commit 9d748594
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-10

    generate_knn(): reduce memory usage

src/graph/generation/graph_knn.hh

commit c800e949
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-10

    generate_knn(): replace distance cache with visited list

src/graph/generation/graph_knn.cc
src/graph/generation/graph_knn.hh
src/graph_tool/generation/__init__.py

commit 8fe54544
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-18

    blockmodel: add default values for entropy_args_t

src/graph/inference/blockmodel/graph_blockmodel_entropy.hh

commit 3ce5d419
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-29

    cache.hh: improve multithreaded performance

src/graph/inference/blockmodel/graph_blockmodel_partition.hh
src/graph/inference/graph_inference.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.cc
src/graph/inference/support/cache.cc
src/graph/inference/support/cache.hh
src/graph/inference/support/util.hh
src/graph_tool/__init__.py
src/graph_tool/inference/__init__.py

commit c41e2156
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-09

    Bump version to 2.57dev

configure.ac

commit 1170c71a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-09

    Bump version to 2.56

configure.ac

commit dab03a06
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-09

    CI: fix docker copy

.gitlab-ci.yml

commit 4d7a1310
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-09

    CI: increase job number for doctests

.gitlab-ci.yml

commit 9e6dcf9d
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-09

    inference.rst: fix table alignment

doc/demos/inference/_background.rst

commit b0c1f598
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-08

    Fix string termination

src/graph/numpy_bind.hh

commit dd889b21
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-08

    Preserve compatibility with Python < 3.10

src/graph/graph_bind.cc
src/graph/numpy_bind.hh

commit 35addb30
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-08

    Fix docstring

doc/demos/inference/_reconstruction.rst

commit d4af7eba
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-08

    arf_layout(): add OpenMP barrier

src/graph/layout/graph_arf.hh

commit 430888fc
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-08

    arf_layout(): change initialization

src/graph/layout/graph_arf.hh
src/graph_tool/draw/__init__.py

commit 2a89edee
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-08

    Fix doctest

src/graph_tool/draw/__init__.py

commit 7a931ec9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-08

    Add missing flow-example.xml.gz

doc/flow-example.xml.gz

commit 08f17c43
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-08

    CI: fix test pipeline

.gitlab-ci.yml

commit afa823a5
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-08

    Fix docstrings

doc/demos/inference/_prediction.rst
doc/demos/inference/_reconstruction.rst
doc/demos/inference/_reconstruction_dynamics.rst
src/graph_tool/draw/__init__.py
src/graph_tool/topology/__init__.py

commit 803fc78c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-08

    CI: copy build directory via docker cp

.gitlab-ci.yml

commit fef6b91b
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-08

    CI: use GNU parallel for doctests

.gitlab-ci.yml

commit 8e0e837e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-08

    Fix docstring tests after prng update

doc/demos/inference/_edge_weights.rst
doc/demos/inference/_minimization.rst
doc/demos/inference/_model_class_selection.rst
doc/demos/inference/_model_selection.rst
doc/demos/inference/_reconstruction.rst
doc/demos/inference/_sampling.rst
src/graph_tool/__init__.py
src/graph_tool/clustering/__init__.py
src/graph_tool/dynamics/__init__.py
src/graph_tool/generation/__init__.py
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/clique_decomposition.py
src/graph_tool/inference/partition_modes.py
src/graph_tool/stats/__init__.py
src/graph_tool/topology/__init__.py

commit 00ade327
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-08

    Fix vector-valued property map assignment

src/graph/graph_bind.cc

commit f2ea2dbe
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-08

    uncertain_blockmodel: rename max_w to max_m

src/graph/inference/uncertain/graph_blockmodel_measured.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain.hh
src/graph_tool/inference/uncertain_blockmodel.py

commit 5759284b
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-08

    graph_state.hh: add std::forward() calls

src/graph/inference/support/graph_state.hh

commit 58ee1c51
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-08

    Implement dispatch for map(), rmap(), and contiguous_map()

src/graph/inference/graph_inference.cc
src/graph_tool/inference/util.py

commit 114b746a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-08

    Add openmp.hh convenience header

Makefile.am
src/graph/graph_python_interface.hh
src/graph/openmp.hh
src/graph/parallel_rng.hh

commit cd52cc01
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-08

    graph_blockmodel.hh: fix modify_edge_dS()

src/graph/inference/blockmodel/graph_blockmodel.hh

commit 95532db5
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-04

    generate_knn(): fix nearest implementation and improve knn

src/graph/generation/graph_knn.hh

commit 8303f7c3
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-06-03

    numpy_bind.hh: check for array object

src/graph/graph_bind.cc
src/graph/numpy_bind.hh

commit 230057e5
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-30

    fibonacci_search.hh: fix includes and namespace

src/graph/inference/support/fibonacci_search.hh

commit f7ea5eac
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-30

    Update uncertain_marginal.cc

src/graph/inference/uncertain/graph_blockmodel_uncertain_marginal.cc

commit 0d77c3a7
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-29

    Refactor PRNG state handling
    
    This ensures that multiple threads always point to different streams of
    the same global PRNG state. In particular, this works when both pthreads
    and OpenMP threads are spawned simultaneously.

src/graph/dynamics/graph_continuous.hh
src/graph/dynamics/graph_discrete.hh
src/graph/generation/graph_knn.hh
src/graph/graph_bind.cc
src/graph/inference/blockmodel/graph_blockmodel_gibbs.cc
src/graph/inference/blockmodel/graph_blockmodel_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_multilevel_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_gibbs.cc
src/graph/inference/layers/graph_blockmodel_layers_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_multiflip_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_multilevel_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_gibbs.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multiflip_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multilevel_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_gibbs.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multiflip_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multilevel_mcmc.cc
src/graph/parallel_rng.hh
src/graph/random.cc
src/graph/random.hh
src/graph_tool/__init__.py

commit 85a5eb8c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-29

    parallel_rng.hh: fix race condition when using Python threads

src/graph/parallel_rng.hh

commit 587637f9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-27

    Preserve compatibility with numpy < 1.17

src/graph_tool/__init__.py

commit 64eef106
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-26

    Implement multithreaded RNGs

src/graph_tool/__init__.py

commit ec21483e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-26

    dynamics: release GIL during iteration

src/graph/dynamics/graph_discrete.cc

commit 0e8bceb6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-25

    generate_knn(): implement 'local' and 'max_rk' parameters

src/graph/generation/graph_knn.cc
src/graph/generation/graph_knn.hh
src/graph_tool/generation/__init__.py

commit 6336e079
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-25

    graph_util.hh: move parallel loops threshold to regular parameter

src/graph/graph_util.hh

commit 0273139f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-25

    Fix compilation error with clang

src/graph/inference/support/fibonacci_search.hh

commit 43157d5f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-15

    generate_knn(): introduce max_cache_size parameter

src/graph/generation/graph_knn.cc
src/graph/generation/graph_knn.hh
src/graph_tool/generation/__init__.py

commit 6a8c93eb
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-20

    cache.hh: solve race condition via local thread storage
    
    This also enables size doubling for amortized constant growth.

src/graph/inference/support/cache.cc
src/graph/inference/support/cache.hh

commit a2f534c0
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-25

    pmap(): handle empty array

src/graph_tool/inference/util.py

commit 9f01a22c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-25

    Externalized Fibonacci search from multilevel.hh

Makefile.am
src/graph/inference/graph_inference.cc
src/graph/inference/loops/multilevel.hh
src/graph/inference/support/fibonacci_search.hh

commit bd9d227a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-07

    CI: add latest tag to docker images

.gitlab-ci.yml

commit 4581ead9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-07

    CI: fix docker tag

.gitlab-ci.yml

commit 6c91e007
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-07

    CI: use tags for docker builds

.gitlab-ci.yml

commit ccbf9b01
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-07

    Remove redundant std::move() call

src/graph/inference/blockmodel/graph_blockmodel_gibbs.cc
src/graph/inference/blockmodel/graph_blockmodel_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_multilevel_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_gibbs.cc
src/graph/inference/layers/graph_blockmodel_layers_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_multiflip_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_multilevel_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_gibbs.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multiflip_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multilevel_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_gibbs.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multiflip_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multilevel_mcmc.cc

commit 95bf57ab
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-02

    Fix typo in doc

src/graph_tool/topology/__init__.py

commit 7b36c88c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-01

    Small doc improvement

doc/demos/inference/_background.rst

commit 328e1afe
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-01

    Bump version to 2.56dev

configure.ac

commit a065b259
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-01

    Bump version to 2.55

configure.ac

commit a622409c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-01

    Graph.edge(): fix docstring

src/graph_tool/__init__.py

commit d6a994f3
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-05-01

    EdgePropertyMap: Add support for (source, target) indexing

doc/quickstart.rst
src/graph_tool/__init__.py

commit 4587af39
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-30

    LayeredBlockState.get_edges_prob(): fix typo

src/graph_tool/inference/layered_blockmodel.py

commit 9940f08c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-27

    blockmodel: fix directed edge update entropy delta

src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_partition.hh

commit 89218de8
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-24

    global_clustering(): implement `sampled` option

src/graph/clustering/graph_clustering.cc
src/graph/clustering/graph_clustering.hh
src/graph_tool/clustering/__init__.py

commit 7e151328
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-24

    idx_map.hh: confine position sizes to multiples of two

src/graph/idx_map.hh

commit eeec5180
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-23

    Cosmetic whitespace

src/graph/centrality/graph_pagerank.cc

commit 574e26b9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-23

    Disable size checking for idx_map<> in some places

src/graph/generation/graph_contract_edges.hh
src/graph/generation/graph_price.hh
src/graph/topology/graph_similarity.hh

commit 790a0043
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-23

    idx_map.hh: remove resize bottleneck()
    
    Resizing one item at a time can lead to O(N) insertion. This switches to
    size doubling, which gives us O(1).

src/graph/idx_map.hh

commit 3dac0bfc
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-23

    global/local_clustering(): small speedup

src/graph/clustering/graph_clustering.cc
src/graph/clustering/graph_clustering.hh

commit 8d2e2030
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-21

    Documentation: remove invalid :no-member:

doc/generation.rst
doc/spectral.rst

commit bf69f1a1
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-21

    Change spelling: indexes -> indices
    
    Both are correct, but latin version is more pleasing.

doc/gt_format.rst
doc/quickstart.rst
src/graph/graph_adjacency.hh
src/graph/graph_filtering.cc
src/graph/graph_io.cc
src/graph_tool/__init__.py
src/graph_tool/collection/__init__.py
src/graph_tool/generation/__init__.py
src/graph_tool/spectral/__init__.py
src/graph_tool/topology/__init__.py

commit 876736ad
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-21

    Small doc improvements

doc/conf.py
doc/demos/animation/animation.rst

commit 31cc1369
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-20

    Fix docstrings and enable opengraph tags

doc/centrality.rst
doc/clustering.rst
doc/collection.rst
doc/conf.py
doc/correlations.rst
doc/draw.rst
doc/dynamics.rst
doc/flow.rst
doc/graph_tool.rst
doc/inference.rst
doc/quickstart.rst
doc/stats.rst
doc/topology.rst
doc/util.rst
src/graph_tool/collection/__init__.py

commit 6672e37a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-20

    Bump version to 2.55dev

configure.ac

commit 2c209160
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-20

    Bump version to 2.54

configure.ac

commit 31b1d5a8
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-20

    Fix docstringc

.gitlab-ci.yml
doc/.templates/graph.rst
src/graph_tool/__init__.py
src/graph_tool/clustering/__init__.py
src/graph_tool/generation/__init__.py
src/graph_tool/inference/partition_centroid.py
src/graph_tool/inference/partition_modes.py
src/graph_tool/search/__init__.py
src/graph_tool/stats/__init__.py
src/graph_tool/topology/__init__.py

commit 17316525
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-20

    graph_blockmodel.hh: fix edge entropy delta computation with self-loops

src/graph/inference/blockmodel/graph_blockmodel.hh

commit 20b1e07d
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-20

    Revamp documentation

Makefile.am
doc/.templates/class.rst
doc/.templates/graph.rst
doc/.templates/layout.html
doc/centrality.rst
doc/clustering.rst
doc/collection.rst
doc/conf.py
doc/correlations.rst
doc/demos/animation/animation.rst
doc/demos/cppextensions/cppextensions.rst
doc/demos/index.rst
doc/demos/inference/_reconstruction.rst
doc/demos/inference/_reconstruction_dynamics.rst
doc/demos/matplotlib/matplotlib.rst
doc/draw.rst
doc/dynamics.rst
doc/flow.rst
doc/generation.rst
doc/graph_tool.rst
doc/index.rst
doc/inference.rst
doc/modules.rst
doc/quickstart.rst
doc/search_module.rst
doc/spectral.rst
doc/stats.rst
doc/topology.rst
doc/util.rst
src/graph/generation/graph_parallel.cc
src/graph/generation/graph_parallel.hh
src/graph_tool/__init__.py
src/graph_tool/centrality/__init__.py
src/graph_tool/clustering/__init__.py
src/graph_tool/collection/__init__.py
src/graph_tool/correlations/__init__.py
src/graph_tool/draw/__init__.py
src/graph_tool/draw/cairo_draw.py
src/graph_tool/dynamics/__init__.py
src/graph_tool/flow/__init__.py
src/graph_tool/generation/__init__.py
src/graph_tool/inference/__init__.py
src/graph_tool/search/__init__.py
src/graph_tool/spectral/__init__.py
src/graph_tool/stats/__init__.py
src/graph_tool/topology/__init__.py
src/graph_tool/util/__init__.py

commit 8de571ae
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-16

    idx_map.hh: implement check_size parameter

src/graph/generation/graph_knn.hh
src/graph/idx_map.hh

commit 47abc0f9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-15

    generate_knn(): remove sync mode

src/graph/generation/graph_knn.hh

commit 6f18002b
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-13

    generate_knn(): fix bug with clear_vertex()

src/graph/generation/graph_knn.hh
src/graph/shared_heap.hh
src/graph_tool/generation/__init__.py

commit 1f07fd28
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-10

    CI: fix problem with multiple deb files

.gitlab-ci.yml

commit 113f0ef3
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-13

    generate_knn(): add 'verbose' option and sync mode

src/graph/generation/graph_knn.cc
src/graph/generation/graph_knn.hh
src/graph_tool/generation/__init__.py

commit 52407ad1
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-11

    blockmodel: optimize edge modification delta computation

src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_partition.hh
src/graph/inference/blockmodel/graph_blockmodel_util.hh
src/graph/inference/layers/graph_blockmodel_layers.hh
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics.hh
src/graph/inference/uncertain/graph_blockmodel_latent_closure.hh
src/graph/inference/uncertain/graph_blockmodel_latent_layers.hh
src/graph/inference/uncertain/graph_blockmodel_measured.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain.hh

commit 06180aab
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-10

    CI: fix arm64 builds

.gitlab-ci.yml

commit 27085a6c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-06

    similarity(): improve documentation

src/graph_tool/topology/__init__.py

commit 0a7975d1
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-03

    similarity(): improve documentation
    
    Include relationship with set operations

src/graph/topology/graph_similarity.hh
src/graph_tool/topology/__init__.py

commit ebc5ecbc
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-06

    gererate_knn(): fix distance caching

src/graph/generation/graph_knn.hh

commit e3b4fb58
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-10

    contract_parallel_edges(): fix bug with parallel self-loops

src/graph/generation/graph_contract_edges.hh
src/graph/stats/graph_parallel.cc
src/graph/stats/graph_parallel.hh

commit 446226da
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-09

    dynamics: fix doctests

src/graph_tool/dynamics/__init__.py

commit 99f1910f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-09

    Bump version to 2.54dev

configure.ac

commit be7ccc5f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-09

    Bump version to 2.53

configure.ac

commit 043cde6c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-09

    graph_ranked.hh: remove unused variable

src/graph/inference/ranked/graph_ranked.hh

commit 6232dfd7
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-09

    CI: fix debian name collision

.gitlab-ci.yml

commit bed1299e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-09

    CI: safeguard from inocuous aplty errors

.gitlab-ci.yml

commit eb2366c5
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-09

    CI: add remaning debian/ubuntu builds

.gitlab-ci.yml

commit a3bfe2db
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-08

    CI: fix aptly publish

.gitlab-ci.yml

commit 37bfeaf2
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-08

    CI: Fix debian build

.gitlab-ci.yml

commit d80217c2
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-08

    CI: disable '-flto' and enable opnemp in clang build

.gitlab-ci.yml

commit 015ad002
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-08

    CI: add --pull option to docker build

.gitlab-ci.yml

commit fb9c2ac1
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-08

    CI: change nice to 19 and enforce `NJOBS`

release/debian/Dockerfile
release/docker/Dockerfile

commit 3e00f30e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-08

    CI: change debian package version from ~dev to ~git

.gitlab-ci.yml
release/debian/Dockerfile

commit f40b950c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-08

    CI: fix version computation in debian Dockerfile

release/debian/Dockerfile

commit 74936369
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-08

    CI: remove '-flto' from docker build

release/docker/Dockerfile

commit 53b85399
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-08

    CI: fix debian Dockerfile

release/debian/Dockerfile

commit cf737981
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-08

    CI: implement continuous debian::sid build

.gitlab-ci.yml
release/debian/Dockerfile

commit 43e71849
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-08

    CI: fix details in docker build

release/docker/Dockerfile
release/docker/PKGBUILD

commit 2dbd2f9f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-08

    CI: add continuous docker build
    
    This adds a continous docker build with linux 4 support for HPC systems.

.gitlab-ci.yml
release/docker/Dockerfile

commit 7b87cd76
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-08

    Fix doctests

doc/demos/inference/_layers.rst
doc/gt_format.rst

commit 641f336d
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-08

    Change default colormap heuristic

src/graph_tool/draw/__init__.py
src/graph_tool/draw/cairo_draw.py
src/graph_tool/inference/base_states.py
src/graph_tool/inference/nested_blockmodel.py

commit 1eaa8537
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-08

    draw_hierarchy(): document 'node_weight' parameter

src/graph_tool/draw/cairo_draw.py

commit be6bfeac
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-08

    RankedBlockState: fix issue with NestedBlockState

src/graph/inference/ranked/graph_ranked.hh

commit 75dd86a2
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-07

    MeasuredClosureBlockState: fix 'max_w' parameter

src/graph/inference/uncertain/graph_blockmodel_latent_layers.hh
src/graph/inference/uncertain/graph_blockmodel_measured.hh

commit 6125e208
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-07

    Update doctests

doc/demos/inference/_ranked.rst
doc/demos/inference/_reconstruction.rst

commit 11df6714
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-07

    Fix compilation warning

src/graph/inference/ranked/graph_ranked.hh

commit 447dd6d6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-07

    Bump version to 2.53dev

configure.ac

commit 220c1095
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-07

    Bump version to 2.52

configure.ac

commit bd33452b
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-07

    RankedBlockState: fix MCMC updates

src/graph/inference/ranked/graph_ranked.hh
src/graph_tool/inference/ranked.py

commit 44ce1e83
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-06

    Bump version to 2.51

configure.ac

commit c765a8c4
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-05

    Bump version to 2.51

configure.ac

commit 146e4440
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-05

    Re-institute [[gnu::pure]] annotations

src/graph/inference/support/cache.hh

commit ddcfcc52
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-09-14

    uncertain_blockmodel.py: Add `max_w` parameter
    
    This parameter limits the maximum edge multiplicity during inference.

src/graph/inference/uncertain/graph_blockmodel_latent_layers.hh
src/graph/inference/uncertain/graph_blockmodel_measured.hh
src/graph_tool/inference/latent_layers.py
src/graph_tool/inference/uncertain_blockmodel.py

commit 4e802f29
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-05

    Fix GIL release for multithreaded case

src/graph/graph_python_interface.hh

commit 0a2f90de
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-04

    Bump version to 2.51dev

configure.ac

commit a357cb52
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-04

    Bump version to 2.50

configure.ac

commit 6e7caab3
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-04

    cache.hh: disable [[gnu:pure]] in cached functions
    
    The usage of [[gnu:pure]] should be allowed in these instances, but
    their presence causes segfault (and invalid reads according to valgrind)
    with GCC, including version 12 (the latest at the time of this writing).

src/graph/inference/support/cache.hh

commit 6c4c1184
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-02

    Bump version to 2.50dev

configure.ac

commit c2b30835
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-01

    Bump version to 2.49

configure.ac

commit fd505551
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-01

    inference/uncertain: fix issue with directed graphs and ``deg_corr``

src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_partition.hh
src/graph_tool/inference/uncertain_blockmodel.py

commit 2958e123
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-01

    MeasuredBlockState: Implement parameters ``lp`` and ``lq``

src/graph/inference/uncertain/graph_blockmodel_latent_layers.hh
src/graph/inference/uncertain/graph_blockmodel_measured.hh
src/graph_tool/inference/latent_layers.py
src/graph_tool/inference/uncertain_blockmodel.py

commit 463bce42
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-01

    Add missing ``[[gnu::const]]`` attribute to log_sum_exp()

src/graph/inference/support/util.hh

commit f178a172
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-04-01

    graph_blockmodel.hh: fix edge update for ``deg_corr == False``

src/graph/inference/blockmodel/graph_blockmodel.hh

commit c8bb540f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-31

    Improve selection of graph views for specific cases

src/graph/graph_filtering.hh
src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/ranked/graph_ranked.cc
src/graph/inference/ranked/graph_ranked_gibbs.cc
src/graph/inference/ranked/graph_ranked_mcmc.cc
src/graph/inference/ranked/graph_ranked_multiflip_mcmc.cc
src/graph/inference/ranked/graph_ranked_multilevel_mcmc.cc

commit eeeb40d6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-16

    log_sum_exp(): implement multivariate function

src/graph/inference/support/util.hh

commit e5140348
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-07

    log_sum_exp(): ensure appropriate return value type

src/graph/inference/support/util.hh

commit 3bb8eb30
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-07-02

    load_from_csv(): fix hash_type != "string" conversion

src/graph_tool/__init__.py

commit 1e3ed05d
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-06-10

    graph_draw(): fix automatic ink setting with mplfig

src/graph_tool/draw/cairo_draw.py

commit 2df9fa2c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-31

    RankedBlockState: fix hierarchical drawing

src/graph_tool/inference/ranked.py

commit 19fa9988
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-31

    ranked.rst: use contract_parallel_edges() in example

doc/demos/inference/_ranked.rst

commit 6db4293f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-30

    configure.ac: remove trailing spaces

configure.ac

commit 5e808a16
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-30

    Graph(): add ``fast_edge_removal`` option to constructor
    
    This setting will now also be saved with the graph.

src/graph_tool/__init__.py

commit 162bb479
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-30

    inference: implement cached m_entries optimization

src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_gibbs.hh
src/graph/inference/blockmodel/graph_blockmodel_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_multilevel_mcmc.hh
src/graph/inference/layers/graph_blockmodel_layers.hh
src/graph/inference/layers/graph_blockmodel_layers_imp.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap.cc
src/graph/inference/loops/merge_split.hh
src/graph/inference/loops/multilevel.hh
src/graph/inference/modularity/graph_modularity.hh
src/graph/inference/norm_cut/graph_norm_cut.hh
src/graph/inference/overlap/graph_blockmodel_overlap.cc
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph/inference/partition_centroid/graph_partition_centroid.hh
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.hh
src/graph/inference/partition_modes/graph_partition_mode_clustering.hh
src/graph/inference/planted_partition/graph_planted_partition.hh
src/graph/inference/ranked/graph_ranked.hh
src/graph/inference/ranked/graph_ranked_mcmc.hh
src/graph/inference/ranked/graph_ranked_multiflip_mcmc.hh
src/graph/inference/ranked/graph_ranked_multilevel_mcmc.hh

commit 46a04521
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-30

    filt_graph<>: accept boost::keep_all as predicate

src/graph/graph_filtered.hh

commit 385cd0b2
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-30

    graph_adjacency.hh: Add optional number of vertices to constructor

src/graph/graph_adjacency.hh

commit 23a17e76
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-30

    Improve generate_knn() and add `pairs` option for nearest pairs

Makefile.am
src/graph/generation/graph_contract_edges.hh
src/graph/generation/graph_knn.cc
src/graph/generation/graph_knn.hh
src/graph/shared_heap.hh
src/graph/shared_map.hh
src/graph_tool/generation/__init__.py

commit 8669c5ea
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-21

    Add Graph.__len__() alias to Graph.num_vertices()
    
    This fixes #755.

src/graph_tool/__init__.py

commit fc43b0a9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-19

    Bump version to 2.49dev

configure.ac

commit b4993dc1
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-19

    Bump version to 2.48

configure.ac

commit 2a23bee8
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-19

    CI: add template for debian builds and split platforms

.gitlab-ci.yml

commit 4b6d560f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-19

    Fix log_sum_exp() bind issue with clang

src/graph/inference/graph_inference.cc

commit 80609875
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-19

    dl_import.py: cleanup old dl_flags cruft

src/graph_tool/dl_import.py

commit a723584b
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-19

    module_registry.hh: avoid static initialization issue on MacOS
    
    This implements the more elegant 'Construct On First Use Idiom' to
    avoid the static initialization race condition, instead of relying on the
    ``init_priorty`` attribute, which does not seem to work propery in
    MacOS.

src/graph/module_registry.hh

commit 6859f9c5
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-17

    Bump version to 2.48dev

configure.ac

commit 9a1db7be
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-17

    Bump version to 2.47

configure.ac

commit 57f0adb8
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-16

    Graph.add_edge_list(): fix issue with hashed or `None` descriptors

src/graph_tool/__init__.py

commit 9feb4a94
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-16

    Graph.add_edge_list(): Accept any object which can be converted to vertex indexes
    
    This fixes #754

src/graph_tool/__init__.py

commit 573678d4
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-16

    module_registry: implement priorities

src/graph/centrality/graph_eigenvector.cc
src/graph/flow/graph_kolmogorov.cc
src/graph/flow/graph_minimum_cut.cc
src/graph/flow/graph_push_relabel.cc
src/graph/generation/graph_line_graph.cc
src/graph/generation/graph_predecessor.cc
src/graph/generation/graph_price.cc
src/graph/generation/graph_union.cc
src/graph/generation/graph_union_eprop.cc
src/graph/generation/graph_union_vprop.cc
src/graph/inference/blockmodel/graph_blockmodel.cc
src/graph/inference/blockmodel/graph_blockmodel_imp2.cc
src/graph/inference/blockmodel/graph_blockmodel_imp3.cc
src/graph/module_registry.hh
src/graph/topology/graph_bipartite.cc

commit ac70179a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-16

    Implement module registry infrastructure

Makefile.am
src/graph/centrality/graph_betweenness.cc
src/graph/centrality/graph_centrality_bind.cc
src/graph/centrality/graph_closeness.cc
src/graph/centrality/graph_eigentrust.cc
src/graph/centrality/graph_eigenvector.cc
src/graph/centrality/graph_hits.cc
src/graph/centrality/graph_katz.cc
src/graph/centrality/graph_pagerank.cc
src/graph/centrality/graph_trust_transitivity.cc
src/graph/clustering/graph_clustering.cc
src/graph/clustering/graph_extended_clustering.cc
src/graph/clustering/graph_motifs.cc
src/graph/correlations/graph_assortativity.cc
src/graph/correlations/graph_avg_correlations.cc
src/graph/correlations/graph_avg_correlations_combined.cc
src/graph/correlations/graph_correlations.cc
src/graph/correlations/graph_correlations_bind.cc
src/graph/correlations/graph_correlations_combined.cc
src/graph/dynamics/graph_continuous.cc
src/graph/dynamics/graph_discrete.cc
src/graph/dynamics/graph_dynamics.cc
src/graph/flow/graph_edmonds_karp.cc
src/graph/flow/graph_flow_bind.cc
src/graph/flow/graph_kolmogorov.cc
src/graph/flow/graph_minimum_cut.cc
src/graph/flow/graph_push_relabel.cc
src/graph/generation/graph_community_network.cc
src/graph/generation/graph_community_network_eavg.cc
src/graph/generation/graph_community_network_vavg.cc
src/graph/generation/graph_complete.cc
src/graph/generation/graph_contract_edges.cc
src/graph/generation/graph_generation.cc
src/graph/generation/graph_geometric.cc
src/graph/generation/graph_knn.cc
src/graph/generation/graph_lattice.cc
src/graph/generation/graph_line_graph.cc
src/graph/generation/graph_maxent_sbm.cc
src/graph/generation/graph_predecessor.cc
src/graph/generation/graph_price.cc
src/graph/generation/graph_random_edges.cc
src/graph/generation/graph_rewiring.cc
src/graph/generation/graph_sbm.cc
src/graph/generation/graph_triadic_closure.cc
src/graph/generation/graph_triangulation.cc
src/graph/generation/graph_union.cc
src/graph/generation/graph_union_eprop.cc
src/graph/generation/graph_union_vprop.cc
src/graph/inference/blockmodel/graph_blockmodel.cc
src/graph/inference/blockmodel/graph_blockmodel_em.cc
src/graph/inference/blockmodel/graph_blockmodel_exhaustive.cc
src/graph/inference/blockmodel/graph_blockmodel_gibbs.cc
src/graph/inference/blockmodel/graph_blockmodel_imp2.cc
src/graph/inference/blockmodel/graph_blockmodel_imp3.cc
src/graph/inference/blockmodel/graph_blockmodel_marginals.cc
src/graph/inference/blockmodel/graph_blockmodel_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_multicanonical.cc
src/graph/inference/blockmodel/graph_blockmodel_multicanonical_multiflip.cc
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_multilevel_mcmc.cc
src/graph/inference/cliques/graph_clique_decomposition.cc
src/graph/inference/graph_inference.cc
src/graph/inference/graph_latent_multigraph.cc
src/graph/inference/graph_modularity.cc
src/graph/inference/histogram/graph_histogram.cc
src/graph/inference/histogram/graph_histogram_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers.cc
src/graph/inference/layers/graph_blockmodel_layers_exhaustive.cc
src/graph/inference/layers/graph_blockmodel_layers_gibbs.cc
src/graph/inference/layers/graph_blockmodel_layers_imp.cc
src/graph/inference/layers/graph_blockmodel_layers_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_multicanonical.cc
src/graph/inference/layers/graph_blockmodel_layers_multicanonical_multiflip.cc
src/graph/inference/layers/graph_blockmodel_layers_multiflip_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_multilevel_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_exhaustive.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_gibbs.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_mcmc_bundled.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multicanonical.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multicanonical_multiflip.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multiflip_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multilevel_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_vacate.cc
src/graph/inference/modularity/graph_modularity.cc
src/graph/inference/modularity/graph_modularity_gibbs.cc
src/graph/inference/modularity/graph_modularity_mcmc.cc
src/graph/inference/modularity/graph_modularity_multiflip_mcmc.cc
src/graph/inference/modularity/graph_modularity_multilevel_mcmc.cc
src/graph/inference/norm_cut/graph_norm_cut.cc
src/graph/inference/norm_cut/graph_norm_cut_gibbs.cc
src/graph/inference/norm_cut/graph_norm_cut_mcmc.cc
src/graph/inference/norm_cut/graph_norm_cut_multiflip_mcmc.cc
src/graph/inference/norm_cut/graph_norm_cut_multilevel_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap.cc
src/graph/inference/overlap/graph_blockmodel_overlap_exhaustive.cc
src/graph/inference/overlap/graph_blockmodel_overlap_gibbs.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc_bundled.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multicanonical.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multicanonical_multiflip.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multiflip_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multilevel_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_vacate.cc
src/graph/inference/partition_centroid/graph_partition_centroid.cc
src/graph/inference/partition_centroid/graph_partition_centroid_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_multiflip_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_multilevel_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi_multiflip_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi_multilevel_mcmc.cc
src/graph/inference/partition_modes/graph_partition_mode.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering_mcmc.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering_multiflip_mcmc.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering_multilevel_mcmc.cc
src/graph/inference/planted_partition/graph_planted_partition.cc
src/graph/inference/planted_partition/graph_planted_partition_gibbs.cc
src/graph/inference/planted_partition/graph_planted_partition_mcmc.cc
src/graph/inference/planted_partition/graph_planted_partition_multiflip_mcmc.cc
src/graph/inference/planted_partition/graph_planted_partition_multilevel_mcmc.cc
src/graph/inference/ranked/graph_ranked.cc
src/graph/inference/ranked/graph_ranked_gibbs.cc
src/graph/inference/ranked/graph_ranked_mcmc.cc
src/graph/inference/ranked/graph_ranked_multiflip_mcmc.cc
src/graph/inference/ranked/graph_ranked_multilevel_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_cising_glauber.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_cising_glauber_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics_mcmc_r.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_ising_glauber.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_ising_glauber_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising_mcmc_h.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising_mcmc_h.cc
src/graph/inference/uncertain/graph_blockmodel_latent_closure.cc
src/graph/inference/uncertain/graph_blockmodel_latent_closure_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_measured.cc
src/graph/inference/uncertain/graph_blockmodel_measured_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain_marginal.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain_mcmc.cc
src/graph/layout/graph_arf.cc
src/graph/layout/graph_bind_layout.cc
src/graph/layout/graph_fruchterman_reingold.cc
src/graph/layout/graph_planar_layout.cc
src/graph/layout/graph_radial.cc
src/graph/layout/graph_sfdp.cc
src/graph/module_registry.hh
src/graph/search/graph_astar.cc
src/graph/search/graph_astar_implicit.cc
src/graph/search/graph_bellman_ford.cc
src/graph/search/graph_bfs.cc
src/graph/search/graph_dfs.cc
src/graph/search/graph_dijkstra.cc
src/graph/search/graph_search_bind.cc
src/graph/spectral/graph_adjacency.cc
src/graph/spectral/graph_incidence.cc
src/graph/spectral/graph_laplacian.cc
src/graph/spectral/graph_matrix.cc
src/graph/spectral/graph_nonbacktracking.cc
src/graph/spectral/graph_norm_laplacian.cc
src/graph/spectral/graph_transition.cc
src/graph/stats/graph_average.cc
src/graph/stats/graph_distance.cc
src/graph/stats/graph_distance_sampled.cc
src/graph/stats/graph_histograms.cc
src/graph/stats/graph_parallel.cc
src/graph/stats/graph_stats_bind.cc
src/graph/topology/graph_all_circuits.cc
src/graph/topology/graph_all_distances.cc
src/graph/topology/graph_bipartite.cc
src/graph/topology/graph_components.cc
src/graph/topology/graph_diameter.cc
src/graph/topology/graph_distance.cc
src/graph/topology/graph_dominator_tree.cc
src/graph/topology/graph_isomorphism.cc
src/graph/topology/graph_kcore.cc
src/graph/topology/graph_matching.cc
src/graph/topology/graph_maximal_cliques.cc
src/graph/topology/graph_maximal_planar.cc
src/graph/topology/graph_maximal_vertex_set.cc
src/graph/topology/graph_minimum_spanning_tree.cc
src/graph/topology/graph_percolation.cc
src/graph/topology/graph_planar.cc
src/graph/topology/graph_random_matching.cc
src/graph/topology/graph_random_spanning_tree.cc
src/graph/topology/graph_reciprocity.cc
src/graph/topology/graph_sequential_color.cc
src/graph/topology/graph_similarity.cc
src/graph/topology/graph_subgraph_isomorphism.cc
src/graph/topology/graph_topological_sort.cc
src/graph/topology/graph_topology.cc
src/graph/topology/graph_transitive_closure.cc
src/graph/topology/graph_tsp.cc
src/graph/topology/graph_vertex_similarity.cc

commit 8ba65467
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-03-04

    Fix cairo_draw() with matplotlib 3.7+
    
    This fixes #751

src/graph_tool/draw/cairo_draw.py

commit c5e0f38e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-27

    pcg-cpp: sync with upstream

src/pcg-cpp/include/pcg_extras.hpp
src/pcg-cpp/include/pcg_random.hpp
src/pcg-cpp/include/pcg_uint128.hpp

commit 00547f98
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-27

    Doc updates

doc/demos/inference/_reconstruction.rst
doc/demos/inference/inference.rst
src/graph_tool/generation/__init__.py
src/graph_tool/inference/latent_layers.py
src/graph_tool/inference/latent_multigraph.py
src/graph_tool/inference/ranked.py
src/graph_tool/inference/uncertain_blockmodel.py

commit 6473ba87
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-27

    CI: fix docker build

release/docker/Dockerfile

commit 2ebc6823
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-27

    CI: remove outdated ubuntu versions

.gitlab-ci.yml

commit dbffc83b
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-27

    Bump version to 2.47dev

configure.ac

commit ab460df4
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-26

    Bump version to 2.46

configure.ac

commit bc427809
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-26

    generate_sbm(): add error if non-integer arguments are passed

src/graph_tool/generation/__init__.py

commit 3a26d148
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-26

    Update ubuntu releases

.gitlab-ci.yml

commit bda86df8
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-26

    inference.rst: add reference to [peixoto-descriptive-2021]_

doc/demos/inference/inference.rst
doc/faq.rst

commit ea5b4586
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-26

    Small doc fixes

doc/faq.rst
src/graph_tool/inference/modularity.py

commit 0f4557ee
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-26

    Implement contract/expand_parallel_edges()
    
    This replaces the implementation of remove_parallel_edges().

Makefile.am
src/graph/generation/graph_contract_edges.cc
src/graph/generation/graph_contract_edges.hh
src/graph/generation/graph_generation.cc
src/graph_tool/generation/__init__.py
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/latent_layers.py
src/graph_tool/stats/__init__.py

commit 213f478c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-26

    Add add/remove_random_edges() to generation module

Makefile.am
src/graph/generation/graph_generation.cc
src/graph/generation/graph_random_edges.cc
src/graph/generation/graph_random_edges.hh
src/graph_tool/generation/__init__.py

commit 2efb709a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-26

    Add operator() to sampler algorithms

src/graph/generation/dynamic_sampler.hh
src/graph/generation/sampler.hh
src/graph/generation/urn_sampler.hh

commit 36076083
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-25

    Add small graph atlas to collection.atlas

Makefile.am
src/graph_tool/collection/__init__.py
src/graph_tool/collection/atlas.dat.gz

commit 8eeb74cf
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-25

    Graph.__init__(): allow for initialization with the number of vertices

src/graph_tool/__init__.py

commit 171d9c3d
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-25

    Doc reference fixes

src/graph_tool/__init__.py
src/graph_tool/inference/partition_centroid.py
src/graph_tool/inference/ranked.py

commit b2e9ab35
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-25

    Add small graph collection in collection.small

Makefile.am
src/graph_tool/all.py
src/graph_tool/collection/__init__.py
src/graph_tool/collection/small.py

commit bf344b3a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-25

    Graph.__init__() fix unrecognized keyword argument error

src/graph_tool/__init__.py

commit 5254c5e2
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-25

    Accept tuple as argument for Graph.remove_edge()

src/graph_tool/__init__.py

commit 895f8556
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-25

    Add FAQ and admonition about modularity maximization

doc/faq.rst
src/graph_tool/inference/modularity.py

commit 9fd79406
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-25

    Add FAQ about vertex lookup from property map value

doc/faq.rst

commit ae275cf4
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-22

    Add support for passing edge properties during graph construction

doc/quickstart.rst
src/graph_tool/__init__.py

commit 676b644e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-22

    Small doc updates

doc/demos/index.rst
doc/quickstart.rst

commit bab39bd6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-22

    Implement Graph() initialization from edge/adjacency lists

doc/quickstart.rst
src/graph/graph_python_interface_imp1.cc
src/graph_tool/__init__.py

commit 50b7ffec
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-22

    Fix remaining copyright notices

release/debian/debian/copyright
src/graph_tool/__init__.py

commit d4535936
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-21

    Fix Makefile.am

Makefile.am
doc/.static/graph-tool-logo.svg

commit 18294238
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-21

    Update doc theme to pydata

doc/conf.py
doc/demos/inference/_ranked.rst
doc/faq.rst
doc/gt_theme/static/flasky.css
doc/gt_theme/static/font-awesome-4.2.0/css/font-awesome.css
doc/gt_theme/static/font-awesome-4.2.0/css/font-awesome.min.css
doc/gt_theme/static/font-awesome-4.2.0/fonts/FontAwesome.otf
doc/gt_theme/static/font-awesome-4.2.0/fonts/fontawesome-webfont.eot
doc/gt_theme/static/font-awesome-4.2.0/fonts/fontawesome-webfont.svg
doc/gt_theme/static/font-awesome-4.2.0/fonts/fontawesome-webfont.ttf
doc/gt_theme/static/font-awesome-4.2.0/fonts/fontawesome-webfont.woff
doc/gt_theme/static/font-awesome-4.2.0/less/bordered-pulled.less
doc/gt_theme/static/font-awesome-4.2.0/less/core.less
doc/gt_theme/static/font-awesome-4.2.0/less/fixed-width.less
doc/gt_theme/static/font-awesome-4.2.0/less/font-awesome.less
doc/gt_theme/static/font-awesome-4.2.0/less/icons.less
doc/gt_theme/static/font-awesome-4.2.0/less/larger.less
doc/gt_theme/static/font-awesome-4.2.0/less/list.less
doc/gt_theme/static/font-awesome-4.2.0/less/mixins.less
doc/gt_theme/static/font-awesome-4.2.0/less/path.less
doc/gt_theme/static/font-awesome-4.2.0/less/rotated-flipped.less
doc/gt_theme/static/font-awesome-4.2.0/less/spinning.less
doc/gt_theme/static/font-awesome-4.2.0/less/stacked.less
doc/gt_theme/static/font-awesome-4.2.0/less/variables.less
doc/gt_theme/static/font-awesome-4.2.0/scss/_bordered-pulled.scss
doc/gt_theme/static/font-awesome-4.2.0/scss/_core.scss
doc/gt_theme/static/font-awesome-4.2.0/scss/_fixed-width.scss
doc/gt_theme/static/font-awesome-4.2.0/scss/_icons.scss
doc/gt_theme/static/font-awesome-4.2.0/scss/_larger.scss
doc/gt_theme/static/font-awesome-4.2.0/scss/_list.scss
doc/gt_theme/static/font-awesome-4.2.0/scss/_mixins.scss
doc/gt_theme/static/font-awesome-4.2.0/scss/_path.scss
doc/gt_theme/static/font-awesome-4.2.0/scss/_rotated-flipped.scss
doc/gt_theme/static/font-awesome-4.2.0/scss/_spinning.scss
doc/gt_theme/static/font-awesome-4.2.0/scss/_stacked.scss
doc/gt_theme/static/font-awesome-4.2.0/scss/_variables.scss
doc/gt_theme/static/font-awesome-4.2.0/scss/font-awesome.scss
doc/gt_theme/static/gt_style.css
doc/gt_theme/theme.conf
doc/index.rst
doc/modules.rst
doc/quickstart.rst

commit af4f06f7
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-19

    Update copyright information

configure.ac
doc/conf.py
src/graph/base64.cc
src/graph/base64.hh
src/graph/centrality/graph_betweenness.cc
src/graph/centrality/graph_centrality_bind.cc
src/graph/centrality/graph_closeness.cc
src/graph/centrality/graph_closeness.hh
src/graph/centrality/graph_eigentrust.cc
src/graph/centrality/graph_eigentrust.hh
src/graph/centrality/graph_eigenvector.cc
src/graph/centrality/graph_eigenvector.hh
src/graph/centrality/graph_hits.cc
src/graph/centrality/graph_hits.hh
src/graph/centrality/graph_katz.cc
src/graph/centrality/graph_katz.hh
src/graph/centrality/graph_pagerank.cc
src/graph/centrality/graph_pagerank.hh
src/graph/centrality/graph_trust_transitivity.cc
src/graph/centrality/graph_trust_transitivity.hh
src/graph/centrality/minmax.hh
src/graph/clustering/graph_clustering.cc
src/graph/clustering/graph_clustering.hh
src/graph/clustering/graph_extended_clustering.cc
src/graph/clustering/graph_extended_clustering.hh
src/graph/clustering/graph_motifs.cc
src/graph/clustering/graph_motifs.hh
src/graph/coroutine.hh
src/graph/correlations/graph_assortativity.cc
src/graph/correlations/graph_assortativity.hh
src/graph/correlations/graph_avg_correlations.cc
src/graph/correlations/graph_avg_correlations.hh
src/graph/correlations/graph_avg_correlations_combined.cc
src/graph/correlations/graph_avg_correlations_imp1.cc
src/graph/correlations/graph_corr_hist.hh
src/graph/correlations/graph_correlations.cc
src/graph/correlations/graph_correlations.hh
src/graph/correlations/graph_correlations_bind.cc
src/graph/correlations/graph_correlations_combined.cc
src/graph/correlations/graph_correlations_imp1.cc
src/graph/demangle.cc
src/graph/demangle.hh
src/graph/draw/graph_cairo_draw.cc
src/graph/draw/graph_tree_cts.cc
src/graph/draw/pycairo_aux.cc
src/graph/dynamics/graph_continuous.cc
src/graph/dynamics/graph_continuous.hh
src/graph/dynamics/graph_discrete.cc
src/graph/dynamics/graph_discrete.hh
src/graph/dynamics/graph_dynamics.cc
src/graph/fast_vector_property_map.hh
src/graph/flow/graph_augment.hh
src/graph/flow/graph_edmonds_karp.cc
src/graph/flow/graph_flow_bind.cc
src/graph/flow/graph_kolmogorov.cc
src/graph/flow/graph_minimum_cut.cc
src/graph/flow/graph_push_relabel.cc
src/graph/generation/dynamic_sampler.hh
src/graph/generation/graph_community_network.cc
src/graph/generation/graph_community_network.hh
src/graph/generation/graph_community_network_eavg.cc
src/graph/generation/graph_community_network_eavg_imp1.cc
src/graph/generation/graph_community_network_edges.cc
src/graph/generation/graph_community_network_vavg.cc
src/graph/generation/graph_complete.cc
src/graph/generation/graph_complete.hh
src/graph/generation/graph_generation.cc
src/graph/generation/graph_generation.hh
src/graph/generation/graph_geometric.cc
src/graph/generation/graph_geometric.hh
src/graph/generation/graph_knn.cc
src/graph/generation/graph_knn.hh
src/graph/generation/graph_lattice.cc
src/graph/generation/graph_lattice.hh
src/graph/generation/graph_line_graph.cc
src/graph/generation/graph_maxent_sbm.cc
src/graph/generation/graph_maxent_sbm.hh
src/graph/generation/graph_predecessor.cc
src/graph/generation/graph_predecessor.hh
src/graph/generation/graph_price.cc
src/graph/generation/graph_price.hh
src/graph/generation/graph_rewiring.cc
src/graph/generation/graph_rewiring.hh
src/graph/generation/graph_sbm.cc
src/graph/generation/graph_sbm.hh
src/graph/generation/graph_triadic_closure.cc
src/graph/generation/graph_triadic_closure.hh
src/graph/generation/graph_triangulation.cc
src/graph/generation/graph_triangulation.hh
src/graph/generation/graph_union.cc
src/graph/generation/graph_union.hh
src/graph/generation/graph_union_eprop.cc
src/graph/generation/graph_union_vprop.cc
src/graph/generation/sampler.hh
src/graph/generation/urn_sampler.hh
src/graph/gml.hh
src/graph/graph.cc
src/graph/graph.hh
src/graph/graph_adaptor.hh
src/graph/graph_adjacency.hh
src/graph/graph_bind.cc
src/graph/graph_copy.cc
src/graph/graph_exceptions.cc
src/graph/graph_exceptions.hh
src/graph/graph_filtered.hh
src/graph/graph_filtering.cc
src/graph/graph_filtering.hh
src/graph/graph_io.cc
src/graph/graph_io_binary.hh
src/graph/graph_openmp.cc
src/graph/graph_properties.cc
src/graph/graph_properties.hh
src/graph/graph_properties_copy.cc
src/graph/graph_properties_copy.hh
src/graph/graph_properties_copy_imp1.cc
src/graph/graph_properties_group.cc
src/graph/graph_properties_group.hh
src/graph/graph_properties_imp1.cc
src/graph/graph_properties_imp2.cc
src/graph/graph_properties_imp3.cc
src/graph/graph_properties_imp4.cc
src/graph/graph_properties_map_values.cc
src/graph/graph_properties_map_values.hh
src/graph/graph_properties_map_values_imp1.cc
src/graph/graph_properties_ungroup.cc
src/graph/graph_python_interface.cc
src/graph/graph_python_interface.hh
src/graph/graph_python_interface_export.cc
src/graph/graph_python_interface_imp1.cc
src/graph/graph_reverse.hh
src/graph/graph_selectors.cc
src/graph/graph_selectors.hh
src/graph/graph_tool.hh
src/graph/graph_util.hh
src/graph/hash_map_wrap.hh
src/graph/histogram.hh
src/graph/idx_map.hh
src/graph/inference/blockmodel/graph_blockmodel.cc
src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_elist.hh
src/graph/inference/blockmodel/graph_blockmodel_em.cc
src/graph/inference/blockmodel/graph_blockmodel_em.hh
src/graph/inference/blockmodel/graph_blockmodel_emat.hh
src/graph/inference/blockmodel/graph_blockmodel_entries.hh
src/graph/inference/blockmodel/graph_blockmodel_entropy.hh
src/graph/inference/blockmodel/graph_blockmodel_exhaustive.cc
src/graph/inference/blockmodel/graph_blockmodel_exhaustive.hh
src/graph/inference/blockmodel/graph_blockmodel_gibbs.cc
src/graph/inference/blockmodel/graph_blockmodel_gibbs.hh
src/graph/inference/blockmodel/graph_blockmodel_imp.cc
src/graph/inference/blockmodel/graph_blockmodel_imp2.cc
src/graph/inference/blockmodel/graph_blockmodel_imp3.cc
src/graph/inference/blockmodel/graph_blockmodel_marginals.cc
src/graph/inference/blockmodel/graph_blockmodel_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_multicanonical.cc
src/graph/inference/blockmodel/graph_blockmodel_multicanonical.hh
src/graph/inference/blockmodel/graph_blockmodel_multicanonical_multiflip.cc
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_multilevel_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_multilevel_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_partition.hh
src/graph/inference/blockmodel/graph_blockmodel_util.hh
src/graph/inference/blockmodel/graph_blockmodel_weights.hh
src/graph/inference/cliques/graph_clique_decomposition.cc
src/graph/inference/cliques/graph_clique_decomposition.hh
src/graph/inference/graph_inference.cc
src/graph/inference/graph_latent_multigraph.cc
src/graph/inference/graph_latent_multigraph.hh
src/graph/inference/graph_modularity.cc
src/graph/inference/graph_modularity.hh
src/graph/inference/histogram/graph_histogram.cc
src/graph/inference/histogram/graph_histogram.hh
src/graph/inference/histogram/graph_histogram_mcmc.cc
src/graph/inference/histogram/graph_histogram_mcmc.hh
src/graph/inference/layers/graph_blockmodel_layers.cc
src/graph/inference/layers/graph_blockmodel_layers.hh
src/graph/inference/layers/graph_blockmodel_layers_exhaustive.cc
src/graph/inference/layers/graph_blockmodel_layers_gibbs.cc
src/graph/inference/layers/graph_blockmodel_layers_imp.cc
src/graph/inference/layers/graph_blockmodel_layers_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_multicanonical.cc
src/graph/inference/layers/graph_blockmodel_layers_multicanonical_multiflip.cc
src/graph/inference/layers/graph_blockmodel_layers_multiflip_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_multilevel_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_exhaustive.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_gibbs.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_mcmc_bundled.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multicanonical.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multicanonical_multiflip.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multiflip_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multilevel_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_vacate.cc
src/graph/inference/layers/graph_blockmodel_layers_util.hh
src/graph/inference/loops/bundled_vacate_loop.hh
src/graph/inference/loops/exhaustive_loop.hh
src/graph/inference/loops/gibbs_loop.hh
src/graph/inference/loops/mcmc_loop.hh
src/graph/inference/loops/merge_split.hh
src/graph/inference/loops/multilevel.hh
src/graph/inference/modularity/graph_modularity.cc
src/graph/inference/modularity/graph_modularity.hh
src/graph/inference/modularity/graph_modularity_gibbs.cc
src/graph/inference/modularity/graph_modularity_mcmc.cc
src/graph/inference/modularity/graph_modularity_multiflip_mcmc.cc
src/graph/inference/modularity/graph_modularity_multilevel_mcmc.cc
src/graph/inference/norm_cut/graph_norm_cut.cc
src/graph/inference/norm_cut/graph_norm_cut.hh
src/graph/inference/norm_cut/graph_norm_cut_gibbs.cc
src/graph/inference/norm_cut/graph_norm_cut_mcmc.cc
src/graph/inference/norm_cut/graph_norm_cut_multiflip_mcmc.cc
src/graph/inference/norm_cut/graph_norm_cut_multilevel_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap.cc
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph/inference/overlap/graph_blockmodel_overlap_exhaustive.cc
src/graph/inference/overlap/graph_blockmodel_overlap_gibbs.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc_bundled.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc_bundled.hh
src/graph/inference/overlap/graph_blockmodel_overlap_multicanonical.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multicanonical_multiflip.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multiflip_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multilevel_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_partition.hh
src/graph/inference/overlap/graph_blockmodel_overlap_util.hh
src/graph/inference/overlap/graph_blockmodel_overlap_vacate.cc
src/graph/inference/overlap/graph_blockmodel_overlap_vacate.hh
src/graph/inference/partition_centroid/graph_partition_centroid.cc
src/graph/inference/partition_centroid/graph_partition_centroid.hh
src/graph/inference/partition_centroid/graph_partition_centroid_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_multiflip_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_multilevel_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.hh
src/graph/inference/partition_centroid/graph_partition_centroid_rmi_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi_multiflip_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi_multilevel_mcmc.cc
src/graph/inference/partition_modes/graph_partition_mode.cc
src/graph/inference/partition_modes/graph_partition_mode.hh
src/graph/inference/partition_modes/graph_partition_mode_clustering.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering.hh
src/graph/inference/partition_modes/graph_partition_mode_clustering_mcmc.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering_multiflip_mcmc.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering_multilevel_mcmc.cc
src/graph/inference/planted_partition/graph_planted_partition.cc
src/graph/inference/planted_partition/graph_planted_partition.hh
src/graph/inference/planted_partition/graph_planted_partition_gibbs.cc
src/graph/inference/planted_partition/graph_planted_partition_mcmc.cc
src/graph/inference/planted_partition/graph_planted_partition_multiflip_mcmc.cc
src/graph/inference/planted_partition/graph_planted_partition_multilevel_mcmc.cc
src/graph/inference/ranked/graph_ranked.cc
src/graph/inference/ranked/graph_ranked.hh
src/graph/inference/ranked/graph_ranked_gibbs.cc
src/graph/inference/ranked/graph_ranked_gibbs.hh
src/graph/inference/ranked/graph_ranked_mcmc.cc
src/graph/inference/ranked/graph_ranked_mcmc.hh
src/graph/inference/ranked/graph_ranked_multiflip_mcmc.cc
src/graph/inference/ranked/graph_ranked_multiflip_mcmc.hh
src/graph/inference/ranked/graph_ranked_multilevel_mcmc.cc
src/graph/inference/ranked/graph_ranked_multilevel_mcmc.hh
src/graph/inference/support/cache.cc
src/graph/inference/support/cache.hh
src/graph/inference/support/contingency.hh
src/graph/inference/support/graph_neighbor_sampler.hh
src/graph/inference/support/graph_state.hh
src/graph/inference/support/int_part.cc
src/graph/inference/support/int_part.hh
src/graph/inference/support/spence.cc
src/graph/inference/support/util.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_cising_glauber.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_cising_glauber_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_continuous.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_discrete.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics_mcmc_h.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics_mcmc_r.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_ising_glauber.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_ising_glauber_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_mcmc.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising_mcmc_h.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising_mcmc_h.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising_mcmc_h.hh
src/graph/inference/uncertain/graph_blockmodel_latent_closure.cc
src/graph/inference/uncertain/graph_blockmodel_latent_closure.hh
src/graph/inference/uncertain/graph_blockmodel_latent_closure_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_latent_layers.hh
src/graph/inference/uncertain/graph_blockmodel_latent_layers_mcmc.hh
src/graph/inference/uncertain/graph_blockmodel_measured.cc
src/graph/inference/uncertain/graph_blockmodel_measured.hh
src/graph/inference/uncertain/graph_blockmodel_measured_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_sample_edge.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_marginal.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain_marginal.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain_mcmc.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_util.hh
src/graph/layout/graph_arf.cc
src/graph/layout/graph_arf.hh
src/graph/layout/graph_bind_layout.cc
src/graph/layout/graph_fruchterman_reingold.cc
src/graph/layout/graph_planar_layout.cc
src/graph/layout/graph_radial.cc
src/graph/layout/graph_sfdp.cc
src/graph/layout/graph_sfdp.hh
src/graph/mpl_nested_loop.hh
src/graph/numpy_bind.hh
src/graph/openmp_lock.hh
src/graph/parallel_rng.hh
src/graph/random.cc
src/graph/random.hh
src/graph/search/graph_astar.cc
src/graph/search/graph_astar.hh
src/graph/search/graph_astar_implicit.cc
src/graph/search/graph_bellman_ford.cc
src/graph/search/graph_bfs.cc
src/graph/search/graph_dfs.cc
src/graph/search/graph_dijkstra.cc
src/graph/search/graph_search_bind.cc
src/graph/shared_map.hh
src/graph/spectral/graph_adjacency.cc
src/graph/spectral/graph_adjacency.hh
src/graph/spectral/graph_incidence.cc
src/graph/spectral/graph_incidence.hh
src/graph/spectral/graph_laplacian.cc
src/graph/spectral/graph_laplacian.hh
src/graph/spectral/graph_matrix.cc
src/graph/spectral/graph_nonbacktracking.cc
src/graph/spectral/graph_nonbacktracking.hh
src/graph/spectral/graph_norm_laplacian.cc
src/graph/spectral/graph_transition.cc
src/graph/spectral/graph_transition.hh
src/graph/stats/graph_average.cc
src/graph/stats/graph_average.hh
src/graph/stats/graph_distance.cc
src/graph/stats/graph_distance.hh
src/graph/stats/graph_distance_sampled.cc
src/graph/stats/graph_distance_sampled.hh
src/graph/stats/graph_histograms.cc
src/graph/stats/graph_histograms.hh
src/graph/stats/graph_parallel.cc
src/graph/stats/graph_parallel.hh
src/graph/stats/graph_stats_bind.cc
src/graph/str_repr.hh
src/graph/topology/graph_all_circuits.cc
src/graph/topology/graph_all_distances.cc
src/graph/topology/graph_bipartite.cc
src/graph/topology/graph_bipartite_weighted_matching.hh
src/graph/topology/graph_components.cc
src/graph/topology/graph_components.hh
src/graph/topology/graph_diameter.cc
src/graph/topology/graph_distance.cc
src/graph/topology/graph_dominator_tree.cc
src/graph/topology/graph_isomorphism.cc
src/graph/topology/graph_kcore.cc
src/graph/topology/graph_kcore.hh
src/graph/topology/graph_matching.cc
src/graph/topology/graph_maximal_cliques.cc
src/graph/topology/graph_maximal_cliques.hh
src/graph/topology/graph_maximal_planar.cc
src/graph/topology/graph_maximal_vertex_set.cc
src/graph/topology/graph_minimum_spanning_tree.cc
src/graph/topology/graph_percolation.cc
src/graph/topology/graph_percolation.hh
src/graph/topology/graph_planar.cc
src/graph/topology/graph_random_matching.cc
src/graph/topology/graph_random_spanning_tree.cc
src/graph/topology/graph_reciprocity.cc
src/graph/topology/graph_sequential_color.cc
src/graph/topology/graph_similarity.cc
src/graph/topology/graph_similarity.hh
src/graph/topology/graph_similarity_imp.cc
src/graph/topology/graph_subgraph_isomorphism.cc
src/graph/topology/graph_topological_sort.cc
src/graph/topology/graph_topology.cc
src/graph/topology/graph_transitive_closure.cc
src/graph/topology/graph_tsp.cc
src/graph/topology/graph_vertex_similarity.cc
src/graph/topology/graph_vertex_similarity.hh
src/graph/transform_iterator.hh
src/graph/util/graph_search.cc
src/graph/util/graph_search.hh
src/graph/util/graph_util_bind.cc
src/graph_tool/__init__.py
src/graph_tool/all.py
src/graph_tool/centrality/__init__.py
src/graph_tool/clustering/__init__.py
src/graph_tool/collection/__init__.py
src/graph_tool/collection/netzschleuder.py
src/graph_tool/correlations/__init__.py
src/graph_tool/decorators.py
src/graph_tool/dl_import.py
src/graph_tool/draw/__init__.py
src/graph_tool/draw/cairo_draw.py
src/graph_tool/draw/graphviz_draw.py
src/graph_tool/draw/gtk_draw.py
src/graph_tool/dynamics/__init__.py
src/graph_tool/flow/__init__.py
src/graph_tool/generation/__init__.py
src/graph_tool/gt_io.py
src/graph_tool/inference/__init__.py
src/graph_tool/inference/base_states.py
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/blockmodel_em.py
src/graph_tool/inference/clique_decomposition.py
src/graph_tool/inference/histogram.py
src/graph_tool/inference/latent_layers.py
src/graph_tool/inference/latent_multigraph.py
src/graph_tool/inference/layered_blockmodel.py
src/graph_tool/inference/mcmc.py
src/graph_tool/inference/minimize.py
src/graph_tool/inference/modularity.py
src/graph_tool/inference/nested_blockmodel.py
src/graph_tool/inference/norm_cut.py
src/graph_tool/inference/overlap_blockmodel.py
src/graph_tool/inference/partition_centroid.py
src/graph_tool/inference/partition_modes.py
src/graph_tool/inference/planted_partition.py
src/graph_tool/inference/ranked.py
src/graph_tool/inference/uncertain_blockmodel.py
src/graph_tool/inference/util.py
src/graph_tool/search/__init__.py
src/graph_tool/spectral/__init__.py
src/graph_tool/stats/__init__.py
src/graph_tool/topology/__init__.py
src/graph_tool/util/__init__.py

commit bdb82fec
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-19

    all_shortest_paths(): select correct edge for weighted multigraphs
    
    This fixes #744

src/graph/topology/graph_distance.cc
src/graph_tool/topology/__init__.py

commit b109ce58
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-19

    cairo_draw.py: raise ImportError if wrong Gtk version is available
    
    This fixes #743

src/graph_tool/draw/cairo_draw.py

commit 570f8c79
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-19

    graph_blockmodel_partition.hh: fix DL of empty partition
    
    This fixes #747

src/graph/inference/blockmodel/graph_blockmodel_partition.hh

commit b0be0c31
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-19

    collection.LazyData: fix __getitem__()

src/graph_tool/collection/__init__.py

commit c046b71c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-19

    collection: implement lazy __contains__()
    
    This fixes #745.

src/graph_tool/collection/__init__.py
src/graph_tool/collection/netzschleuder.py

commit 0faed322
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-19

    NestedBlockState.mcmc_sweep(): do not propagate 'vertices' parameter
    
    This fixes #748.

src/graph_tool/inference/nested_blockmodel.py

commit 8b229be6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-01-05

    multilevel.hh: ensure B_min/B_max constraints are enforced

src/graph/inference/loops/multilevel.hh

commit ff958480
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-19

    Fix lack of numpy.float type in recent numpy versions

src/graph_tool/__init__.py

commit 21947578
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2023-02-18

    Add support for cairomm 1.16

configure.ac
src/graph/draw/graph_cairo_draw.cc

commit 924e40b3
Merge: e3ca8cf6 2359848f
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2023-01-05

    Merge branch 'debian/2.45+ds-10/fix/python311' into 'master'
    
    Use inspect.getfullargspec instead of inspect.getarcspec
    
    See merge request count0/graph-tool!69

commit 2359848f
Author: Jerome Benoit <quartermaster@rezozer.net>
Date:   2023-01-04

    Use inspect.getfullargspec instead of inspect.getarcspec

src/graph_tool/generation/__init__.py

commit e3ca8cf6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-07-30

    dynamics: update Voter model

src/graph/dynamics/graph_discrete.hh

commit 83c69885
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-08-01

    Fix truncated copyright headers

src/graph/inference/support/int_part.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_util.hh
src/graph/search/graph_dfs.cc

commit 187b21e4
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-08-16

    topology: improve docstring consistency

src/graph_tool/topology/__init__.py

commit 7b63b7a1
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-09-26

    edge_reciprocity(): fix typo

src/graph/topology/graph_reciprocity.cc
src/graph_tool/topology/__init__.py

commit 0303009e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-08-16

    edge_reciprocity(): add support for edge weights

src/graph/topology/graph_reciprocity.cc
src/graph/topology/graph_topology.cc
src/graph_tool/topology/__init__.py

commit 3cb5a970
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-09-14

    cache.hh: limit maximum cache size to 500MB

src/graph/inference/support/cache.hh

commit 7dc13fdd
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-09-26

    ModularityState: add support for edge multiplicities

src/graph/inference/modularity/graph_modularity.hh
src/graph_tool/inference/modularity.py

commit 8b6be10e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-10-11

    mutual_information(): Implement adjusted mutual information

src/graph/inference/partition_centroid/graph_partition_centroid_rmi.cc
src/graph_tool/inference/partition_centroid.py

commit fc8202c0
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-12-11

    price.py: fix errorbar computation

doc/price.py

commit ff5266b6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-12-11

    graph_blockmodel_entries.hh: fix possible out-of-bounds read
    
    This fixes a possible out-of-bounds read, which would happen only if
    optimization are not enabled. This can trigger failed assertions if
    _GLIBCXX_ASSERTIONS is defined.

src/graph/inference/blockmodel/graph_blockmodel_entries.hh

commit 8151f1f6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-23

    RankedBlockState: Add missing documentation index

src/graph_tool/inference/__init__.py

commit 609992dd
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-23

    Bump version to 2.46dev

configure.ac

commit cc4b7c3a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-22

    Bump version to 2.45

configure.ac

commit ae608508
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-22

    CI: build arm64 packages

.gitlab-ci.yml

commit 1c016bc7
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-22

    inference: update expected test results

doc/demos/inference/_edge_weights.rst
doc/demos/inference/_minimization.rst
doc/demos/inference/_model_class_selection.rst
doc/demos/inference/_model_selection.rst
doc/demos/inference/_prediction.rst
doc/demos/inference/_reconstruction.rst
doc/demos/inference/_reconstruction_dynamics.rst
doc/demos/inference/_sampling.rst

commit d8007e21
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-22

    uncertain: fix edge sampling and updating

src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_mcmc.hh
src/graph/inference/uncertain/graph_blockmodel_latent_layers_mcmc.hh
src/graph/inference/uncertain/graph_blockmodel_sample_edge.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_mcmc.hh

commit 70545896
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-22

    get_hierarchy_tree(): fix empty branches pruning

src/graph_tool/inference/nested_blockmodel.py

commit 9f538563
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-22

    BlockState: improve initialization of array-valued parameter `b`

src/graph_tool/inference/blockmodel.py

commit 1d8167da
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-22

    Fix planarity test with noncontiguous edge indexes
    
    This fixes issue #712

src/graph/layout/graph_planar_layout.cc
src/graph/topology/graph_maximal_planar.cc
src/graph/topology/graph_planar.cc
src/graph_tool/draw/__init__.py

commit ee939bb6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-21

    get_hierarchy_control_points(): fix docstring

src/graph_tool/draw/cairo_draw.py

commit 5d851ae0
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-21

    distance_histogram(): fix bug with openmp
    
    This fixes issue #721

src/graph/histogram.hh
src/graph/stats/graph_distance.hh
src/graph/stats/graph_distance_sampled.hh

commit 31050f10
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-21

    get_hierarchy_tree(): fix behavior for filtered graphs
    
    This fixes issue #737

src/graph_tool/inference/nested_blockmodel.py

commit d2493cde
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-21

    Fix B_max/B_min behavior for NestedBlockState.multilevel_mcmc_sweep()

src/graph_tool/inference/nested_blockmodel.py

commit bafec6e5
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-21

    Add missing _ranked.rst documentation

doc/demos/inference/_ranked.rst

commit 181d0b15
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-21

    blockmodel: fix degree description length delta computation

src/graph/inference/blockmodel/graph_blockmodel_partition.hh

commit f4d03d03
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-20

    blockmodel: copy branch

src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_gibbs.cc
src/graph/inference/blockmodel/graph_blockmodel_util.hh
src/graph/inference/layers/graph_blockmodel_layers.hh
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph_tool/inference/nested_blockmodel.py

commit eefb2c4b
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-20

    bfs_search(): honor initialize_vertex() from visitor
    
    This fixes issue #729.

src/graph/search/graph_bfs.cc

commit 1fa4fea4
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-20

    shortest_distance(): fix `max_dist` logic
    
    This fixes issue #734

src/graph/topology/graph_distance.cc

commit daae776b
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-20

    shortest_distance(): fix 'return_reached' behavior
    
    This fixes #730.

src/graph/topology/graph_distance.cc

commit 4cce0696
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-20

    shortest_distance(): fix docstring
    
    This fixes issue #731.

src/graph_tool/topology/__init__.py

commit 8ebea2ea
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-20

    Remove whitespace

src/graph_tool/inference/norm_cut.py

commit 68374523
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-20

    Fix bug with all_edge_iterator and reversed graphs
    
    This fixes issue #728

src/graph/graph_adjacency.hh
src/graph/graph_filtered.hh
src/graph/graph_reverse.hh

commit 02e1ca46
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-20

    graph_blockmodel.hh: remove check_node_counts()

src/graph/inference/blockmodel/graph_blockmodel.hh

commit f03b9b48
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-20

    merge_split: fix issue with clabel
    
    This fixes issue #736

src/graph/inference/loops/merge_split.hh

commit b947294c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-20

    minimize_blockmodel_dl(): fix documentation
    
    This fixes #735.

src/graph_tool/inference/minimize.py

commit 54370b70
Author: Jerome Benoit <quartermaster@rezozer.net>
Date:   2022-03-27

    enhance doc/Makefile
    
    Slightly enhances doc/Makefile.

doc/Makefile

commit 19cee4ba
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-20

    ModularityState: minor fixes

src/graph_tool/inference/modularity.py

commit 05eb1d20
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-20

    sfdp_layout(): implement preferential ordering along y direction

src/graph/layout/graph_sfdp.cc
src/graph/layout/graph_sfdp.hh
src/graph_tool/draw/__init__.py

commit 79d8f45b
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-20

    Fix docstring typo

src/graph_tool/inference/partition_modes.py

commit 358ba2f4
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-20

    blockmodel: fix in/out-degree description length for directed graphs

src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_partition.hh

commit 3dbe58ef
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-02-10

    NestedBlockState: fix pickling

src/graph_tool/inference/nested_blockmodel.py

commit 6cef5f93
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-02-10

    graph_inference.cc: expose lbinom()/lbinom_fast()

src/graph/inference/graph_inference.cc

commit 7470ea4f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-02-06

    nested_blockmodel.py: fix copy with edge covariates

src/graph_tool/inference/nested_blockmodel.py

commit f01f29f5
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-02-06

    blockmodel: fix add/remove edge

src/graph/inference/blockmodel/graph_blockmodel.hh

commit 37e1083e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-02-06

    Minor fixes to inference tests

doc/test_inference.py
doc/test_inference_mcmc.py

commit 8072a1fc
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-02-06

    NestedBlockState: fix initialization

src/graph_tool/inference/nested_blockmodel.py

commit ba388c14
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-02-06

    NestedBlockState: simplify copying and preserve base state params

src/graph_tool/inference/nested_blockmodel.py

commit dc121f25
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-02-06

    MultiflipMCMCState: add pmovelabel default variable

src/graph_tool/inference/base_states.py

commit 7816cec9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-02-06

    blockmodel: simple indentation fix

src/graph/inference/blockmodel/graph_blockmodel_entries.hh

commit 81e7ad4c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-02-06

    blockmodel: edge count amend

src/graph/inference/blockmodel/graph_blockmodel.hh

commit c46c6ae6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-02-05

    sfdp_layout(): fix mu and gamma parameters

src/graph/layout/graph_sfdp.hh
src/graph_tool/draw/__init__.py

commit 7907bd2e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-02-05

    pmap(): add support for double

src/graph/inference/graph_inference.cc
src/graph_tool/inference/util.py

commit 47225bdc
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-02-03

    base_states.py: fortify DrawBlockState

src/graph_tool/inference/base_states.py

commit c5ba81b9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-02-03

    NestedBlockModel: query state.get_N() instead of state.g.num_vertices()

src/graph_tool/inference/nested_blockmodel.py

commit eca41895
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-02-03

    blockmodel: add simple _E counter

src/graph/inference/blockmodel/graph_blockmodel.hh

commit 05027736
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-02-01

    Implement Ranked SBM

Makefile.am
doc/demos/inference/inference.rst
src/graph/inference/graph_inference.cc
src/graph/inference/loops/merge_split.hh
src/graph/inference/ranked/graph_ranked.cc
src/graph/inference/ranked/graph_ranked.hh
src/graph/inference/ranked/graph_ranked_gibbs.cc
src/graph/inference/ranked/graph_ranked_gibbs.hh
src/graph/inference/ranked/graph_ranked_mcmc.cc
src/graph/inference/ranked/graph_ranked_mcmc.hh
src/graph/inference/ranked/graph_ranked_multiflip_mcmc.cc
src/graph/inference/ranked/graph_ranked_multiflip_mcmc.hh
src/graph/inference/ranked/graph_ranked_multilevel_mcmc.cc
src/graph/inference/ranked/graph_ranked_multilevel_mcmc.hh
src/graph_tool/inference/__init__.py
src/graph_tool/inference/ranked.py

commit e24b5387
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-05-20

    Documentation: add ns macro for netzschleuder links

doc/conf.py

commit cbf8c367
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-02-02

    blockmodel: edge list test fix

src/graph/inference/blockmodel/graph_blockmodel_elist.hh

commit e43b957a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-02-01

    UncertainBaseState.get_edge_prob(): fix error

src/graph_tool/inference/uncertain_blockmodel.py

commit 30342d88
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-02-01

    uncertain_blockmodel: improve addition/removal of multiple edges

src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_util.hh
src/graph/inference/layers/graph_blockmodel_layers.hh
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_mcmc.hh
src/graph/inference/uncertain/graph_blockmodel_latent_closure.hh
src/graph/inference/uncertain/graph_blockmodel_latent_layers.hh
src/graph/inference/uncertain/graph_blockmodel_measured.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_mcmc.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_util.hh

commit 8645b67a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-04

    vf2_sub_graph_iso.hpp(): avoid uncessary O(N) in get_num_vertices()

src/boost-workaround/boost/graph/vf2_sub_graph_iso.hpp

commit af64085d
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-02

    doctests: fix double execution and references

doc/demos/inference/_assortative.rst
doc/demos/inference/_edge_weights.rst
doc/demos/inference/_layers.rst
doc/demos/inference/_minimization.rst
doc/demos/inference/_model_class_selection.rst
doc/demos/inference/_prediction.rst
doc/demos/inference/_reconstruction.rst
doc/demos/inference/_reconstruction_dynamics.rst
doc/demos/inference/_sampling.rst
doc/inference.rst
src/graph_tool/draw/cairo_draw.py
src/graph_tool/inference/__init__.py
src/graph_tool/inference/base_states.py
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/blockmodel_em.py
src/graph_tool/inference/latent_layers.py
src/graph_tool/inference/layered_blockmodel.py
src/graph_tool/inference/mcmc.py
src/graph_tool/inference/minimize.py
src/graph_tool/inference/modularity.py
src/graph_tool/inference/nested_blockmodel.py
src/graph_tool/inference/norm_cut.py
src/graph_tool/inference/overlap_blockmodel.py
src/graph_tool/inference/partition_modes.py
src/graph_tool/inference/planted_partition.py
src/graph_tool/inference/uncertain_blockmodel.py

commit 9b01da33
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-02

    Fix docstrings

doc/conf.py
doc/inference.rst
src/graph_tool/inference/__init__.py

commit d6f1dcf7
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-02

    doc/demos/cppextensions/Makefile: update Python version

doc/demos/cppextensions/Makefile

commit 9f170d6e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-02

    Minor fixup to doc css

doc/gt_theme/static/flasky.css

commit 45d97a29
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-02

    CI: remove Ubuntu groovy

.gitlab-ci.yml

commit 5a12463e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-02

    Bump version to 2.45dev

configure.ac

commit ab3fb7fe
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-02

    Bump version to 2.44

configure.ac

commit 02d3bee6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-02

    CliqueState(): fix docstring

src/graph_tool/inference/clique_decomposition.py

commit dc26d472
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-02

    subgraph_isomorphism(): fix bug when subgraph is filtered
    
    This fixes issue #715

Makefile.am
src/boost-workaround/boost/graph/vf2_sub_graph_iso.hpp
src/graph/topology/graph_subgraph_isomorphism.cc

commit c80b9af0
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-01

    CliqueState: fix log-likelihood computation

src/graph/inference/cliques/graph_clique_decomposition.cc
src/graph/inference/cliques/graph_clique_decomposition.hh
src/graph_tool/inference/clique_decomposition.py

commit 324b5495
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-01

    inference: implement normalized cut

Makefile.am
src/graph/inference/graph_inference.cc
src/graph/inference/norm_cut/graph_norm_cut.cc
src/graph/inference/norm_cut/graph_norm_cut.hh
src/graph/inference/norm_cut/graph_norm_cut_gibbs.cc
src/graph/inference/norm_cut/graph_norm_cut_mcmc.cc
src/graph/inference/norm_cut/graph_norm_cut_multiflip_mcmc.cc
src/graph/inference/norm_cut/graph_norm_cut_multilevel_mcmc.cc
src/graph_tool/inference/__init__.py
src/graph_tool/inference/norm_cut.py

commit 7822a48f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-02

    CI: add Debian bookworm and Ubuntu impish builds

.gitlab-ci.yml

commit 2307f04b
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-02

    multilevel.hh: fix B_min/B_max enforcement

src/graph/inference/loops/multilevel.hh

commit 49e099a1
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-01

    distance_histogram(): fix docstring typo

src/graph_tool/stats/__init__.py

commit 05ac1ef7
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-01

    shortest_distance(): check for valid source/target
    
    This fixes issue #722

src/graph_tool/topology/__init__.py

commit b4b05785
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-01

    all_pairs_search(): fix initialization for filtered graphs
    
    This fixes issue #723

src/graph/topology/graph_all_distances.cc

commit 3b8a8c5c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-01

    Update copyright information

configure.ac
doc/conf.py
release/debian/debian/copyright
src/graph/base64.cc
src/graph/base64.hh
src/graph/centrality/graph_betweenness.cc
src/graph/centrality/graph_centrality_bind.cc
src/graph/centrality/graph_closeness.cc
src/graph/centrality/graph_closeness.hh
src/graph/centrality/graph_eigentrust.cc
src/graph/centrality/graph_eigentrust.hh
src/graph/centrality/graph_eigenvector.cc
src/graph/centrality/graph_eigenvector.hh
src/graph/centrality/graph_hits.cc
src/graph/centrality/graph_hits.hh
src/graph/centrality/graph_katz.cc
src/graph/centrality/graph_katz.hh
src/graph/centrality/graph_pagerank.cc
src/graph/centrality/graph_pagerank.hh
src/graph/centrality/graph_trust_transitivity.cc
src/graph/centrality/graph_trust_transitivity.hh
src/graph/centrality/minmax.hh
src/graph/clustering/graph_clustering.cc
src/graph/clustering/graph_clustering.hh
src/graph/clustering/graph_extended_clustering.cc
src/graph/clustering/graph_extended_clustering.hh
src/graph/clustering/graph_motifs.cc
src/graph/clustering/graph_motifs.hh
src/graph/coroutine.hh
src/graph/correlations/graph_assortativity.cc
src/graph/correlations/graph_assortativity.hh
src/graph/correlations/graph_avg_correlations.cc
src/graph/correlations/graph_avg_correlations.hh
src/graph/correlations/graph_avg_correlations_combined.cc
src/graph/correlations/graph_avg_correlations_imp1.cc
src/graph/correlations/graph_corr_hist.hh
src/graph/correlations/graph_correlations.cc
src/graph/correlations/graph_correlations.hh
src/graph/correlations/graph_correlations_bind.cc
src/graph/correlations/graph_correlations_combined.cc
src/graph/correlations/graph_correlations_imp1.cc
src/graph/demangle.cc
src/graph/demangle.hh
src/graph/draw/graph_cairo_draw.cc
src/graph/draw/graph_tree_cts.cc
src/graph/draw/pycairo_aux.cc
src/graph/dynamics/graph_continuous.cc
src/graph/dynamics/graph_continuous.hh
src/graph/dynamics/graph_discrete.cc
src/graph/dynamics/graph_discrete.hh
src/graph/dynamics/graph_dynamics.cc
src/graph/fast_vector_property_map.hh
src/graph/flow/graph_augment.hh
src/graph/flow/graph_edmonds_karp.cc
src/graph/flow/graph_flow_bind.cc
src/graph/flow/graph_kolmogorov.cc
src/graph/flow/graph_minimum_cut.cc
src/graph/flow/graph_push_relabel.cc
src/graph/generation/dynamic_sampler.hh
src/graph/generation/graph_community_network.cc
src/graph/generation/graph_community_network.hh
src/graph/generation/graph_community_network_eavg.cc
src/graph/generation/graph_community_network_eavg_imp1.cc
src/graph/generation/graph_community_network_edges.cc
src/graph/generation/graph_community_network_vavg.cc
src/graph/generation/graph_complete.cc
src/graph/generation/graph_complete.hh
src/graph/generation/graph_generation.cc
src/graph/generation/graph_generation.hh
src/graph/generation/graph_geometric.cc
src/graph/generation/graph_geometric.hh
src/graph/generation/graph_knn.cc
src/graph/generation/graph_knn.hh
src/graph/generation/graph_lattice.cc
src/graph/generation/graph_lattice.hh
src/graph/generation/graph_line_graph.cc
src/graph/generation/graph_maxent_sbm.cc
src/graph/generation/graph_maxent_sbm.hh
src/graph/generation/graph_predecessor.cc
src/graph/generation/graph_predecessor.hh
src/graph/generation/graph_price.cc
src/graph/generation/graph_price.hh
src/graph/generation/graph_rewiring.cc
src/graph/generation/graph_rewiring.hh
src/graph/generation/graph_sbm.cc
src/graph/generation/graph_sbm.hh
src/graph/generation/graph_triadic_closure.cc
src/graph/generation/graph_triadic_closure.hh
src/graph/generation/graph_triangulation.cc
src/graph/generation/graph_triangulation.hh
src/graph/generation/graph_union.cc
src/graph/generation/graph_union.hh
src/graph/generation/graph_union_eprop.cc
src/graph/generation/graph_union_vprop.cc
src/graph/generation/sampler.hh
src/graph/generation/urn_sampler.hh
src/graph/gml.hh
src/graph/graph.cc
src/graph/graph.hh
src/graph/graph_adaptor.hh
src/graph/graph_adjacency.hh
src/graph/graph_bind.cc
src/graph/graph_copy.cc
src/graph/graph_exceptions.cc
src/graph/graph_exceptions.hh
src/graph/graph_filtered.hh
src/graph/graph_filtering.cc
src/graph/graph_filtering.hh
src/graph/graph_io.cc
src/graph/graph_io_binary.hh
src/graph/graph_openmp.cc
src/graph/graph_properties.cc
src/graph/graph_properties.hh
src/graph/graph_properties_copy.cc
src/graph/graph_properties_copy.hh
src/graph/graph_properties_copy_imp1.cc
src/graph/graph_properties_group.cc
src/graph/graph_properties_group.hh
src/graph/graph_properties_imp1.cc
src/graph/graph_properties_imp2.cc
src/graph/graph_properties_imp3.cc
src/graph/graph_properties_imp4.cc
src/graph/graph_properties_map_values.cc
src/graph/graph_properties_map_values.hh
src/graph/graph_properties_map_values_imp1.cc
src/graph/graph_properties_ungroup.cc
src/graph/graph_python_interface.cc
src/graph/graph_python_interface.hh
src/graph/graph_python_interface_export.cc
src/graph/graph_python_interface_imp1.cc
src/graph/graph_reverse.hh
src/graph/graph_selectors.cc
src/graph/graph_selectors.hh
src/graph/graph_tool.hh
src/graph/graph_util.hh
src/graph/hash_map_wrap.hh
src/graph/histogram.hh
src/graph/idx_map.hh
src/graph/inference/blockmodel/graph_blockmodel.cc
src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_elist.hh
src/graph/inference/blockmodel/graph_blockmodel_em.cc
src/graph/inference/blockmodel/graph_blockmodel_em.hh
src/graph/inference/blockmodel/graph_blockmodel_emat.hh
src/graph/inference/blockmodel/graph_blockmodel_entries.hh
src/graph/inference/blockmodel/graph_blockmodel_entropy.hh
src/graph/inference/blockmodel/graph_blockmodel_exhaustive.cc
src/graph/inference/blockmodel/graph_blockmodel_exhaustive.hh
src/graph/inference/blockmodel/graph_blockmodel_gibbs.cc
src/graph/inference/blockmodel/graph_blockmodel_gibbs.hh
src/graph/inference/blockmodel/graph_blockmodel_imp.cc
src/graph/inference/blockmodel/graph_blockmodel_imp2.cc
src/graph/inference/blockmodel/graph_blockmodel_imp3.cc
src/graph/inference/blockmodel/graph_blockmodel_marginals.cc
src/graph/inference/blockmodel/graph_blockmodel_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_multicanonical.cc
src/graph/inference/blockmodel/graph_blockmodel_multicanonical.hh
src/graph/inference/blockmodel/graph_blockmodel_multicanonical_multiflip.cc
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_multilevel_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_multilevel_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_partition.hh
src/graph/inference/blockmodel/graph_blockmodel_util.hh
src/graph/inference/blockmodel/graph_blockmodel_weights.hh
src/graph/inference/cliques/graph_clique_decomposition.cc
src/graph/inference/cliques/graph_clique_decomposition.hh
src/graph/inference/graph_inference.cc
src/graph/inference/graph_latent_multigraph.cc
src/graph/inference/graph_latent_multigraph.hh
src/graph/inference/graph_modularity.cc
src/graph/inference/graph_modularity.hh
src/graph/inference/histogram/graph_histogram.cc
src/graph/inference/histogram/graph_histogram.hh
src/graph/inference/histogram/graph_histogram_mcmc.cc
src/graph/inference/histogram/graph_histogram_mcmc.hh
src/graph/inference/layers/graph_blockmodel_layers.cc
src/graph/inference/layers/graph_blockmodel_layers.hh
src/graph/inference/layers/graph_blockmodel_layers_exhaustive.cc
src/graph/inference/layers/graph_blockmodel_layers_gibbs.cc
src/graph/inference/layers/graph_blockmodel_layers_imp.cc
src/graph/inference/layers/graph_blockmodel_layers_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_multicanonical.cc
src/graph/inference/layers/graph_blockmodel_layers_multicanonical_multiflip.cc
src/graph/inference/layers/graph_blockmodel_layers_multiflip_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_multilevel_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_exhaustive.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_gibbs.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_mcmc_bundled.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multicanonical.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multicanonical_multiflip.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multiflip_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multilevel_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_vacate.cc
src/graph/inference/layers/graph_blockmodel_layers_util.hh
src/graph/inference/loops/bundled_vacate_loop.hh
src/graph/inference/loops/exhaustive_loop.hh
src/graph/inference/loops/gibbs_loop.hh
src/graph/inference/loops/mcmc_loop.hh
src/graph/inference/loops/merge_split.hh
src/graph/inference/loops/multilevel.hh
src/graph/inference/modularity/graph_modularity.cc
src/graph/inference/modularity/graph_modularity.hh
src/graph/inference/modularity/graph_modularity_gibbs.cc
src/graph/inference/modularity/graph_modularity_mcmc.cc
src/graph/inference/modularity/graph_modularity_multiflip_mcmc.cc
src/graph/inference/modularity/graph_modularity_multilevel_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap.cc
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph/inference/overlap/graph_blockmodel_overlap_exhaustive.cc
src/graph/inference/overlap/graph_blockmodel_overlap_gibbs.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc_bundled.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc_bundled.hh
src/graph/inference/overlap/graph_blockmodel_overlap_multicanonical.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multicanonical_multiflip.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multiflip_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multilevel_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_partition.hh
src/graph/inference/overlap/graph_blockmodel_overlap_util.hh
src/graph/inference/overlap/graph_blockmodel_overlap_vacate.cc
src/graph/inference/overlap/graph_blockmodel_overlap_vacate.hh
src/graph/inference/partition_centroid/graph_partition_centroid.cc
src/graph/inference/partition_centroid/graph_partition_centroid.hh
src/graph/inference/partition_centroid/graph_partition_centroid_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_multiflip_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_multilevel_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.hh
src/graph/inference/partition_centroid/graph_partition_centroid_rmi_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi_multiflip_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi_multilevel_mcmc.cc
src/graph/inference/partition_modes/graph_partition_mode.cc
src/graph/inference/partition_modes/graph_partition_mode.hh
src/graph/inference/partition_modes/graph_partition_mode_clustering.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering.hh
src/graph/inference/partition_modes/graph_partition_mode_clustering_mcmc.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering_multiflip_mcmc.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering_multilevel_mcmc.cc
src/graph/inference/planted_partition/graph_planted_partition.cc
src/graph/inference/planted_partition/graph_planted_partition.hh
src/graph/inference/planted_partition/graph_planted_partition_gibbs.cc
src/graph/inference/planted_partition/graph_planted_partition_mcmc.cc
src/graph/inference/planted_partition/graph_planted_partition_multiflip_mcmc.cc
src/graph/inference/planted_partition/graph_planted_partition_multilevel_mcmc.cc
src/graph/inference/support/cache.cc
src/graph/inference/support/cache.hh
src/graph/inference/support/contingency.hh
src/graph/inference/support/graph_neighbor_sampler.hh
src/graph/inference/support/graph_state.hh
src/graph/inference/support/int_part.cc
src/graph/inference/support/spence.cc
src/graph/inference/support/util.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_cising_glauber.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_cising_glauber_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_continuous.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_discrete.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics_mcmc_h.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics_mcmc_r.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_ising_glauber.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_ising_glauber_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_mcmc.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising_mcmc_h.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising_mcmc_h.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising_mcmc_h.hh
src/graph/inference/uncertain/graph_blockmodel_latent_closure.cc
src/graph/inference/uncertain/graph_blockmodel_latent_closure.hh
src/graph/inference/uncertain/graph_blockmodel_latent_closure_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_latent_layers.hh
src/graph/inference/uncertain/graph_blockmodel_latent_layers_mcmc.hh
src/graph/inference/uncertain/graph_blockmodel_measured.cc
src/graph/inference/uncertain/graph_blockmodel_measured.hh
src/graph/inference/uncertain/graph_blockmodel_measured_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_sample_edge.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_marginal.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain_marginal.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain_mcmc.hh
src/graph/layout/graph_arf.cc
src/graph/layout/graph_arf.hh
src/graph/layout/graph_bind_layout.cc
src/graph/layout/graph_fruchterman_reingold.cc
src/graph/layout/graph_planar_layout.cc
src/graph/layout/graph_radial.cc
src/graph/layout/graph_sfdp.cc
src/graph/layout/graph_sfdp.hh
src/graph/mpl_nested_loop.hh
src/graph/numpy_bind.hh
src/graph/openmp_lock.hh
src/graph/parallel_rng.hh
src/graph/random.cc
src/graph/random.hh
src/graph/search/graph_astar.cc
src/graph/search/graph_astar.hh
src/graph/search/graph_astar_implicit.cc
src/graph/search/graph_bellman_ford.cc
src/graph/search/graph_bfs.cc
src/graph/search/graph_dijkstra.cc
src/graph/search/graph_search_bind.cc
src/graph/shared_map.hh
src/graph/spectral/graph_adjacency.cc
src/graph/spectral/graph_adjacency.hh
src/graph/spectral/graph_incidence.cc
src/graph/spectral/graph_incidence.hh
src/graph/spectral/graph_laplacian.cc
src/graph/spectral/graph_laplacian.hh
src/graph/spectral/graph_matrix.cc
src/graph/spectral/graph_nonbacktracking.cc
src/graph/spectral/graph_nonbacktracking.hh
src/graph/spectral/graph_norm_laplacian.cc
src/graph/spectral/graph_transition.cc
src/graph/spectral/graph_transition.hh
src/graph/stats/graph_average.cc
src/graph/stats/graph_average.hh
src/graph/stats/graph_distance.cc
src/graph/stats/graph_distance.hh
src/graph/stats/graph_distance_sampled.cc
src/graph/stats/graph_distance_sampled.hh
src/graph/stats/graph_histograms.cc
src/graph/stats/graph_histograms.hh
src/graph/stats/graph_parallel.cc
src/graph/stats/graph_parallel.hh
src/graph/stats/graph_stats_bind.cc
src/graph/str_repr.hh
src/graph/topology/graph_all_circuits.cc
src/graph/topology/graph_all_distances.cc
src/graph/topology/graph_bipartite.cc
src/graph/topology/graph_bipartite_weighted_matching.hh
src/graph/topology/graph_components.cc
src/graph/topology/graph_components.hh
src/graph/topology/graph_diameter.cc
src/graph/topology/graph_distance.cc
src/graph/topology/graph_dominator_tree.cc
src/graph/topology/graph_isomorphism.cc
src/graph/topology/graph_kcore.cc
src/graph/topology/graph_kcore.hh
src/graph/topology/graph_matching.cc
src/graph/topology/graph_maximal_cliques.cc
src/graph/topology/graph_maximal_cliques.hh
src/graph/topology/graph_maximal_planar.cc
src/graph/topology/graph_maximal_vertex_set.cc
src/graph/topology/graph_minimum_spanning_tree.cc
src/graph/topology/graph_percolation.cc
src/graph/topology/graph_percolation.hh
src/graph/topology/graph_planar.cc
src/graph/topology/graph_random_matching.cc
src/graph/topology/graph_random_spanning_tree.cc
src/graph/topology/graph_reciprocity.cc
src/graph/topology/graph_sequential_color.cc
src/graph/topology/graph_similarity.cc
src/graph/topology/graph_similarity.hh
src/graph/topology/graph_similarity_imp.cc
src/graph/topology/graph_subgraph_isomorphism.cc
src/graph/topology/graph_topological_sort.cc
src/graph/topology/graph_topology.cc
src/graph/topology/graph_transitive_closure.cc
src/graph/topology/graph_tsp.cc
src/graph/topology/graph_vertex_similarity.cc
src/graph/topology/graph_vertex_similarity.hh
src/graph/transform_iterator.hh
src/graph/util/graph_search.cc
src/graph/util/graph_search.hh
src/graph/util/graph_util_bind.cc
src/graph_tool/__init__.py
src/graph_tool/all.py
src/graph_tool/centrality/__init__.py
src/graph_tool/clustering/__init__.py
src/graph_tool/collection/__init__.py
src/graph_tool/collection/netzschleuder.py
src/graph_tool/correlations/__init__.py
src/graph_tool/decorators.py
src/graph_tool/dl_import.py
src/graph_tool/draw/__init__.py
src/graph_tool/draw/cairo_draw.py
src/graph_tool/draw/graphviz_draw.py
src/graph_tool/draw/gtk_draw.py
src/graph_tool/dynamics/__init__.py
src/graph_tool/flow/__init__.py
src/graph_tool/generation/__init__.py
src/graph_tool/gt_io.py
src/graph_tool/inference/__init__.py
src/graph_tool/inference/base_states.py
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/blockmodel_em.py
src/graph_tool/inference/clique_decomposition.py
src/graph_tool/inference/histogram.py
src/graph_tool/inference/latent_layers.py
src/graph_tool/inference/latent_multigraph.py
src/graph_tool/inference/layered_blockmodel.py
src/graph_tool/inference/mcmc.py
src/graph_tool/inference/minimize.py
src/graph_tool/inference/modularity.py
src/graph_tool/inference/nested_blockmodel.py
src/graph_tool/inference/overlap_blockmodel.py
src/graph_tool/inference/partition_centroid.py
src/graph_tool/inference/partition_modes.py
src/graph_tool/inference/planted_partition.py
src/graph_tool/inference/uncertain_blockmodel.py
src/graph_tool/inference/util.py
src/graph_tool/search/__init__.py
src/graph_tool/spectral/__init__.py
src/graph_tool/stats/__init__.py
src/graph_tool/topology/__init__.py
src/graph_tool/util/__init__.py

commit b56963c2
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-01

    multilevel.hh: enforce B_min/B_max bounds
    
    This fixes issue #725

src/graph/inference/loops/multilevel.hh

commit a0399483
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2022-01-01

    Implement DrawBlockState base state

src/graph_tool/draw/__init__.py
src/graph_tool/inference/base_states.py
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/modularity.py
src/graph_tool/inference/planted_partition.py

commit 38e6fab9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-10-20

    base_states.py: docstring fixup

src/graph_tool/inference/base_states.py

commit d92cb1e6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-10-20

    spectral: add Bethe Hessian implementation

src/graph/spectral/graph_laplacian.cc
src/graph/spectral/graph_laplacian.hh
src/graph/spectral/graph_matrix.cc
src/graph_tool/spectral/__init__.py

commit bca4052a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-10-14

    Cleanup configure.ac

configure.ac

commit f92c1fbf
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-10-10

    mcmc_loop.hh: support state variable by reference

src/graph/inference/loops/mcmc_loop.hh

commit 4df1d212
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-10-10

    Move std::array<> hash support out of graph_histogram.hh

src/graph/graph_util.hh
src/graph/hash_map_wrap.hh
src/graph/inference/histogram/graph_histogram.hh

commit cd14eebf
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-10-08

    partition_overlap(): check input lengths

src/graph_tool/inference/partition_modes.py

commit 1caa3bde
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-10-08

    Add Graph.own_property() to documentation

doc/graph_tool.rst

commit 6202a226
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-09-18

    spectral: add 'csr' optional parameter

src/graph_tool/spectral/__init__.py

commit a4960e70
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-09-18

    graph_union(): improve docstring

src/graph_tool/generation/__init__.py

commit 13187ce2
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-09-13

    sfdp_layout(): remove power() usage in favor of pow2()

src/graph/layout/graph_sfdp.hh

commit d9dbec01
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-09-05

    mcmc_loop.hh: take node by reference

src/graph/inference/loops/mcmc_loop.hh

commit 7f8492bc
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-09-05

    Detach tuple_apply() to util.hh

src/graph/inference/blockmodel/graph_blockmodel_entries.hh
src/graph/inference/support/util.hh

commit 66ac9026
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-09-04

    Fix doctests

src/graph_tool/__init__.py
src/graph_tool/topology/__init__.py

commit f06e8def
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-09-03

    SBMEdgeSampler: forbid copying

src/graph/inference/blockmodel/graph_blockmodel_imp2.cc
src/graph/inference/uncertain/graph_blockmodel_sample_edge.hh

commit 55e1e08a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-09-03

    test_inference.py: cleanup

doc/test_inference.py

commit e7a702bb
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-09-01

    inference: remove __deepcopy__() from state objects

src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/layered_blockmodel.py
src/graph_tool/inference/nested_blockmodel.py
src/graph_tool/inference/overlap_blockmodel.py

commit 18a1dbf4
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-08-15

    graph_draw(): automatically enable edge "sloppy" mode when equivalent

src/graph/draw/graph_cairo_draw.cc

commit 44b33e2e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-08-13

    PPBlockState: fix usage with directed graphs

src/graph/inference/planted_partition/graph_planted_partition.hh
src/graph_tool/inference/planted_partition.py

commit f0c33061
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-08-13

    graph_blockmodel_partition: small speedups

src/graph/inference/blockmodel/graph_blockmodel_partition.hh

commit dff2f5a3
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-08-13

    multilevel_mcmc: remove unused variable

src/graph/inference/blockmodel/graph_blockmodel_multilevel_mcmc.hh

commit c043734c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-08-13

    Graph.add_edge_list(): remove unnecessary check

src/graph/graph_python_interface_imp1.cc

commit b07d0a91
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-30

    copy_state_wrap: make test option explicit

src/graph_tool/inference/base_states.py

commit c3dcaca6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-30

    inference: pass by reference to MCMC loops

src/graph/inference/loops/gibbs_loop.hh
src/graph/inference/loops/mcmc_loop.hh

commit 4d8d77f3
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-30

    idx_map.hh: fixed shared position bug and clearing behavior

src/graph/idx_map.hh

commit 26f90d63
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-27

    ModularityState: fix initialization

src/graph_tool/inference/modularity.py

commit 31ccb470
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-26

    inference: minor test check improvement

src/graph_tool/inference/base_states.py

commit ceccb7a7
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-26

    graph_adjacency.hh: simplify edge index recycling

src/graph/graph_adjacency.hh

commit 74532ee1
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-11

    inference: avoid state copying by keeping a shared_ptr

src/graph/inference/blockmodel/graph_blockmodel_em.cc
src/graph/inference/blockmodel/graph_blockmodel_emat.hh
src/graph/inference/blockmodel/graph_blockmodel_exhaustive.cc
src/graph/inference/blockmodel/graph_blockmodel_gibbs.cc
src/graph/inference/blockmodel/graph_blockmodel_imp2.cc
src/graph/inference/blockmodel/graph_blockmodel_imp3.cc
src/graph/inference/blockmodel/graph_blockmodel_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_multicanonical.cc
src/graph/inference/blockmodel/graph_blockmodel_multicanonical_multiflip.cc
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_multilevel_mcmc.cc
src/graph/inference/histogram/graph_histogram.cc
src/graph/inference/histogram/graph_histogram_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers.hh
src/graph/inference/layers/graph_blockmodel_layers_exhaustive.cc
src/graph/inference/layers/graph_blockmodel_layers_gibbs.cc
src/graph/inference/layers/graph_blockmodel_layers_imp.cc
src/graph/inference/layers/graph_blockmodel_layers_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_multicanonical.cc
src/graph/inference/layers/graph_blockmodel_layers_multicanonical_multiflip.cc
src/graph/inference/layers/graph_blockmodel_layers_multiflip_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_multilevel_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_exhaustive.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_gibbs.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_mcmc_bundled.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multicanonical.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multicanonical_multiflip.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multiflip_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multilevel_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_vacate.cc
src/graph/inference/modularity/graph_modularity.cc
src/graph/inference/modularity/graph_modularity_gibbs.cc
src/graph/inference/modularity/graph_modularity_mcmc.cc
src/graph/inference/modularity/graph_modularity_multiflip_mcmc.cc
src/graph/inference/modularity/graph_modularity_multilevel_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap.cc
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph/inference/overlap/graph_blockmodel_overlap_exhaustive.cc
src/graph/inference/overlap/graph_blockmodel_overlap_gibbs.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc_bundled.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multicanonical.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multicanonical_multiflip.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multiflip_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multilevel_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_vacate.cc
src/graph/inference/partition_centroid/graph_partition_centroid.cc
src/graph/inference/partition_centroid/graph_partition_centroid_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_multiflip_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_multilevel_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi_multiflip_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi_multilevel_mcmc.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering_mcmc.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering_multiflip_mcmc.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering_multilevel_mcmc.cc
src/graph/inference/planted_partition/graph_planted_partition.cc
src/graph/inference/planted_partition/graph_planted_partition_gibbs.cc
src/graph/inference/planted_partition/graph_planted_partition_mcmc.cc
src/graph/inference/planted_partition/graph_planted_partition_multiflip_mcmc.cc
src/graph/inference/planted_partition/graph_planted_partition_multilevel_mcmc.cc
src/graph/inference/support/graph_state.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_cising_glauber.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_cising_glauber_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics_mcmc_r.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_ising_glauber.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_ising_glauber_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising_mcmc_h.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising_mcmc_h.cc
src/graph/inference/uncertain/graph_blockmodel_latent_closure.cc
src/graph/inference/uncertain/graph_blockmodel_latent_closure_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_measured.cc
src/graph/inference/uncertain/graph_blockmodel_measured.hh
src/graph/inference/uncertain/graph_blockmodel_measured_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_sample_edge.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_mcmc.cc

commit 21e34981
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-11

    CI: prevent default CXXFLAGS in debian builds

release/debian/debian/rules

commit db31ab1e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-11

    CI: disable cache in container builds

.gitlab-ci.yml

commit 6c542b85
Merge: 424e27bb ea7e1caf
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-07-11

    Merge branch 'fixes' into 'master'
    
    Fixes
    
    See merge request count0/graph-tool!65

commit ea7e1caf
Author: David Seifert <soap@gentoo.org>
Date:   2021-07-11

    configure.ac: modernise

configure.ac

commit 424e27bb
Merge: c3cb31c9 c6de615c
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-07-09

    Merge branch 'non-recursive-Automake' into 'master'
    
    Switch to non-recursive Automake
    
    See merge request count0/graph-tool!64

commit c6de615c
Author: David Seifert <soap@gentoo.org>
Date:   2021-07-09

    Switch to non-recursive Automake

Makefile.am
configure.ac
src/Makefile.am
src/graph/Makefile.am
src/graph/centrality/Makefile.am
src/graph/clustering/Makefile.am
src/graph/correlations/Makefile.am
src/graph/draw/Makefile.am
src/graph/dynamics/Makefile.am
src/graph/flow/Makefile.am
src/graph/generation/Makefile.am
src/graph/inference/Makefile.am
src/graph/inference/blockmodel/graph_blockmodel_elist.hh
src/graph/layout/Makefile.am
src/graph/search/Makefile.am
src/graph/spectral/Makefile.am
src/graph/stats/Makefile.am
src/graph/topology/Makefile.am
src/graph/util/Makefile.am
src/graph_tool/Makefile.am

commit c3cb31c9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-07

    Bump version to 2.44dev

configure.ac

commit 9d41331e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-07

    Bump version to 2.43

configure.ac

commit e5828864
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-06

    Latent layers: fix entropy difference computation

src/graph/inference/uncertain/graph_blockmodel_latent_layers_mcmc.hh

commit 1f80b1fb
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-06

    Trivial simplification

src/graph/inference/blockmodel/graph_blockmodel_emat.hh

commit 74ab77ec
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-06

    Recover missing functions: BlockState.add/remove_vertex()

src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_imp2.cc
src/graph/inference/blockmodel/graph_blockmodel_imp3.cc
src/graph/inference/layers/graph_blockmodel_layers.hh
src/graph/inference/layers/graph_blockmodel_layers_imp.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap.cc
src/graph/inference/overlap/graph_blockmodel_overlap.cc
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph_tool/inference/blockmodel.py

commit 80878919
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-06

    Bump version to 2.43dev

configure.ac

commit 458bd492
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-02

    Bump version to 2.42

configure.ac

commit 60b36065
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-02

    (Nested)BlockState: fix clabel propagation

src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/overlap_blockmodel.py

commit 03a8fa2c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-02

    NestedBlockState: remove 'sampling' parameter

src/graph_tool/inference/nested_blockmodel.py

commit a2189994
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-02

    blockmodel: cleanup partition_stats usage

src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/layers/graph_blockmodel_layers.hh
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics.hh
src/graph/inference/uncertain/graph_blockmodel_latent_closure.hh
src/graph/inference/uncertain/graph_blockmodel_latent_layers.hh
src/graph/inference/uncertain/graph_blockmodel_measured.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain.hh

commit 02203e8e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-02

    graph_blockmodel_entries.hh: slight performance improvements

src/graph/inference/blockmodel/graph_blockmodel_entries.hh

commit d90b4d8b
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-02

    inference: remove outdated functions and function parameters

src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_imp2.cc
src/graph/inference/blockmodel/graph_blockmodel_imp3.cc
src/graph/inference/layers/graph_blockmodel_layers.hh
src/graph/inference/layers/graph_blockmodel_layers_imp.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap.cc
src/graph/inference/overlap/graph_blockmodel_overlap.cc
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/minimize.py
src/graph_tool/inference/nested_blockmodel.py

commit d514bf27
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-07-02

    graph_blockmodel_partition.hh: fix copy bug

src/graph/inference/blockmodel/graph_blockmodel_partition.hh

commit 627f6ea0
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-28

    Update docstests

doc/demos/inference/_edge_weights.rst
doc/demos/inference/_minimization.rst
doc/demos/inference/_model_class_selection.rst
doc/demos/inference/_model_selection.rst
doc/demos/inference/_prediction.rst
doc/demos/inference/_reconstruction.rst
doc/demos/inference/_reconstruction_dynamics.rst
doc/demos/inference/_sampling.rst

commit 950fca54
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-28

    Bump version to 2.42dev

configure.ac

commit cd6c697e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-28

    Bump version to 2.41

configure.ac

commit ac2e8608
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-28

    CI: disable lto in Debian builds

release/debian/debian/rules

commit 8c93acec
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-28

    Update doctests

src/graph_tool/inference/blockmodel.py

commit 97c05ac8
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-28

    Add missing MultilevelMCMCState._get_bclabel()

src/graph_tool/inference/base_states.py

commit 75556a9a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-28

    get_hierarchy_tree(): change default to empty_branches=False

src/graph_tool/inference/nested_blockmodel.py

commit 7be93ef4
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-28

    inference: fix issue with clabel in multilevel MCMC
    
    This fixes issue #706

src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/loops/multilevel.hh
src/graph_tool/inference/base_states.py
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/layered_blockmodel.py
src/graph_tool/inference/minimize.py
src/graph_tool/inference/nested_blockmodel.py
src/graph_tool/inference/overlap_blockmodel.py

commit 98d213e0
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-28

    inference: simplify and improve EGroups update performance

src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_elist.hh
src/graph/inference/blockmodel/graph_blockmodel_entries.hh
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_multilevel_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_util.hh
src/graph/inference/layers/graph_blockmodel_layers.hh
src/graph/inference/modularity/graph_modularity.hh
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph/inference/partition_centroid/graph_partition_centroid.hh
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.hh
src/graph/inference/partition_modes/graph_partition_mode_clustering.hh
src/graph/inference/planted_partition/graph_planted_partition.hh

commit 18caad84
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-28

    Bump version to 2.41dev

configure.ac

commit 3994a2ef
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-24

    Bump version to 2.40

configure.ac

commit 76769a8a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-24

    CI: re-enable FLTO in Debian/Ubuntu builds

release/debian/debian/rules

commit 894fbe90
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-24

    Put operator<< overload implementation in correct namespace
    
    This fixes a segfault in some targets (e.g. conda).

src/graph/inference/histogram/graph_histogram_mcmc.cc
src/graph/inference/histogram/graph_histogram_mcmc.hh

commit 82190914
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-12

    sfdp_layout(): improve performance and update group behavior

src/graph/layout/graph_sfdp.cc
src/graph/layout/graph_sfdp.hh
src/graph_tool/draw/__init__.py

commit 7c4379bf
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-23

    Bump version to 2.40dev

configure.ac

commit dec169a3
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-23

    Bump version to 2.39

configure.ac

commit 78a18de6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-23

    Makefile.am: add missing contingency.hh

src/graph/inference/Makefile.am

commit 2afb7ae7
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-22

    Bump version to 2.38

configure.ac

commit b6c929f5
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-22

    Fix debian build

release/debian/debian/rules

commit 70c28423
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-22

    Fix docker build

release/docker/Dockerfile

commit ca8ed481
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-22

    Fix compilation with boost versions older than 1.76

src/graph/graph_python_interface.hh

commit 3b1cbac6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-22

    Graph.__setstate__(): call explicit __init__()
    
    This makes it easier to subclass Graph while chaning the __init__()
    signature. This fixes issue #696.

src/graph_tool/__init__.py

commit b601f401
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-22

    Fix docstring tests

doc/conf.py
doc/pyenv.py
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/minimize.py

commit c9dcca6a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-21

    Remove stale reference to old bisection submodule

src/graph_tool/inference/__init__.py

commit 458bf830
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-21

    graph_io_binary.hh: suppress compilation warnings

src/graph/graph_io_binary.hh

commit a851ca15
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-21

    multilevel_mcmc: fix initial bracketing

src/graph/inference/loops/multilevel.hh

commit 14ad85a8
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-21

    Fix clang compilation errors

src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_multilevel_mcmc.hh
src/graph/inference/histogram/graph_histogram.cc
src/graph/inference/histogram/graph_histogram_mcmc.cc
src/graph/inference/loops/multilevel.hh

commit 594ed6f2
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-21

    CI: disable openmp with clang

.gitlab-ci.yml

commit 68ce16ce
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-21

    Fix missing copyright headers

src/graph/inference/loops/merge_split.hh
src/graph/inference/loops/multilevel.hh

commit 24e32369
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-21

    Add clique decomposition implementation

doc/inference.rst
src/graph/inference/Makefile.am
src/graph/inference/cliques/graph_clique_decomposition.cc
src/graph/inference/cliques/graph_clique_decomposition.hh
src/graph/inference/graph_inference.cc
src/graph_tool/Makefile.am
src/graph_tool/inference/__init__.py
src/graph_tool/inference/base_states.py
src/graph_tool/inference/clique_decomposition.py

commit b95a253f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-21

    Avoid multiple declarations of move_t

src/graph/inference/loops/merge_split.hh
src/graph/inference/loops/multilevel.hh

commit 08722cf7
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-21

    Fix graph_histogram.cc compilation

src/graph/inference/support/graph_state.hh

commit 518182a6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-21

    multicanonical_equilibrate(): fix callback function
    
    This fixes issue #700

src/graph_tool/inference/mcmc.py

commit 6a2c8b3a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-21

    Fix mulicanonical_mcmc_sweep() with NestedBlockState
    
    This fixes issue #699

src/graph_tool/inference/base_states.py
src/graph_tool/inference/nested_blockmodel.py

commit bab2be6b
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-21

    Fix docstrings

doc/demos/inference/_edge_weights.rst
doc/demos/inference/_minimization.rst
doc/demos/inference/_model_class_selection.rst
doc/demos/inference/_model_selection.rst
doc/demos/inference/_prediction.rst
doc/demos/inference/_reconstruction.rst
doc/demos/inference/_reconstruction_dynamics.rst
doc/demos/inference/_sampling.rst
doc/inference.rst
src/graph_tool/draw/cairo_draw.py
src/graph_tool/inference/__init__.py
src/graph_tool/inference/base_states.py
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/minimize.py
src/graph_tool/inference/nested_blockmodel.py
src/graph_tool/inference/uncertain_blockmodel.py

commit fdefb758
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-05-01

    MCMC test cleanup

doc/test_inference.py
doc/test_inference_mcmc.py

commit ea4ff28f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-21

    Implement nested_contiguous_map()

src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/layered_blockmodel.py
src/graph_tool/inference/nested_blockmodel.py
src/graph_tool/inference/util.py

commit ecd607db
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-21

    Remove dead multilevel code

src/graph_tool/inference/layered_blockmodel.py
src/graph_tool/inference/mcmc.py

commit e4cb3500
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-15

    Change continuous_map() to contiguous_map()

src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/layered_blockmodel.py
src/graph_tool/inference/nested_blockmodel.py
src/graph_tool/inference/util.py

commit ee5cd8e8
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-15

    Fix compilation errors and warnings with Boost 1.76
    
    This fixes issue #703

configure.ac
src/boost-workaround/boost/graph/adjacency_iterator.hpp
src/graph/Makefile.am
src/graph/centrality/graph_betweenness.cc
src/graph/centrality/graph_centrality_bind.cc
src/graph/centrality/graph_closeness.cc
src/graph/centrality/graph_eigentrust.cc
src/graph/centrality/graph_eigenvector.cc
src/graph/centrality/graph_hits.cc
src/graph/centrality/graph_katz.cc
src/graph/centrality/graph_trust_transitivity.cc
src/graph/correlations/graph_correlations.hh
src/graph/correlations/graph_correlations_bind.cc
src/graph/dynamics/graph_continuous.cc
src/graph/dynamics/graph_discrete.cc
src/graph/dynamics/graph_dynamics.cc
src/graph/generation/graph_community_network.cc
src/graph/generation/graph_community_network_eavg.cc
src/graph/generation/graph_community_network_eavg_imp1.cc
src/graph/generation/graph_community_network_edges.cc
src/graph/generation/graph_community_network_vavg.cc
src/graph/generation/graph_rewiring.cc
src/graph/graph.hh
src/graph/graph_io.cc
src/graph/graph_properties.cc
src/graph/graph_properties_imp1.cc
src/graph/graph_properties_imp2.cc
src/graph/graph_properties_imp3.cc
src/graph/graph_properties_imp4.cc
src/graph/graph_python_interface.hh
src/graph/graphml.cpp
src/graph/inference/layers/graph_blockmodel_layers.cc
src/graph/inference/layers/graph_blockmodel_layers_imp.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_cising_glauber.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_ising_glauber.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising.cc
src/graph/inference/uncertain/graph_blockmodel_latent_closure.cc
src/graph/inference/uncertain/graph_blockmodel_measured.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain.cc
src/graph/layout/graph_bind_layout.cc
src/graph/read_graphviz_new.cpp
src/graph/search/graph_search_bind.cc
src/graph/spectral/graph_adjacency.cc
src/graph/spectral/graph_incidence.cc
src/graph/spectral/graph_laplacian.cc
src/graph/spectral/graph_matrix.cc
src/graph/spectral/graph_nonbacktracking.cc
src/graph/spectral/graph_norm_laplacian.cc
src/graph/spectral/graph_transition.cc
src/graph/stats/graph_stats_bind.cc
src/graph/topology/graph_all_circuits.cc
src/graph/topology/graph_bipartite.cc
src/graph/topology/graph_similarity.cc
src/graph/topology/graph_topology.cc
src/graph/topology/graph_transitive_closure.cc
src/graph/topology/graph_vertex_similarity.cc
src/graph/util/graph_util_bind.cc

commit bda49830
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-15

    inference: cleanup deg_ops

src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_partition.hh
src/graph/inference/uncertain/graph_blockmodel_sample_edge.hh

commit 5a3aada4
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-15

    Implement Gibbs moves for ModularityState

src/graph/inference/Makefile.am
src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/graph_inference.cc
src/graph/inference/modularity/graph_modularity_gibbs.cc
src/graph_tool/inference/modularity.py

commit 43a0de90
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-15

    inference: simplify random neighbor sampling

src/graph/generation/sampler.hh
src/graph/inference/Makefile.am
src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_gibbs.hh
src/graph/inference/blockmodel/graph_blockmodel_imp2.cc
src/graph/inference/blockmodel/graph_blockmodel_imp3.cc
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_multilevel_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_partition.hh
src/graph/inference/blockmodel/graph_blockmodel_util.hh
src/graph/inference/graph_inference.cc
src/graph/inference/layers/graph_blockmodel_layers.hh
src/graph/inference/layers/graph_blockmodel_layers_imp.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap.cc
src/graph/inference/loops/multilevel.hh
src/graph/inference/modularity/graph_modularity.hh
src/graph/inference/overlap/graph_blockmodel_overlap.cc
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph/inference/partition_centroid/graph_partition_centroid.hh
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.hh
src/graph/inference/partition_modes/graph_partition_mode_clustering.hh
src/graph/inference/planted_partition/graph_planted_partition.hh
src/graph_tool/inference/minimize.py

commit 90041be8
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-14

    Improve elist implementation

src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_elist.hh
src/graph/inference/overlap/graph_blockmodel_overlap.cc
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph_tool/inference/blockmodel.py

commit ca8b4bb7
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-14

    Remove unneeded OpenMP locks

src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/layers/graph_blockmodel_layers.hh
src/graph/inference/modularity/graph_modularity.hh
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph/inference/partition_centroid/graph_partition_centroid.hh
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.hh
src/graph/inference/planted_partition/graph_planted_partition.hh

commit 78c7d0c2
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-14

    dynamic_sampler.hh: add update() and get_prob()

src/graph/generation/dynamic_sampler.hh

commit f804c544
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-15

    Refactor mutilevel MCMC inference
    
    This moves the entire algorithm into C++, and includes a faster
    initialization heuristic.

doc/demos/inference/_assortative.rst
doc/demos/inference/_edge_weights.rst
doc/demos/inference/_layers.rst
doc/demos/inference/_minimization.rst
doc/demos/inference/_model_class_selection.rst
doc/demos/inference/_model_selection.rst
doc/demos/inference/_prediction.rst
doc/demos/inference/_sampling.rst
doc/demos/inference/inference.rst
src/graph/inference/Makefile.am
src/graph/inference/blockmodel/graph_blockmodel.cc
src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_elist.hh
src/graph/inference/blockmodel/graph_blockmodel_gibbs.hh
src/graph/inference/blockmodel/graph_blockmodel_imp2.cc
src/graph/inference/blockmodel/graph_blockmodel_imp3.cc
src/graph/inference/blockmodel/graph_blockmodel_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_merge.cc
src/graph/inference/blockmodel/graph_blockmodel_merge.hh
src/graph/inference/blockmodel/graph_blockmodel_multilevel_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_partition.hh
src/graph/inference/graph_inference.cc
src/graph/inference/layers/graph_blockmodel_layers.cc
src/graph/inference/layers/graph_blockmodel_layers.hh
src/graph/inference/layers/graph_blockmodel_layers_imp.cc
src/graph/inference/layers/graph_blockmodel_layers_merge.cc
src/graph/inference/loops/merge_loop.hh
src/graph/inference/loops/multilevel.hh
src/graph/inference/modularity/graph_modularity.hh
src/graph/inference/modularity/graph_modularity_multilevel_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc_bundled.hh
src/graph/inference/overlap/graph_blockmodel_overlap_vacate.hh
src/graph/inference/planted_partition/graph_planted_partition.hh
src/graph/inference/planted_partition/graph_planted_partition_multilevel_mcmc.cc
src/graph/inference/support/int_part.cc
src/graph/inference/support/int_part.hh
src/graph_tool/Makefile.am
src/graph_tool/draw/cairo_draw.py
src/graph_tool/inference/__init__.py
src/graph_tool/inference/base_states.py
src/graph_tool/inference/bisection.py
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/histogram.py
src/graph_tool/inference/latent_layers.py
src/graph_tool/inference/layered_blockmodel.py
src/graph_tool/inference/minimize.py
src/graph_tool/inference/modularity.py
src/graph_tool/inference/nested_blockmodel.py
src/graph_tool/inference/overlap_blockmodel.py
src/graph_tool/inference/partition_centroid.py
src/graph_tool/inference/partition_modes.py
src/graph_tool/inference/planted_partition.py
src/graph_tool/inference/uncertain_blockmodel.py

commit 498e63c3
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-07

    generate_knn(): fix docstring

src/graph_tool/generation/__init__.py

commit 4c9359ac
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-05-13

    merge_split: do not restrict single-node moves to current hierarchy

src/graph/inference/loops/merge_split.hh

commit 08c38f3f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-05-13

    Release the GIL during MCMC sweeps

src/graph/inference/loops/exhaustive_loop.hh
src/graph/inference/loops/gibbs_loop.hh
src/graph/inference/loops/mcmc_loop.hh
src/graph/inference/loops/merge_loop.hh

commit 6e87fc05
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-05-13

    Add GILRelease support to release the GIL as appropriate

src/graph/graph_python_interface.hh

commit e6b9d702
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-05-02

    reduced_mutual_information(): fix docstring w.r.t. normalization

src/graph_tool/inference/partition_centroid.py

commit cd8ea9e3
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-05-02

    Histogram: implement conditional histograms

src/graph/inference/histogram/graph_histogram.cc
src/graph/inference/histogram/graph_histogram.hh
src/graph/inference/histogram/graph_histogram_mcmc.cc
src/graph/inference/histogram/graph_histogram_mcmc.hh
src/graph_tool/inference/histogram.py

commit ca5486a9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-05-02

    Implement Bayesian histogram inference

src/graph/inference/Makefile.am
src/graph/inference/graph_inference.cc
src/graph/inference/histogram/graph_histogram.cc
src/graph/inference/histogram/graph_histogram.hh
src/graph/inference/histogram/graph_histogram_mcmc.cc
src/graph/inference/histogram/graph_histogram_mcmc.hh
src/graph_tool/Makefile.am
src/graph_tool/inference/__init__.py
src/graph_tool/inference/histogram.py

commit d5450d85
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-05-01

    planted_partition: fix MCMC detailed balance

src/graph/inference/planted_partition/graph_planted_partition.hh

commit 9a40e524
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-05-01

    planted_partition: implement Gibbs sampling

src/graph/inference/Makefile.am
src/graph/inference/blockmodel/graph_blockmodel_gibbs.hh
src/graph/inference/graph_inference.cc
src/graph/inference/planted_partition/graph_planted_partition_gibbs.cc
src/graph_tool/inference/planted_partition.py

commit c4ff6d79
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-07

    Refactor multilevel MCMC into pure C++

src/graph/inference/Makefile.am
src/graph/inference/blockmodel/graph_blockmodel_multilevel_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_multilevel_mcmc.hh
src/graph/inference/graph_inference.cc
src/graph/inference/layers/graph_blockmodel_layers_multilevel_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multilevel_mcmc.cc
src/graph/inference/loops/multilevel.hh
src/graph/inference/modularity/graph_modularity.hh
src/graph/inference/modularity/graph_modularity_multilevel_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multilevel_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid.hh
src/graph/inference/partition_centroid/graph_partition_centroid_multilevel_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.hh
src/graph/inference/partition_centroid/graph_partition_centroid_rmi_multilevel_mcmc.cc
src/graph/inference/partition_modes/graph_partition_mode.hh
src/graph/inference/partition_modes/graph_partition_mode_clustering.hh
src/graph/inference/partition_modes/graph_partition_mode_clustering_multilevel_mcmc.cc
src/graph/inference/planted_partition/graph_planted_partition_multilevel_mcmc.cc
src/graph/inference/support/contingency.hh
src/graph_tool/inference/bisection.py
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/layered_blockmodel.py
src/graph_tool/inference/nested_blockmodel.py
src/graph_tool/inference/overlap_blockmodel.py
src/graph_tool/inference/partition_centroid.py
src/graph_tool/inference/partition_modes.py
src/graph_tool/inference/planted_partition.py

commit ed484b0e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-06-07

    idx_set: fix iterator constness

src/graph/idx_map.hh

commit 785e77da
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-05-13

    blockmodel: add_empty_block() returns the new group

src/graph/inference/blockmodel/graph_blockmodel.hh

commit 9f75d21d
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-03-26

    dynamic_sampler.hh: decouple index and element sampling

src/graph/generation/dynamic_sampler.hh

commit 6b09274e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-04-26

    PropertyDict: fix missing attribute exception

src/graph_tool/__init__.py

commit fc15128a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-04-15

    PropertyDict: propagate attribute lookup

src/graph_tool/__init__.py

commit 51a48300
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-03-21

    Refactor empty/candidate groups into using idx_set

src/graph/idx_map.hh
src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_gibbs.hh
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_partition.hh
src/graph/inference/layers/graph_blockmodel_layers.hh
src/graph/inference/modularity/graph_modularity.hh
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph/inference/overlap/graph_blockmodel_overlap_partition.hh
src/graph/inference/partition_centroid/graph_partition_centroid.hh
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.hh
src/graph/inference/partition_modes/graph_partition_mode_clustering.hh
src/graph/inference/planted_partition/graph_planted_partition.hh
src/graph/inference/support/util.hh
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/layered_blockmodel.py
src/graph_tool/inference/overlap_blockmodel.py

commit 0532729a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-03-09

    Refactor multiflip_mcmc() as a stand alone code with specializations

doc/test_inference_mcmc.py
src/graph/inference/Makefile.am
src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.hh
src/graph/inference/loops/merge_split.hh
src/graph/inference/modularity/graph_modularity.hh
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc_bundled.hh
src/graph/inference/partition_centroid/graph_partition_centroid.hh
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.hh
src/graph/inference/partition_modes/graph_partition_mode_clustering.hh
src/graph/inference/planted_partition/graph_planted_partition.hh
src/graph/inference/support/util.hh
src/graph_tool/inference/blockmodel.py

commit 5f778bca
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-03-26

    cairo_draw(): fix position transformation with more than two coordinates

src/graph_tool/draw/cairo_draw.py

commit 754f6100
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-03-21

    Inference HOWTO: fix edge weigth example

doc/demos/inference/_edge_weights.rst

commit 9dbc0547
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-03-09

    test_inference_mcmc.py: fix parallel tests

doc/test_inference_mcmc.py

commit 9f620ac1
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-03-06

    log_sum_exp(): handle -inf case

src/graph/inference/support/util.hh

commit b7babcf8
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-03-06

    graph_blockmodel_multiflip_mcmc.hh: revert beta=inf behavior

src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.hh

commit 61b956b7
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-03-06

    graph_blockmodel_emat.hh: simplify and speedup group edge lookup

src/graph/inference/blockmodel/graph_blockmodel_emat.hh

commit e405a575
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-03-02

    Fix PPBlockState.get_Be()

src/graph_tool/inference/planted_partition.py

commit 54a4dfb9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-03-02

    graph_latent_multigraph.hh: remove unused include

src/graph/inference/graph_latent_multigraph.hh

commit 5676812b
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-02-28

    Docstring fixup

doc/demos/inference/_model_class_selection.rst
src/graph_tool/inference/uncertain_blockmodel.py
src/graph_tool/search/__init__.py

commit aba9d112
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-02-28

    blockmodel: multiflip_mcmc_sweep() speedup for beta=inf

src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.hh

commit c5840b5d
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-02-28

    blockmodel: sparse matrix load-factor tune-up

src/graph/inference/blockmodel/graph_blockmodel_emat.hh

commit 55c58156
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-02-28

    Fix inference test

doc/test_inference.py

commit af79a7f3
Merge: 36c61ec2 2ba32db7
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-03-02

    Merge branch 'prop_to_size' into 'master'
    
    Handle property maps of length 0 in prop_to_size and clarify its documentation
    
    See merge request count0/graph-tool!63

commit 2ba32db7
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-02-24

    Handle property maps of length 0 in prop_to_size

src/graph_tool/draw/__init__.py

commit 832a9ada
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-02-24

    Clarify documentation of prop_to_size function

src/graph_tool/draw/__init__.py

commit 36c61ec2
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-02-16

    graphviz_draw(): fix encoding bug
    
    This fixes issue #687

src/graph_tool/draw/graphviz_draw.py

commit 4908e139
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-02-16

    EHash: remove ineffective index randomization

src/graph/inference/blockmodel/graph_blockmodel.cc
src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_emat.hh
src/graph/inference/blockmodel/graph_blockmodel_imp.cc
src/graph/inference/overlap/graph_blockmodel_overlap.cc
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/overlap_blockmodel.py

commit 7b4d03d5
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-02-15

    EHash: remove const reference

src/graph/inference/blockmodel/graph_blockmodel_emat.hh

commit 8efe5ded
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-02-15

    EntrySet: replaced assumed optimization with constexpr

src/graph/inference/blockmodel/graph_blockmodel_entries.hh

commit 7cb3816e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-02-15

    gt_format.rst: small typo

doc/gt_format.rst

commit 894617b7
Merge: 2d06d47b f930bce1
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-02-06

    Merge branch 'abc' into 'master'
    
    Use collections.abc.Iterable instead of collections.Iterable
    
    See merge request count0/graph-tool!62

commit f930bce1
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-02-06

    Use collections.abc.Iterable instead of collections.Iterable

src/graph_tool/dynamics/__init__.py
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/nested_blockmodel.py
src/graph_tool/inference/uncertain_blockmodel.py
src/graph_tool/topology/__init__.py

commit 2d06d47b
Merge: 0b49af73 2403c922
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-02-06

    Merge branch 'dict' into 'master'
    
    Use dict instead of OrderedDict
    
    See merge request count0/graph-tool!61

commit 2403c922
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-02-05

    Use dict instead of OrderedDict
    
    Since Python 3.6, all dicts are ordered.

doc/test_inference.py
src/graph_tool/inference/blockmodel.py

commit 0b49af73
Merge: b8e8c0f2 bd80203d
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-02-04

    Merge branch 'unused_functions' into 'master'
    
    Remove more unused functions
    
    See merge request count0/graph-tool!58

commit bd80203d
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-02-03

    Remove unused file graph_closure.hh

src/graph/generation/graph_closure.hh

commit f8bfde86
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-02-03

    Remove unused power function from graph_katz.hh

src/graph/centrality/graph_katz.hh

commit 7f9cd1b2
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-02-03

    Remove unused hash_value function from graph_generation.hh

src/graph/generation/graph_generation.hh

commit 64f5f906
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-02-03

    Remove unused move_radially function from graph_cairo_draw.cc

src/graph/draw/graph_cairo_draw.cc

commit b8e8c0f2
Merge: fbe5f2d7 5170e126
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-02-03

    Merge branch 'ubuntu14' into 'master'
    
    Fixes for old versions of Ubuntu
    
    See merge request count0/graph-tool!57

commit 5170e126
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-02-02

    Increase minimum Boost version from 1.55 to 1.58
    
    boost::container::small_vector is not available before Boost 1.58.

configure.ac

commit e9bfea8f
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-02-02

    Fix CGAL version checks
    
    Periodic_3_Delaunay_triangulation_traits_3.h is only present in CGAL 4.7
    and later.

src/graph/generation/graph_triangulation.cc

commit aae627ba
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-02-02

    Add missing insert_range.hpp includes

src/graph/generation/graph_community_network_eavg.cc
src/graph/generation/graph_community_network_eavg_imp1.cc
src/graph/generation/graph_community_network_vavg.cc

commit fbe5f2d7
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-02-02

    modularity.py: fix wrong reference to numpy
    
    This fixes issue #692.

src/graph_tool/inference/modularity.py

commit 8639365b
Merge: 8459c610 57a53cec
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-02-02

    Merge branch 'static' into 'master'
    
    Make more functions static
    
    See merge request count0/graph-tool!56

commit 8459c610
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-02-02

    netzschleuder.py: fix URL encoding of datasets with spaces and other special characters

src/graph_tool/collection/netzschleuder.py

commit 57a53cec
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-02-02

    Make more functions static

src/graph/draw/graph_tree_cts.cc
src/graph/dynamics/graph_continuous.cc
src/graph/dynamics/graph_discrete.cc
src/graph/flow/graph_kolmogorov.cc
src/graph/flow/graph_push_relabel.cc
src/graph/graph_io.cc
src/graph/graph_properties.cc
src/graph/graph_properties_imp2.cc
src/graph/inference/blockmodel/graph_blockmodel_entries.hh
src/graph/inference/blockmodel/graph_blockmodel_marginals.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_continuous.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_discrete.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_mcmc.hh
src/graph/inference/uncertain/graph_blockmodel_latent_closure.hh
src/graph/layout/graph_fruchterman_reingold.cc
src/graph/layout/graph_sfdp.hh
src/graph/read_graphviz_new.cpp
src/graph/search/graph_astar.cc
src/graph/stats/graph_average.hh
src/graph/str_repr.hh

commit 2ac08632
Merge: 1648cb97 cb844a60
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-02-02

    Merge branch 'dist' into 'master'
    
    Remove unused dist function
    
    See merge request count0/graph-tool!54

commit 1648cb97
Merge: 36605ccd 2d462145
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-02-02

    Merge branch 'python2' into 'master'
    
    Remove checks for Python 2 from configure.ac
    
    See merge request count0/graph-tool!55

commit 2d462145
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-02-01

    Remove checks for Python 2 from configure.ac

configure.ac

commit cb844a60
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-02-01

    Remove unused dist function

src/graph/draw/graph_tree_cts.cc

commit 36605ccd
Merge: 1f141ef9 76b17efb
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-02-01

    Merge branch 'python2' into 'master'
    
    Remove checks for PY_MAJOR_VERSION >= 3
    
    See merge request count0/graph-tool!53

commit 1f141ef9
Merge: f22e9697 6ae59083
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-02-01

    Merge branch 'boost' into 'master'
    
    Remove workarounds for Boost < 1.44
    
    See merge request count0/graph-tool!52

commit 76b17efb
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-02-01

    Remove checks for PY_MAJOR_VERSION >= 3

src/graph/draw/pycairo_aux.cc
src/graph/graph_python_interface.hh

commit 6ae59083
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-02-01

    Remove workarounds for Boost < 1.44

src/boost-workaround/boost/graph/betweenness_centrality.hpp
src/boost-workaround/boost/graph/detail/read_graphviz_new.hpp
src/boost-workaround/boost/graph/graphviz.hpp
src/graph/fast_vector_property_map.hh
src/graph/flow/graph_kolmogorov.cc
src/graph/graph_io.cc
src/graph/graph_properties.hh
src/graph/graph_python_interface.hh
src/graph/read_graphviz_new.cpp

commit f22e9697
Merge: 95a79575 e95ec9f2
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-02-01

    Merge branch 'lt_operator' into 'master'
    
    Remove unused < operator for vectors
    
    See merge request count0/graph-tool!51

commit 95a79575
Merge: 89114c4a d4584a3e
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-01-30

    Merge branch 'master' into 'master'
    
    partition_centroid.py: fix normalization in mutual_information
    
    See merge request count0/graph-tool!50

commit e95ec9f2
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-01-29

    Remove unused < operator for vectors

src/graph/graph_properties_imp2.cc

commit 89114c4a
Merge: c3ac15e5 427128d0
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-01-30

    Merge branch 'includes' into 'master'
    
    Remove unused includes
    
    See merge request count0/graph-tool!49

commit d4584a3e
Author: Rodrigo L.C <rodrigolealc@ciencias.unam.mx>
Date:   2021-01-29

    partition_centroid.py: fix normalization in mutual_information

src/graph_tool/inference/partition_centroid.py

commit 427128d0
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-01-28

    Remove unused includes

src/graph/dynamics/graph_continuous.hh
src/graph/generation/graph_maxent_sbm.hh
src/graph/generation/graph_price.hh
src/graph/graph.hh
src/graph/graph_properties_copy.hh
src/graph/inference/blockmodel/graph_blockmodel_exhaustive.hh
src/graph/inference/blockmodel/graph_blockmodel_gibbs.hh
src/graph/inference/blockmodel/graph_blockmodel_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_multicanonical.hh
src/graph/inference/modularity/graph_modularity.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc_bundled.hh
src/graph/inference/overlap/graph_blockmodel_overlap_vacate.hh
src/graph/inference/support/graph_state.hh
src/graph/inference/support/int_part.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_continuous.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_discrete.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics_mcmc_h.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising_mcmc_h.hh
src/graph/inference/uncertain/graph_blockmodel_latent_closure.hh
src/graph/inference/uncertain/graph_blockmodel_latent_layers.hh
src/graph/inference/uncertain/graph_blockmodel_latent_layers_mcmc.hh
src/graph/inference/uncertain/graph_blockmodel_sample_edge.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_marginal.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_mcmc.hh
src/graph/topology/graph_distance.cc

commit c3ac15e5
Merge: a5b6f7b0 1f8c25d1
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-01-28

    Merge branch 'max' into 'master'
    
    Remove custom definition of std::max<bool>
    
    See merge request count0/graph-tool!48

commit 1f8c25d1
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-01-27

    Remove custom definition of std::max<bool>

src/graph/graph_util.hh
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.hh
src/graph/topology/graph_bipartite_weighted_matching.hh
src/graph/topology/graph_maximal_vertex_set.cc

commit a5b6f7b0
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-23

    all_circuits(): accept undirected graphs

src/graph_tool/topology/__init__.py

commit 32a7d340
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-23

    all_circuits(): update docs and small cleanups

src/boost-workaround/boost/graph/hawick_circuits.hpp
src/graph_tool/topology/__init__.py

commit f92781d2
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-23

    all_circuits(): change from recursive to stack-based implementation
    
    This removes a stack overflow bug.

src/boost-workaround/boost/graph/hawick_circuits.hpp
src/graph/Makefile.am
src/graph/topology/graph_all_circuits.cc

commit ba70639f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-22

    Unify redundant log_sum_exp() implementations

src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.hh
src/graph/inference/support/int_part.cc
src/graph/inference/support/util.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_util.hh

commit 2ed6703d
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-10

    generate_sbm(): fix issue with micro_degs=False

src/graph/generation/graph_sbm.hh
src/graph_tool/inference/blockmodel.py

commit 01475cf9
Merge: 65eb4eb0 9b242ea0
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-01-22

    Merge branch 'clang' into 'master'
    
    Remove CGAL_CFG_ARRAY_MEMBER_INITIALIZATION_BUG
    
    See merge request count0/graph-tool!47

commit 9b242ea0
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-01-21

    Remove CGAL_CFG_ARRAY_MEMBER_INITIALIZATION_BUG

src/graph/generation/graph_triangulation.cc

commit 65eb4eb0
Merge: 49d57e39 ddd02a29
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-01-21

    Merge branch 'logsum' into 'master'
    
    Make logsum function static
    
    See merge request count0/graph-tool!46

commit 49d57e39
Merge: 75fde990 89c217b1
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-01-21

    Merge branch 'scxx' into 'master'
    
    Remove unused struct scxx_to_python
    
    See merge request count0/graph-tool!45

commit 75fde990
Merge: 2bfbde52 6746d064
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2021-01-21

    Merge branch 'clang' into 'master'
    
    Remove workaround for old versions of Clang
    
    See merge request count0/graph-tool!44

commit ddd02a29
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-01-20

    Make logsum function static

src/graph/inference/uncertain/graph_blockmodel_uncertain_util.hh

commit 89c217b1
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-01-20

    Remove unused struct scxx_to_python

src/graph/graph_bind.cc

commit 6746d064
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2021-01-20

    Remove workaround for old versions of Clang

src/graph/hash_map_wrap.hh

commit 2bfbde52
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-10

    Bump version to 2.38dev

configure.ac

commit 1d377b3e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-09

    Bump version to 2.37

configure.ac

commit 6bedc3c7
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-09

    Fix noninteractive Debian build

release/debian/Dockerfile

commit 06bf51be
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-09

    Fix missing file in Makefile.am

src/graph/inference/Makefile.am

commit d2d0c547
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-09

    Fix docker build with new mirrorlist URL

release/docker/Dockerfile

commit c997235e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-09

    Remove ubuntu aeon build after EOL

.gitlab-ci.yml

commit 403561fb
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-09

    Fix noninteractive Debian build

release/debian/Dockerfile

commit c906f124
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-09

    Bump version to 2.37

configure.ac

commit 0fe8fed3
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-09

    Bump version to 2.36

configure.ac

commit 64f6945d
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-09

    Update copyright information

configure.ac
release/debian/debian/copyright
src/graph/base64.cc
src/graph/base64.hh
src/graph/centrality/graph_betweenness.cc
src/graph/centrality/graph_centrality_bind.cc
src/graph/centrality/graph_closeness.cc
src/graph/centrality/graph_closeness.hh
src/graph/centrality/graph_eigentrust.cc
src/graph/centrality/graph_eigentrust.hh
src/graph/centrality/graph_eigenvector.cc
src/graph/centrality/graph_eigenvector.hh
src/graph/centrality/graph_hits.cc
src/graph/centrality/graph_hits.hh
src/graph/centrality/graph_katz.cc
src/graph/centrality/graph_katz.hh
src/graph/centrality/graph_pagerank.cc
src/graph/centrality/graph_pagerank.hh
src/graph/centrality/graph_trust_transitivity.cc
src/graph/centrality/graph_trust_transitivity.hh
src/graph/centrality/minmax.hh
src/graph/clustering/graph_clustering.cc
src/graph/clustering/graph_clustering.hh
src/graph/clustering/graph_extended_clustering.cc
src/graph/clustering/graph_extended_clustering.hh
src/graph/clustering/graph_motifs.cc
src/graph/clustering/graph_motifs.hh
src/graph/coroutine.hh
src/graph/correlations/graph_assortativity.cc
src/graph/correlations/graph_assortativity.hh
src/graph/correlations/graph_avg_correlations.cc
src/graph/correlations/graph_avg_correlations.hh
src/graph/correlations/graph_avg_correlations_combined.cc
src/graph/correlations/graph_avg_correlations_imp1.cc
src/graph/correlations/graph_corr_hist.hh
src/graph/correlations/graph_correlations.cc
src/graph/correlations/graph_correlations.hh
src/graph/correlations/graph_correlations_bind.cc
src/graph/correlations/graph_correlations_combined.cc
src/graph/correlations/graph_correlations_imp1.cc
src/graph/demangle.cc
src/graph/demangle.hh
src/graph/draw/graph_cairo_draw.cc
src/graph/draw/graph_tree_cts.cc
src/graph/draw/pycairo_aux.cc
src/graph/dynamics/graph_continuous.cc
src/graph/dynamics/graph_continuous.hh
src/graph/dynamics/graph_discrete.cc
src/graph/dynamics/graph_discrete.hh
src/graph/dynamics/graph_dynamics.cc
src/graph/fast_vector_property_map.hh
src/graph/flow/graph_augment.hh
src/graph/flow/graph_edmonds_karp.cc
src/graph/flow/graph_flow_bind.cc
src/graph/flow/graph_kolmogorov.cc
src/graph/flow/graph_minimum_cut.cc
src/graph/flow/graph_push_relabel.cc
src/graph/generation/dynamic_sampler.hh
src/graph/generation/graph_closure.hh
src/graph/generation/graph_community_network.cc
src/graph/generation/graph_community_network.hh
src/graph/generation/graph_community_network_eavg.cc
src/graph/generation/graph_community_network_eavg_imp1.cc
src/graph/generation/graph_community_network_edges.cc
src/graph/generation/graph_community_network_vavg.cc
src/graph/generation/graph_complete.cc
src/graph/generation/graph_complete.hh
src/graph/generation/graph_generation.cc
src/graph/generation/graph_generation.hh
src/graph/generation/graph_geometric.cc
src/graph/generation/graph_geometric.hh
src/graph/generation/graph_knn.cc
src/graph/generation/graph_knn.hh
src/graph/generation/graph_lattice.cc
src/graph/generation/graph_lattice.hh
src/graph/generation/graph_line_graph.cc
src/graph/generation/graph_maxent_sbm.cc
src/graph/generation/graph_maxent_sbm.hh
src/graph/generation/graph_predecessor.cc
src/graph/generation/graph_predecessor.hh
src/graph/generation/graph_price.cc
src/graph/generation/graph_price.hh
src/graph/generation/graph_rewiring.cc
src/graph/generation/graph_rewiring.hh
src/graph/generation/graph_sbm.cc
src/graph/generation/graph_sbm.hh
src/graph/generation/graph_triadic_closure.cc
src/graph/generation/graph_triadic_closure.hh
src/graph/generation/graph_triangulation.cc
src/graph/generation/graph_triangulation.hh
src/graph/generation/graph_union.cc
src/graph/generation/graph_union.hh
src/graph/generation/graph_union_eprop.cc
src/graph/generation/graph_union_vprop.cc
src/graph/generation/sampler.hh
src/graph/generation/urn_sampler.hh
src/graph/gml.hh
src/graph/graph.cc
src/graph/graph.hh
src/graph/graph_adaptor.hh
src/graph/graph_adjacency.hh
src/graph/graph_bind.cc
src/graph/graph_copy.cc
src/graph/graph_exceptions.cc
src/graph/graph_exceptions.hh
src/graph/graph_filtered.hh
src/graph/graph_filtering.cc
src/graph/graph_filtering.hh
src/graph/graph_io.cc
src/graph/graph_io_binary.hh
src/graph/graph_openmp.cc
src/graph/graph_properties.cc
src/graph/graph_properties.hh
src/graph/graph_properties_copy.cc
src/graph/graph_properties_copy.hh
src/graph/graph_properties_copy_imp1.cc
src/graph/graph_properties_group.cc
src/graph/graph_properties_group.hh
src/graph/graph_properties_imp1.cc
src/graph/graph_properties_imp2.cc
src/graph/graph_properties_imp3.cc
src/graph/graph_properties_imp4.cc
src/graph/graph_properties_map_values.cc
src/graph/graph_properties_map_values.hh
src/graph/graph_properties_map_values_imp1.cc
src/graph/graph_properties_ungroup.cc
src/graph/graph_python_interface.cc
src/graph/graph_python_interface.hh
src/graph/graph_python_interface_export.cc
src/graph/graph_python_interface_imp1.cc
src/graph/graph_reverse.hh
src/graph/graph_selectors.cc
src/graph/graph_selectors.hh
src/graph/graph_tool.hh
src/graph/graph_util.hh
src/graph/hash_map_wrap.hh
src/graph/histogram.hh
src/graph/idx_map.hh
src/graph/inference/blockmodel/graph_blockmodel.cc
src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_elist.hh
src/graph/inference/blockmodel/graph_blockmodel_em.cc
src/graph/inference/blockmodel/graph_blockmodel_em.hh
src/graph/inference/blockmodel/graph_blockmodel_emat.hh
src/graph/inference/blockmodel/graph_blockmodel_entries.hh
src/graph/inference/blockmodel/graph_blockmodel_entropy.hh
src/graph/inference/blockmodel/graph_blockmodel_exhaustive.cc
src/graph/inference/blockmodel/graph_blockmodel_exhaustive.hh
src/graph/inference/blockmodel/graph_blockmodel_gibbs.cc
src/graph/inference/blockmodel/graph_blockmodel_gibbs.hh
src/graph/inference/blockmodel/graph_blockmodel_imp.cc
src/graph/inference/blockmodel/graph_blockmodel_imp2.cc
src/graph/inference/blockmodel/graph_blockmodel_imp3.cc
src/graph/inference/blockmodel/graph_blockmodel_marginals.cc
src/graph/inference/blockmodel/graph_blockmodel_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_merge.cc
src/graph/inference/blockmodel/graph_blockmodel_merge.hh
src/graph/inference/blockmodel/graph_blockmodel_multicanonical.cc
src/graph/inference/blockmodel/graph_blockmodel_multicanonical.hh
src/graph/inference/blockmodel/graph_blockmodel_multicanonical_multiflip.cc
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_partition.hh
src/graph/inference/blockmodel/graph_blockmodel_util.hh
src/graph/inference/blockmodel/graph_blockmodel_weights.hh
src/graph/inference/graph_inference.cc
src/graph/inference/graph_latent_multigraph.cc
src/graph/inference/graph_latent_multigraph.hh
src/graph/inference/graph_modularity.cc
src/graph/inference/graph_modularity.hh
src/graph/inference/layers/graph_blockmodel_layers.cc
src/graph/inference/layers/graph_blockmodel_layers.hh
src/graph/inference/layers/graph_blockmodel_layers_exhaustive.cc
src/graph/inference/layers/graph_blockmodel_layers_gibbs.cc
src/graph/inference/layers/graph_blockmodel_layers_imp.cc
src/graph/inference/layers/graph_blockmodel_layers_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_merge.cc
src/graph/inference/layers/graph_blockmodel_layers_multicanonical.cc
src/graph/inference/layers/graph_blockmodel_layers_multicanonical_multiflip.cc
src/graph/inference/layers/graph_blockmodel_layers_multiflip_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_exhaustive.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_gibbs.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_mcmc_bundled.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multicanonical.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multicanonical_multiflip.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multiflip_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_vacate.cc
src/graph/inference/layers/graph_blockmodel_layers_util.hh
src/graph/inference/loops/bundled_vacate_loop.hh
src/graph/inference/loops/exhaustive_loop.hh
src/graph/inference/loops/gibbs_loop.hh
src/graph/inference/loops/mcmc_loop.hh
src/graph/inference/loops/merge_loop.hh
src/graph/inference/modularity/graph_modularity.cc
src/graph/inference/modularity/graph_modularity.hh
src/graph/inference/modularity/graph_modularity_mcmc.cc
src/graph/inference/modularity/graph_modularity_multiflip_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap.cc
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph/inference/overlap/graph_blockmodel_overlap_exhaustive.cc
src/graph/inference/overlap/graph_blockmodel_overlap_gibbs.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc_bundled.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc_bundled.hh
src/graph/inference/overlap/graph_blockmodel_overlap_multicanonical.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multicanonical_multiflip.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multiflip_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_partition.hh
src/graph/inference/overlap/graph_blockmodel_overlap_util.hh
src/graph/inference/overlap/graph_blockmodel_overlap_vacate.cc
src/graph/inference/overlap/graph_blockmodel_overlap_vacate.hh
src/graph/inference/partition_centroid/graph_partition_centroid.cc
src/graph/inference/partition_centroid/graph_partition_centroid.hh
src/graph/inference/partition_centroid/graph_partition_centroid_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_multiflip_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.hh
src/graph/inference/partition_centroid/graph_partition_centroid_rmi_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi_multiflip_mcmc.cc
src/graph/inference/partition_modes/graph_partition_mode.cc
src/graph/inference/partition_modes/graph_partition_mode.hh
src/graph/inference/partition_modes/graph_partition_mode_clustering.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering.hh
src/graph/inference/partition_modes/graph_partition_mode_clustering_mcmc.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering_multiflip_mcmc.cc
src/graph/inference/planted_partition/graph_planted_partition.cc
src/graph/inference/planted_partition/graph_planted_partition.hh
src/graph/inference/planted_partition/graph_planted_partition_mcmc.cc
src/graph/inference/planted_partition/graph_planted_partition_multiflip_mcmc.cc
src/graph/inference/support/cache.cc
src/graph/inference/support/cache.hh
src/graph/inference/support/graph_neighbor_sampler.hh
src/graph/inference/support/graph_state.hh
src/graph/inference/support/int_part.cc
src/graph/inference/support/spence.cc
src/graph/inference/support/util.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_cising_glauber.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_cising_glauber_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_continuous.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_discrete.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics_mcmc_h.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics_mcmc_r.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_ising_glauber.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_ising_glauber_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_mcmc.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising_mcmc_h.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising_mcmc_h.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising_mcmc_h.hh
src/graph/inference/uncertain/graph_blockmodel_latent_closure.cc
src/graph/inference/uncertain/graph_blockmodel_latent_closure.hh
src/graph/inference/uncertain/graph_blockmodel_latent_closure_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_latent_layers.hh
src/graph/inference/uncertain/graph_blockmodel_latent_layers_mcmc.hh
src/graph/inference/uncertain/graph_blockmodel_measured.cc
src/graph/inference/uncertain/graph_blockmodel_measured.hh
src/graph/inference/uncertain/graph_blockmodel_measured_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_sample_edge.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_marginal.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain_marginal.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain_mcmc.hh
src/graph/layout/graph_arf.cc
src/graph/layout/graph_arf.hh
src/graph/layout/graph_bind_layout.cc
src/graph/layout/graph_fruchterman_reingold.cc
src/graph/layout/graph_planar_layout.cc
src/graph/layout/graph_radial.cc
src/graph/layout/graph_sfdp.cc
src/graph/layout/graph_sfdp.hh
src/graph/mpl_nested_loop.hh
src/graph/numpy_bind.hh
src/graph/openmp_lock.hh
src/graph/parallel_rng.hh
src/graph/random.cc
src/graph/random.hh
src/graph/search/graph_astar.cc
src/graph/search/graph_astar.hh
src/graph/search/graph_astar_implicit.cc
src/graph/search/graph_bellman_ford.cc
src/graph/search/graph_bfs.cc
src/graph/search/graph_dijkstra.cc
src/graph/search/graph_search_bind.cc
src/graph/shared_map.hh
src/graph/spectral/graph_adjacency.cc
src/graph/spectral/graph_adjacency.hh
src/graph/spectral/graph_incidence.cc
src/graph/spectral/graph_incidence.hh
src/graph/spectral/graph_laplacian.cc
src/graph/spectral/graph_laplacian.hh
src/graph/spectral/graph_matrix.cc
src/graph/spectral/graph_nonbacktracking.cc
src/graph/spectral/graph_nonbacktracking.hh
src/graph/spectral/graph_norm_laplacian.cc
src/graph/spectral/graph_transition.cc
src/graph/spectral/graph_transition.hh
src/graph/stats/graph_average.cc
src/graph/stats/graph_average.hh
src/graph/stats/graph_distance.cc
src/graph/stats/graph_distance.hh
src/graph/stats/graph_distance_sampled.cc
src/graph/stats/graph_distance_sampled.hh
src/graph/stats/graph_histograms.cc
src/graph/stats/graph_histograms.hh
src/graph/stats/graph_parallel.cc
src/graph/stats/graph_parallel.hh
src/graph/stats/graph_stats_bind.cc
src/graph/str_repr.hh
src/graph/topology/graph_all_circuits.cc
src/graph/topology/graph_all_distances.cc
src/graph/topology/graph_bipartite.cc
src/graph/topology/graph_bipartite_weighted_matching.hh
src/graph/topology/graph_components.cc
src/graph/topology/graph_components.hh
src/graph/topology/graph_diameter.cc
src/graph/topology/graph_distance.cc
src/graph/topology/graph_dominator_tree.cc
src/graph/topology/graph_isomorphism.cc
src/graph/topology/graph_kcore.cc
src/graph/topology/graph_kcore.hh
src/graph/topology/graph_matching.cc
src/graph/topology/graph_maximal_cliques.cc
src/graph/topology/graph_maximal_cliques.hh
src/graph/topology/graph_maximal_planar.cc
src/graph/topology/graph_maximal_vertex_set.cc
src/graph/topology/graph_minimum_spanning_tree.cc
src/graph/topology/graph_percolation.cc
src/graph/topology/graph_percolation.hh
src/graph/topology/graph_planar.cc
src/graph/topology/graph_random_matching.cc
src/graph/topology/graph_random_spanning_tree.cc
src/graph/topology/graph_reciprocity.cc
src/graph/topology/graph_sequential_color.cc
src/graph/topology/graph_similarity.cc
src/graph/topology/graph_similarity.hh
src/graph/topology/graph_similarity_imp.cc
src/graph/topology/graph_subgraph_isomorphism.cc
src/graph/topology/graph_topological_sort.cc
src/graph/topology/graph_topology.cc
src/graph/topology/graph_transitive_closure.cc
src/graph/topology/graph_tsp.cc
src/graph/topology/graph_vertex_similarity.cc
src/graph/topology/graph_vertex_similarity.hh
src/graph/transform_iterator.hh
src/graph/util/graph_search.cc
src/graph/util/graph_search.hh
src/graph/util/graph_util_bind.cc
src/graph_tool/__init__.py
src/graph_tool/all.py
src/graph_tool/centrality/__init__.py
src/graph_tool/clustering/__init__.py
src/graph_tool/collection/__init__.py
src/graph_tool/collection/netzschleuder.py
src/graph_tool/correlations/__init__.py
src/graph_tool/decorators.py
src/graph_tool/dl_import.py
src/graph_tool/draw/__init__.py
src/graph_tool/draw/cairo_draw.py
src/graph_tool/draw/graphviz_draw.py
src/graph_tool/draw/gtk_draw.py
src/graph_tool/dynamics/__init__.py
src/graph_tool/flow/__init__.py
src/graph_tool/generation/__init__.py
src/graph_tool/gt_io.py
src/graph_tool/inference/__init__.py
src/graph_tool/inference/bisection.py
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/blockmodel_em.py
src/graph_tool/inference/latent_layers.py
src/graph_tool/inference/latent_multigraph.py
src/graph_tool/inference/layered_blockmodel.py
src/graph_tool/inference/mcmc.py
src/graph_tool/inference/minimize.py
src/graph_tool/inference/modularity.py
src/graph_tool/inference/nested_blockmodel.py
src/graph_tool/inference/overlap_blockmodel.py
src/graph_tool/inference/partition_centroid.py
src/graph_tool/inference/partition_modes.py
src/graph_tool/inference/planted_partition.py
src/graph_tool/inference/uncertain_blockmodel.py
src/graph_tool/inference/util.py
src/graph_tool/search/__init__.py
src/graph_tool/spectral/__init__.py
src/graph_tool/stats/__init__.py
src/graph_tool/topology/__init__.py
src/graph_tool/util/__init__.py

commit 40b80af6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-09

    Add ubuntu hirsute build

.gitlab-ci.yml

commit 605424ae
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-09

    Docstring fix

doc/demos/inference/_reconstruction.rst
src/graph_tool/generation/__init__.py

commit 772e31dd
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-09

    graph_draw(): fix bug with drawing a single node
    
    This fixes issue #688

src/graph_tool/draw/cairo_draw.py

commit 31fafd57
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-08

    Update docstrings

doc/demos/cppextensions/Makefile
doc/demos/inference/_reconstruction.rst
doc/demos/inference/_reconstruction_dynamics.rst
doc/demos/inference/inference.rst
doc/inference.rst
doc/pyenv.py
src/graph_tool/generation/__init__.py
src/graph_tool/inference/__init__.py
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/latent_layers.py
src/graph_tool/inference/latent_multigraph.py
src/graph_tool/inference/uncertain_blockmodel.py

commit f7a38bba
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-08

    Implement latent triadic closure

src/graph/generation/Makefile.am
src/graph/generation/graph_closure.hh
src/graph/generation/graph_generation.cc
src/graph/generation/graph_triadic_closure.cc
src/graph/generation/graph_triadic_closure.hh
src/graph/inference/Makefile.am
src/graph/inference/blockmodel/graph_blockmodel_entries.hh
src/graph/inference/graph_inference.cc
src/graph/inference/uncertain/graph_blockmodel_latent_closure.cc
src/graph/inference/uncertain/graph_blockmodel_latent_closure.hh
src/graph/inference/uncertain/graph_blockmodel_latent_closure_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_latent_layers.hh
src/graph/inference/uncertain/graph_blockmodel_latent_layers_mcmc.hh
src/graph_tool/Makefile.am
src/graph_tool/generation/__init__.py
src/graph_tool/inference/__init__.py
src/graph_tool/inference/latent_layers.py
src/graph_tool/inference/nested_blockmodel.py

commit 31428695
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-08

    TemperingState: fix verbose output

src/graph_tool/inference/mcmc.py

commit 9a39a155
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-12-16

    PPBlockState: fix entropy computation for multigraphs

src/graph/inference/planted_partition/graph_planted_partition.hh

commit bbe57308
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-12-12

    _background.rst: fix typo

doc/demos/inference/_background.rst

commit f97b2dbd
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-12-10

    netzschleuder.py: simplify token

src/graph_tool/collection/netzschleuder.py

commit bfd0999e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-12-09

    assortativity(): fix bug for non-integer weighted graphs

src/graph/correlations/graph_assortativity.hh

commit a10237b9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-08

    graph_draw(): fix issue with foreign property maps

src/graph_tool/draw/cairo_draw.py

commit 9c1a703e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-08

    graph_blockmodel_dynamics_mcmc.hh: improve multigraph moves

src/graph/inference/uncertain/graph_blockmodel_dynamics_mcmc.hh

commit 694f4369
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2021-01-03

    uncertain SBM: fix edge sampling

doc/test_inference_mcmc.py
src/graph/inference/blockmodel/graph_blockmodel_imp2.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_mcmc.hh
src/graph/inference/uncertain/graph_blockmodel_sample_edge.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_mcmc.hh

commit 79dd3b1f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-11-12

    graph_blockmodel.hh: add constexpr

src/graph/inference/blockmodel/graph_blockmodel.hh

commit 0fe4d18c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-11-12

    Graph.copy_property(): improved error message

src/graph_tool/__init__.py

commit 15a33b72
Merge: 860e9f86 716172b2
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-11-30

    Merge branch 'patch-3' into 'master'
    
    Small refactoring of graphviz_draw.
    
    See merge request count0/graph-tool!42

commit 860e9f86
Merge: 9cba323a 70f0e42c
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-11-30

    Merge branch 'patch-2' into 'master'
    
    Update docstring of graphviz_draw.
    
    See merge request count0/graph-tool!41

commit 9cba323a
Merge: cce083bc e07f74c6
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-11-30

    Merge branch 'patch-1' into 'master'
    
    Fix GraphWidget.update() crashing when called without vprops or eprops argument.
    
    See merge request count0/graph-tool!40

commit cce083bc
Merge: 4e66070a e351c829
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-11-30

    Merge branch 'includes' into 'master'
    
    Remove unused includes
    
    See merge request count0/graph-tool!43

commit e351c829
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2020-11-23

    Remove unused includes

src/graph/generation/graph_generation.hh
src/graph/generation/graph_knn.hh
src/graph/generation/graph_lattice.hh
src/graph/generation/graph_maxent_sbm.hh
src/graph/generation/graph_rewiring.hh
src/graph/generation/graph_sbm.hh
src/graph/generation/graph_triangulation.hh
src/graph/gml.hh
src/graph/graph_adaptor.hh
src/graph/graph_adjacency.hh
src/graph/graph_filtered.hh
src/graph/graph_properties.hh
src/graph/graph_properties_copy_imp1.cc
src/graph/graph_python_interface.hh
src/graph/graph_python_interface_imp1.cc
src/graph/graph_reverse.hh
src/graph/graphml.cpp
src/graph/histogram.hh
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_partition.hh
src/graph/inference/graph_latent_multigraph.hh
src/graph/inference/graph_modularity.hh
src/graph/inference/layers/graph_blockmodel_layers_util.hh
src/graph/inference/loops/bundled_vacate_loop.hh
src/graph/inference/loops/gibbs_loop.hh
src/graph/inference/loops/mcmc_loop.hh
src/graph/inference/support/graph_state.hh
src/graph/inference/support/int_part.hh
src/graph/inference/support/util.hh
src/graph/inference/uncertain/graph_blockmodel_sample_edge.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_marginal.hh
src/graph/layout/graph_arf.hh
src/graph/mpl_nested_loop.hh
src/graph/numpy_bind.hh
src/graph/random.cc
src/graph/random.hh
src/graph/read_graphviz_new.cpp
src/graph/stats/graph_parallel.cc
src/graph/str_repr.hh
src/graph/topology/graph_bipartite_weighted_matching.hh
src/graph/topology/graph_matching.cc
src/graph/topology/graph_transitive_closure.cc

commit 716172b2
Author: Malte R <m.renken@tu-berlin.de>
Date:   2020-11-17

    Small refactoring of graphviz_draw.
    
    The only observable effect should be that calling with output=None and (output_format="xlib" or fork=True) no longer causes an AttributeError.

src/graph_tool/draw/graphviz_draw.py

commit 70f0e42c
Author: Malte R <m.renken@tu-berlin.de>
Date:   2020-11-17

    Update docstring of graphviz_draw.
    
    The effect of setting "output" to None should be more clear now.

src/graph_tool/draw/graphviz_draw.py

commit e07f74c6
Author: Malte R <m.renken@tu-berlin.de>
Date:   2020-11-13

    Fix GraphWidget.update() crashing when called without vprops or eprops argument.
    
    This fixes interactive_window() crashing when called with window argument but without vprops or eprops.

src/graph_tool/draw/gtk_draw.py

commit 4e66070a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-11-08

    Fix docstrings

doc/quickstart.rst
src/graph_tool/__init__.py

commit b395146c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-11-08

    Fix Graph.iter_out/in/all_neighbors()

src/graph/graph_python_interface.cc

commit 30bafd49
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-11-05

    CI: fix docker build

release/docker/Dockerfile
release/docker/PKGBUILD

commit a9fbbe1a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-11-08

    Preserve reference to graph during vertex/edge iteration
    
    This fixes issue #685.
    
    This also exposes the non-descriptor based iteration in the documentation.

doc/graph_tool.rst
doc/quickstart.rst
src/graph_tool/__init__.py

commit 326a176b
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-11-02

    Remove support for defunct konect.cc

src/graph_tool/Makefile.am
src/graph_tool/collection/__init__.py
src/graph_tool/collection/konect.py

commit 5d38ec1d
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-11-01

    PropertyDict(): hide attributes via mangling
    
    This removes a problem with properties named 't' or 'properties' being
    accessed via attributes.

src/graph_tool/__init__.py

commit 96fb62d8
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-10-31

    graph_draw(): fix bug with pen_width
    
    Fix issue with a global pen_width given for vertices.

src/graph_tool/draw/cairo_draw.py

commit d989f401
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-10-23

    CI: add ubuntu:groovy build

.gitlab-ci.yml

commit d9f9b513
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-10-13

    variation_information(): fix docstring default

src/graph_tool/inference/partition_centroid.py

commit 9798528d
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-10-13

    generate_knn(): add to docstring summary

src/graph_tool/generation/__init__.py

commit 3f177dfc
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-10-13

    generate_knn(): fix problem with equal distances

src/graph/generation/graph_knn.hh

commit 31038455
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-10-13

    Fix typo in inference HOWTO
    
    This fixes issue #683

doc/demos/inference/_edge_weights.rst
doc/demos/inference/_layers.rst
doc/demos/inference/_reconstruction.rst

commit 6ddf1e63
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-17

    CI: fix job_clang_cxx_amd64

.gitlab-ci.yml

commit e8251e81
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-17

    collection: add example to docstring

src/graph_tool/collection/__init__.py

commit e05e93ae
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-17

    CI: add test against clang + libc++

.gitlab-ci.yml

commit 37210ba9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-17

    Bump version to 2.36dev

configure.ac

commit a06d49a6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-16

    Bump version to 2.35

configure.ac

commit 7455caa4
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-16

    Fix compilation error with clang + libc++

src/graph/graph_properties.hh

commit 4dd4f8a7
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-16

    Makefile.am: remove reference to removed file

Makefile.am

commit a12fbb39
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-16

    CI: fix Dockerfile

release/docker/Dockerfile

commit e3191a70
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-16

    demos/inference: fix figure spacing

doc/demos/inference/_sampling.rst

commit 164a0286
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-16

    doc: switch from Mathjax 2 to 3

doc/conf.py
doc/mathjax.py

commit 68e1234a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-16

    Bump version to 2.35dev

configure.ac

commit 96575038
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-15

    Bump version to 2.34

configure.ac

commit 58cc8b08
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-16

    draw_hierarchy(): fix problem with undirected graphs

src/graph_tool/draw/cairo_draw.py

commit a573d13d
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-15

    Dockerfile: add missing dependency

release/docker/Dockerfile

commit 73b62d72
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-15

    LayeredBlockState: fix behavior for overlapping states with filtered graphs
    
    This fixes issue #679

src/graph_tool/inference/layered_blockmodel.py
src/graph_tool/inference/util.py

commit 32746cc8
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-15

    inference/support/util.hh: use rvalue references

src/graph/inference/support/util.hh

commit dbc8e6f4
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-15

    Fix initialization of overlapping NestedBlockState
    
    This fixes issue #678

src/graph_tool/inference/nested_blockmodel.py

commit 711f2f3d
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-15

    Add python-zstandard dependency to docker build

release/docker/PKGBUILD

commit 5549a7d6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-15

    Raise exception if zstandard module is not available

src/graph_tool/__init__.py
src/graph_tool/collection/netzschleuder.py

commit a405ceb3
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-14

    graph_util.hh: implement random_permutation_range()

src/graph/graph_util.hh

commit 8472a7c4
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-08-18

    generation: implement generate_knn()

src/graph/generation/Makefile.am
src/graph/generation/graph_generation.cc
src/graph/generation/graph_knn.cc
src/graph/generation/graph_knn.hh
src/graph_tool/generation/__init__.py

commit e1f7a120
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-29

    Implement access to netzschleuder via API

src/graph_tool/Makefile.am
src/graph_tool/collection/__init__.py
src/graph_tool/collection/netzschleuder.py

commit 64f62690
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-09-01

    label_parallel_edges(): reduce memory usage for very large graphs

src/graph/stats/graph_parallel.hh

commit b7f0788e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-08-29

    UrnSampler.sample(): use if constexpr

src/graph/generation/urn_sampler.hh

commit 52a48622
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-08-28

    graph_adjacency.hh: slightly speedup edge removal

src/graph/graph_adjacency.hh

commit 2de7ad34
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-08-28

    graph_parallel.hh: cosmetic functor -> function conversion

src/graph/stats/graph_parallel.cc
src/graph/stats/graph_parallel.hh

commit 2b51e4b5
Merge: 9c3246a4 d1562f86
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-08-29

    Merge branch 'coverity' into 'master'
    
    Simplifications identified with the help of Coverity
    
    See merge request count0/graph-tool!38

commit d1562f86
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2020-08-28

    Remove unused variable Sampler._size

src/graph/generation/sampler.hh

commit 42a4170e
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2020-08-28

    Turn UrnSampler._temp into a local variable

src/graph/generation/urn_sampler.hh

commit 9c3246a4
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-08-25

    graph_adjacency.hh: improve removal or last vertex

src/graph/graph_adjacency.hh

commit e30fbc4f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-08-25

    Update __license__ and __URL__

src/graph_tool/__init__.py

commit 23b6457d
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-08-23

    graph_draw(): add option fit_view_ink

src/graph_tool/draw/cairo_draw.py
src/graph_tool/draw/gtk_draw.py

commit e3c57b27
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-08-23

    graph_draw(): fix bounding box calculation when using small line widths

src/graph_tool/draw/cairo_draw.py

commit 70eb73d6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-08-21

    BlockState.sample_graph(): add `sample_params` option

src/graph_tool/inference/blockmodel.py

commit e3ccf063
Merge: 925b7a39 68dccad9
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-08-21

    Merge branch 'expat-pkg-config' into 'master'
    
    Detect expat using pkg-config
    
    See merge request count0/graph-tool!37

commit 68dccad9
Author: David Seifert <soap@gentoo.org>
Date:   2020-08-21

    Detect expat using pkg-config
    
    * `AX_LIB_EXPAT` has a big practical issue: It tries to detect expat
      by injecting various paths, among which is /usr/lib. This is extremely
      problematic, as /usr/lib usually contains 32-bit libraries on 64-bit
      systems and thereby kills linkers such as LLD that reject 32-bit
      binaries when linking 64-bit binaries. `pkg-config` does not inject
      /usr/lib, and can also be overridden at configure time.
    
    Closes: https://bugs.gentoo.org/737974

configure.ac
m4/ax_lib_expat.m4

commit 925b7a39
Merge: ffe0d50a 4cb32514
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-08-19

    Merge branch 'arity' into 'master'
    
    Increase Boost Python function arity only when necessary
    
    See merge request count0/graph-tool!36

commit 4cb32514
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2020-08-18

    Increase Boost Python function arity only when necessary

src/graph/generation/graph_generation.cc
src/graph/inference/layers/graph_blockmodel_layers.cc
src/graph/inference/layers/graph_blockmodel_layers_imp.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_cising_glauber.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_ising_glauber.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising.cc
src/graph/inference/uncertain/graph_blockmodel_measured.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain.cc

commit ffe0d50a
Merge: 14995a22 2dd0e5ce
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-08-18

    Merge branch 'bugfix/graphviz-read-graph-properties' into 'master'
    
    Fix dot graph reader
    
    Closes #450
    
    See merge request count0/graph-tool!35

commit 14995a22
Merge: 682b4f46 52fe287a
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-08-18

    Merge branch 'bugfix/graphviz-draw' into 'master'
    
    Adjust use of libgvc to fix two graphviz_draw issues
    
    Closes #597
    
    See merge request count0/graph-tool!34

commit 2dd0e5ce
Author: Jeff Trull <edaskel@att.net>
Date:   2020-08-17

    Fix dot graph reader
    
    The correct type for the dynamic property map key is actually
    graph_property_tag, not multigraph_t*. It looks like graph property maps
    only store a single value...

src/boost-workaround/boost/graph/graphviz.hpp

commit 52fe287a
Author: Jeff Trull <edaskel@att.net>
Date:   2020-08-17

    Adjust use of libgvc to fix two graphviz_draw issues
    
    One issue was reported to the mailing list on 2020-08-17 by Rolf
    Sander; the testcase is:
    
    import graph_tool.all as gt
    g = gt.Graph()
    v0 = g.add_vertex()
    v1 = g.add_vertex()
    e01 = g.add_edge(v0,v1)
    e11 = g.add_edge(v1,v1) # loop
    gt.graphviz_draw(g)
    
    The other is issue #597 "Graphviz_draw core dumping when using HTML labels"
    
    Basically these changes add extra type information for interacting
    with libgvc.

src/graph_tool/draw/graphviz_draw.py

commit 682b4f46
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-08-12

    graph_draw(): handle int16_t types

src/graph_tool/draw/cairo_draw.py

commit 4523e238
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-08-11

    sfdp_layout(): avoid unnecessary position copying

src/graph/layout/graph_sfdp.hh

commit 015b85b2
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-08-11

    price_network(): make nonlinear preferential attachment consistent with documentation

src/graph/generation/graph_price.hh

commit ce624e5a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-08-06

    CompactHashimotoOperator: fix case with zero-degree vertices

src/graph/spectral/graph_nonbacktracking.hh

commit e17f7aaa
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-08-06

    spectral: implement more efficient linear operator interface

src/graph/spectral/graph_adjacency.cc
src/graph/spectral/graph_adjacency.hh
src/graph/spectral/graph_incidence.cc
src/graph/spectral/graph_incidence.hh
src/graph/spectral/graph_laplacian.cc
src/graph/spectral/graph_laplacian.hh
src/graph/spectral/graph_matrix.cc
src/graph/spectral/graph_nonbacktracking.cc
src/graph/spectral/graph_nonbacktracking.hh
src/graph/spectral/graph_norm_laplacian.cc
src/graph/spectral/graph_transition.cc
src/graph/spectral/graph_transition.hh
src/graph_tool/spectral/__init__.py

commit fe602358
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-08-04

    graph_draw(): honor bg_color parameter

src/graph_tool/draw/cairo_draw.py
src/graph_tool/draw/gtk_draw.py

commit df4e2faf
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-08-02

    Improve speed of GML writing
    
    Remove uncessary exception throwing and property map checking.

src/graph/gml.hh

commit 23228363
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-31

    Add UTF8 support to GML parser
    
    UTF8 is not strictly valid for GML, but it doesn't hurt.

src/graph/gml.hh

commit 5e31e5f6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-29

    uncertain_blockmodel.py: simplify super() usage

src/graph_tool/inference/uncertain_blockmodel.py

commit f4b7c076
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-29

    UncertainBaseState: change state_args semantics for nested=True

src/graph_tool/inference/uncertain_blockmodel.py

commit 6781ab3f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-29

    inference.rst: remove old reference

doc/demos/inference/inference.rst

commit cdcadbfb
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-29

    Graph: fix vorder parameter when not contiguous

src/graph/graph_copy.cc
src/graph_tool/__init__.py
src/graph_tool/inference/blockmodel.py

commit 66086427
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-29

    Graph.copy_property(): remove 'compatible graphs' semantics for edge properties
    
    With this, edge properties with convertible types are always copied,
    regardless if the edge set is the same between target and source
    graphs. In case the edge set is not the same, the properties are copied
    only for the edges in the intersection.

src/graph/graph_properties_copy.hh
src/graph_tool/__init__.py

commit 24f38401
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-29

    Fix some compilation warnings

src/boost-workaround/boost/graph/graphml.hpp
src/graph/gml.hh
src/graph/graphml.cpp

commit 7067c4fd
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-23

    global_clustering(): add `ret_counts` parameter

src/graph/clustering/graph_clustering.cc
src/graph/clustering/graph_clustering.hh
src/graph_tool/clustering/__init__.py

commit 65142f35
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-19

    uncertain_blockmodel: remove unneeded dummy parameter

src/graph/inference/uncertain/graph_blockmodel_dynamics.hh
src/graph/inference/uncertain/graph_blockmodel_measured.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain.hh

commit 4082cdb1
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-19

    Graph.copy_property(): fix compatible graph semantics for edge properties

src/graph/graph_properties_copy.hh

commit a182344c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-19

    inference.rst: update reference

doc/demos/inference/inference.rst

commit d0646aa4
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-13

    graph_io_binary.hh: figure out endianess at compile-time

src/graph/graph_io_binary.hh

commit e81cdd98
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-11

    PPBlockState(): add compatibility functions
    
    This fixes issue #668

src/graph_tool/inference/planted_partition.py

commit d546bb2b
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-11

    similarity(): fix issue with asymmetric option

src/graph/topology/graph_similarity.cc

commit cff7450e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-11

    Fix some clang warnings

src/boost-workaround/boost/graph/maximum_weighted_matching.hpp
src/graph/graph_python_interface.cc
src/graph/graph_python_interface.hh
src/graph/inference/blockmodel/graph_blockmodel_gibbs.cc
src/graph/inference/blockmodel/graph_blockmodel_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_partition.hh
src/graph/inference/layers/graph_blockmodel_layers.hh
src/graph/inference/layers/graph_blockmodel_layers_gibbs.cc
src/graph/inference/layers/graph_blockmodel_layers_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_multiflip_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_gibbs.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multiflip_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_gibbs.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multiflip_mcmc.cc
src/graph/layout/graph_arf.hh
src/graph/topology/graph_subgraph_isomorphism.cc

commit 6891e399
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-11

    run_action(): slight simplifications and code style changes

src/graph/graph_filtering.hh

commit c55a2801
Merge: 66d1db43 e67702c9
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-07-11

    Merge branch 'improved-action-dispatch' into 'master'
    
    Use lambdas and pack expansion to reduce template instantiations in action_dispatch
    
    This change produces significant reductions in compiler memory use (4.15GB to 2.81GB in my `graph_assortativity` testcase) and compiler runtime (180m to 168m overall, 206s to 188s in the testcase) by:
    
    1. Performing type iteration with parameter pack expansion where possible
    2. Testing the stored `boost::any` types sequentially instead of all at once (M+N instead of M*N operations)
    
    I see no significant change in runtime with this approach, though it should in theory be an improvement.
    
    See merge request count0/graph-tool!33

commit e67702c9
Author: Jeff Trull <edaskel@att.net>
Date:   2020-07-10

    Use lambdas and pack expansion to reduce template instantiations in action_dispatch

src/graph/graph_filtering.hh
src/graph/mpl_nested_loop.hh

commit 66d1db43
Merge: bc1ada4b 3438f227
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-07-10

    Merge branch 'header-cleanup' into 'master'
    
    Improve build times through header removal and relocation
    
    See merge request count0/graph-tool!31

commit 3438f227
Author: Jeff Trull <edaskel@att.net>
Date:   2020-07-08

    Improve build times through header removal and relocation
    
    - Eliminate unused headers
    - reduce dependencies among headers (slightly)
    
    The include-what-you-use tool (IWYU) was used to analyze header
    dependencies and recommend fixes; some additional manual work was
    then performed.
    
    Add missing include

src/graph/centrality/graph_closeness.hh
src/graph/correlations/graph_avg_correlations.cc
src/graph/correlations/graph_correlations.hh
src/graph/draw/graph_cairo_draw.cc
src/graph/draw/graph_tree_cts.cc
src/graph/dynamics/graph_discrete.hh
src/graph/generation/graph_community_network.cc
src/graph/generation/graph_community_network_eavg.cc
src/graph/generation/graph_community_network_eavg_imp1.cc
src/graph/generation/graph_community_network_edges.cc
src/graph/generation/graph_community_network_vavg.cc
src/graph/generation/graph_maxent_sbm.hh
src/graph/generation/graph_union.cc
src/graph/generation/graph_union_vprop.cc
src/graph/gml.hh
src/graph/graph.cc
src/graph/graph.hh
src/graph/graph_adjacency.hh
src/graph/graph_copy.cc
src/graph/graph_filtering.hh
src/graph/graph_io.cc
src/graph/graph_properties.hh
src/graph/graph_properties_copy.cc
src/graph/graph_properties_copy.hh
src/graph/graph_properties_group.cc
src/graph/graph_properties_imp3.cc
src/graph/graph_properties_imp4.cc
src/graph/graph_properties_ungroup.cc
src/graph/graph_python_interface.cc
src/graph/graph_python_interface.hh
src/graph/graph_python_interface_export.cc
src/graph/graph_python_interface_imp1.cc
src/graph/graph_reverse.hh
src/graph/graph_selectors.hh
src/graph/graph_util.hh
src/graph/graphml.cpp
src/graph/histogram.hh
src/graph/inference/blockmodel/graph_blockmodel_partition.hh
src/graph/inference/graph_latent_multigraph.cc
src/graph/inference/support/cache.hh
src/graph/inference/support/int_part.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising_mcmc_h.hh
src/graph/layout/graph_arf.cc
src/graph/layout/graph_fruchterman_reingold.cc
src/graph/layout/graph_sfdp.cc
src/graph/numpy_bind.hh
src/graph/read_graphviz_new.cpp
src/graph/search/graph_astar.cc
src/graph/search/graph_astar_implicit.cc
src/graph/search/graph_bfs.cc
src/graph/search/graph_dfs.cc
src/graph/search/graph_dijkstra.cc
src/graph/stats/graph_average.hh
src/graph/stats/graph_distance.hh
src/graph/stats/graph_distance_sampled.hh
src/graph/stats/graph_histograms.hh
src/graph/stats/graph_parallel.hh
src/graph/topology/graph_distance.cc
src/graph/topology/graph_maximal_cliques.hh
src/graph/util/graph_search.hh

commit bc1ada4b
Merge: eabd9979 0b9ddea9
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-07-10

    Merge branch 'bugfix/planar-layout-pos' into 'master'
    
    Ensure supplied position map for planar_layout is owned by view
    
    See merge request count0/graph-tool!32

commit 0b9ddea9
Author: Jeff Trull <edaskel@att.net>
Date:   2020-07-09

    Ensure supplied position map for planar_layout is owned by view

src/graph_tool/draw/__init__.py

commit eabd9979
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-09

    CI: disable LTO with clang

.gitlab-ci.yml

commit f5902d73
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-09

    README.md: fix reference to COPYING and COPYING.LESSER

README.md

commit 1a3b804c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-09

    Refer to numpy instead of ~numpy in docstrings

src/graph_tool/__init__.py
src/graph_tool/centrality/__init__.py
src/graph_tool/correlations/__init__.py
src/graph_tool/dynamics/__init__.py
src/graph_tool/generation/__init__.py
src/graph_tool/stats/__init__.py
src/graph_tool/topology/__init__.py

commit fe232c9d
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-09

    load_graph_from_csv(): Synchronize options with Graph.add_edge_list()

src/graph_tool/__init__.py

commit 3db1d2d5
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-09

    Graph.add_edge_list(): improve handling of hashed=True for arbitrary types

src/graph/graph_python_interface.cc
src/graph/graph_python_interface_imp1.cc
src/graph_tool/__init__.py

commit 541f949c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-08

    Fix PropertyMap.coerce_type() with python::object

src/graph_tool/__init__.py

commit d2990fbf
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-08

    Add missing documentation file

doc/demos/inference/_assortative.rst

commit dfe6ee99
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-08

    graph_clustering.hh: fix jackknife variance

src/graph/clustering/graph_clustering.hh

commit 43853fdb
Merge: 1a4c00b9 4c3b87a8
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-07-08

    Merge branch 'feature/lambda-conversion-WIP' into 'master'
    
    Mass bind -> lambda conversion
    
    See merge request count0/graph-tool!30

commit 1a4c00b9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-08

    ModularityState: fix docstring typo

src/graph_tool/inference/modularity.py

commit cd6966c6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-08

    Graph.list_properties(): fix spacing

src/graph_tool/__init__.py

commit cfd37051
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-08

    graph_clustering.hh: improve speed of triangle counting

src/graph/clustering/graph_clustering.hh

commit 4c3b87a8
Author: Jeff Trull <edaskel@att.net>
Date:   2020-07-06

    Mass conversion of bind() calls to lambdas
    
    Source file work done with custom-modified versions of clang-format
    and clang-tidy, via the modernize-avoid-bind checker. Headers were
    modified by hand. A script removed uses of <functional> and <boost/bind.hpp>.

src/graph/centrality/graph_betweenness.cc
src/graph/centrality/graph_closeness.cc
src/graph/centrality/graph_eigentrust.cc
src/graph/centrality/graph_eigenvector.cc
src/graph/centrality/graph_hits.cc
src/graph/centrality/graph_katz.cc
src/graph/centrality/graph_pagerank.cc
src/graph/centrality/graph_trust_transitivity.cc
src/graph/clustering/graph_clustering.cc
src/graph/clustering/graph_extended_clustering.cc
src/graph/clustering/graph_motifs.cc
src/graph/clustering/graph_motifs.hh
src/graph/correlations/graph_assortativity.cc
src/graph/draw/graph_cairo_draw.cc
src/graph/draw/graph_tree_cts.cc
src/graph/flow/graph_edmonds_karp.cc
src/graph/flow/graph_kolmogorov.cc
src/graph/flow/graph_minimum_cut.cc
src/graph/flow/graph_push_relabel.cc
src/graph/generation/dynamic_sampler.hh
src/graph/generation/graph_community_network.cc
src/graph/generation/graph_community_network_eavg.cc
src/graph/generation/graph_community_network_eavg_imp1.cc
src/graph/generation/graph_community_network_edges.cc
src/graph/generation/graph_community_network_vavg.cc
src/graph/generation/graph_generation.cc
src/graph/generation/graph_generation.hh
src/graph/generation/graph_geometric.cc
src/graph/generation/graph_line_graph.cc
src/graph/generation/graph_predecessor.cc
src/graph/generation/graph_price.cc
src/graph/generation/graph_rewiring.cc
src/graph/generation/graph_triangulation.hh
src/graph/generation/graph_union.cc
src/graph/generation/graph_union_eprop.cc
src/graph/generation/graph_union_vprop.cc
src/graph/generation/sampler.hh
src/graph/gml.hh
src/graph/graph.cc
src/graph/graph_adjacency.hh
src/graph/graph_bind.cc
src/graph/graph_copy.cc
src/graph/graph_io.cc
src/graph/graph_io_binary.hh
src/graph/graph_properties.cc
src/graph/graph_properties.hh
src/graph/graph_properties_copy.cc
src/graph/graph_properties_copy_imp1.cc
src/graph/graph_properties_group.cc
src/graph/graph_properties_imp1.cc
src/graph/graph_properties_imp2.cc
src/graph/graph_properties_imp3.cc
src/graph/graph_properties_imp4.cc
src/graph/graph_properties_map_values.cc
src/graph/graph_properties_map_values_imp1.cc
src/graph/graph_properties_ungroup.cc
src/graph/graph_python_interface.cc
src/graph/graph_python_interface.hh
src/graph/graph_python_interface_export.cc
src/graph/graph_python_interface_imp1.cc
src/graph/graph_reverse.hh
src/graph/graph_selectors.cc
src/graph/graph_util.hh
src/graph/inference/overlap/graph_blockmodel_overlap_partition.hh
src/graph/layout/graph_arf.cc
src/graph/layout/graph_fruchterman_reingold.cc
src/graph/layout/graph_radial.cc
src/graph/layout/graph_sfdp.cc
src/graph/search/graph_astar.cc
src/graph/search/graph_astar_implicit.cc
src/graph/search/graph_bellman_ford.cc
src/graph/search/graph_dijkstra.cc
src/graph/spectral/graph_adjacency.cc
src/graph/spectral/graph_incidence.cc
src/graph/spectral/graph_laplacian.cc
src/graph/spectral/graph_norm_laplacian.cc
src/graph/spectral/graph_transition.cc
src/graph/stats/graph_distance.cc
src/graph/stats/graph_distance_sampled.cc
src/graph/stats/graph_parallel.cc
src/graph/topology/graph_all_distances.cc
src/graph/topology/graph_components.cc
src/graph/topology/graph_diameter.cc
src/graph/topology/graph_distance.cc
src/graph/topology/graph_dominator_tree.cc
src/graph/topology/graph_isomorphism.cc
src/graph/topology/graph_maximal_planar.cc
src/graph/topology/graph_maximal_vertex_set.cc
src/graph/topology/graph_minimum_spanning_tree.cc
src/graph/topology/graph_random_matching.cc
src/graph/topology/graph_random_spanning_tree.cc
src/graph/topology/graph_reciprocity.cc
src/graph/topology/graph_sequential_color.cc
src/graph/topology/graph_subgraph_isomorphism.cc
src/graph/topology/graph_topological_sort.cc
src/graph/topology/graph_transitive_closure.cc
src/graph/topology/graph_tsp.cc
src/graph/util/graph_search.cc

commit 1f792136
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-02

    Graph.list_properties(): do not sort properties

src/graph_tool/__init__.py

commit 64520e73
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-02

    Fix PropertyDict.clear()

src/graph_tool/__init__.py

commit 867d13c0
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-07-02

    konect.py: decrease memory usage when loading networks
    
    This implements buffered io, instead of loading the entire edge list to memory.

src/graph_tool/collection/konect.py

commit 399d74aa
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-29

    konect.py: fix parsing of node properties

src/graph_tool/collection/konect.py

commit 16af6550
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-29

    Add support for zstandard compression

src/graph/graph_io.cc
src/graph_tool/__init__.py

commit 3ad01bce
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-26

    Bump version to 2.34dev

configure.ac

commit 2ee45bd6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-26

    Bump version to 2.33

configure.ac

commit 49caa89d
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-26

    Fix debian release build

release/debian/Dockerfile
release/debian/debian/copyright

commit 54bdd816
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-26

    dynamics: fix docstrings

src/graph_tool/dynamics/__init__.py

commit 8e161132
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-26

    Documentation update

doc/demos/inference/_background.rst
doc/gt_theme/static/flasky.css

commit fda2eafd
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-26

    planted_partition: update docstrings and add convenience methods

doc/demos/inference/inference.rst
src/graph_tool/inference/planted_partition.py

commit f9684ed2
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-25

    Fix problem in (Vertex/Edge)PropertyMap.__eq__() when compared to other types

src/graph_tool/__init__.py

commit 9e70cee8
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-25

    modularity(): add ``gamma`` parameter

src/graph/inference/graph_modularity.cc
src/graph/inference/graph_modularity.hh
src/graph_tool/inference/modularity.py

commit 4059c511
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-25

    GraphView: slight clarification to docstring

src/graph_tool/__init__.py

commit 4e68901c
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-25

    load_graph_from_cvs(): add ``strip_whitespace`` option

src/graph_tool/__init__.py

commit 668f14c9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-25

    Implement equality operator for (Vertex/Edge)PropertyMap

src/graph/graph_bind.cc
src/graph/graph_properties_copy.cc
src/graph/graph_properties_copy.hh
src/graph_tool/__init__.py

commit 14011da1
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-25

    Implement PropertyMap.coerce_types()

src/graph_tool/__init__.py

commit 836b86fb
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-16

    Fix entropy_args in PartitionCentroidState and ModeClusterState

src/graph_tool/inference/partition_centroid.py
src/graph_tool/inference/partition_modes.py

commit 89bcbbf6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-16

    Improve documentation for assortative community inference

doc/demos/inference/inference.rst
doc/inference.rst
src/graph/inference/planted_partition/graph_planted_partition.hh
src/graph_tool/inference/__init__.py
src/graph_tool/inference/modularity.py
src/graph_tool/inference/planted_partition.py

commit ef3b921e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-16

    inference: implement ModularityState

src/graph/inference/Makefile.am
src/graph/inference/graph_inference.cc
src/graph/inference/modularity/graph_modularity.cc
src/graph/inference/modularity/graph_modularity.hh
src/graph/inference/modularity/graph_modularity_mcmc.cc
src/graph/inference/modularity/graph_modularity_multiflip_mcmc.cc
src/graph_tool/inference/__init__.py
src/graph_tool/inference/modularity.py

commit a5ba1166
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-15

    Graph.copy_property(): default `g` to graph that owns `src`

src/graph_tool/__init__.py

commit 48759a07
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-14

    PropertyMap.get/set_2d_array(): Improve docstring

src/graph_tool/__init__.py

commit 4bcfb3ba
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-13

    Graph.add_edge_list(): Add docstring example

src/graph_tool/__init__.py

commit c9dd78bc
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-09

    CI: adjust LTO concurrency for GCC/clang

.gitlab-ci.yml

commit 819ad625
Merge: c40329b2 b129862b
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-06-09

    Merge branch 'gtk' into 'master'
    
    Allow graph_tool.draw.draw_hierarchy to be used without GTK installed
    
    See merge request count0/graph-tool!29

commit b129862b
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2020-06-08

    Allow graph_tool.draw.draw_hierarchy to be used without GTK installed

src/graph_tool/draw/__init__.py

commit c40329b2
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-08

    CI: avoid race condition in parallel sphinx-build

.gitlab-ci.yml

commit 2c87c01d
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-07

    Change license from GPL3 to LGPL3

COPYING
COPYING.LESSER
Makefile.am
README.md
src/graph/base64.cc
src/graph/base64.hh
src/graph/centrality/graph_betweenness.cc
src/graph/centrality/graph_centrality_bind.cc
src/graph/centrality/graph_closeness.cc
src/graph/centrality/graph_closeness.hh
src/graph/centrality/graph_eigentrust.cc
src/graph/centrality/graph_eigentrust.hh
src/graph/centrality/graph_eigenvector.cc
src/graph/centrality/graph_eigenvector.hh
src/graph/centrality/graph_hits.cc
src/graph/centrality/graph_hits.hh
src/graph/centrality/graph_katz.cc
src/graph/centrality/graph_katz.hh
src/graph/centrality/graph_pagerank.cc
src/graph/centrality/graph_pagerank.hh
src/graph/centrality/graph_trust_transitivity.cc
src/graph/centrality/graph_trust_transitivity.hh
src/graph/centrality/minmax.hh
src/graph/clustering/graph_clustering.cc
src/graph/clustering/graph_clustering.hh
src/graph/clustering/graph_extended_clustering.cc
src/graph/clustering/graph_extended_clustering.hh
src/graph/clustering/graph_motifs.cc
src/graph/clustering/graph_motifs.hh
src/graph/coroutine.hh
src/graph/correlations/graph_assortativity.cc
src/graph/correlations/graph_assortativity.hh
src/graph/correlations/graph_avg_correlations.cc
src/graph/correlations/graph_avg_correlations.hh
src/graph/correlations/graph_avg_correlations_combined.cc
src/graph/correlations/graph_avg_correlations_imp1.cc
src/graph/correlations/graph_corr_hist.hh
src/graph/correlations/graph_correlations.cc
src/graph/correlations/graph_correlations.hh
src/graph/correlations/graph_correlations_bind.cc
src/graph/correlations/graph_correlations_combined.cc
src/graph/correlations/graph_correlations_imp1.cc
src/graph/demangle.cc
src/graph/demangle.hh
src/graph/draw/graph_cairo_draw.cc
src/graph/draw/graph_tree_cts.cc
src/graph/draw/pycairo_aux.cc
src/graph/dynamics/graph_continuous.cc
src/graph/dynamics/graph_continuous.hh
src/graph/dynamics/graph_discrete.cc
src/graph/dynamics/graph_discrete.hh
src/graph/dynamics/graph_dynamics.cc
src/graph/fast_vector_property_map.hh
src/graph/flow/graph_augment.hh
src/graph/flow/graph_edmonds_karp.cc
src/graph/flow/graph_flow_bind.cc
src/graph/flow/graph_kolmogorov.cc
src/graph/flow/graph_minimum_cut.cc
src/graph/flow/graph_push_relabel.cc
src/graph/generation/dynamic_sampler.hh
src/graph/generation/graph_community_network.cc
src/graph/generation/graph_community_network.hh
src/graph/generation/graph_community_network_eavg.cc
src/graph/generation/graph_community_network_eavg_imp1.cc
src/graph/generation/graph_community_network_edges.cc
src/graph/generation/graph_community_network_vavg.cc
src/graph/generation/graph_complete.cc
src/graph/generation/graph_complete.hh
src/graph/generation/graph_generation.cc
src/graph/generation/graph_generation.hh
src/graph/generation/graph_geometric.cc
src/graph/generation/graph_geometric.hh
src/graph/generation/graph_lattice.cc
src/graph/generation/graph_lattice.hh
src/graph/generation/graph_line_graph.cc
src/graph/generation/graph_maxent_sbm.cc
src/graph/generation/graph_maxent_sbm.hh
src/graph/generation/graph_predecessor.cc
src/graph/generation/graph_predecessor.hh
src/graph/generation/graph_price.cc
src/graph/generation/graph_price.hh
src/graph/generation/graph_rewiring.cc
src/graph/generation/graph_rewiring.hh
src/graph/generation/graph_sbm.cc
src/graph/generation/graph_sbm.hh
src/graph/generation/graph_triangulation.cc
src/graph/generation/graph_triangulation.hh
src/graph/generation/graph_union.cc
src/graph/generation/graph_union.hh
src/graph/generation/graph_union_eprop.cc
src/graph/generation/graph_union_vprop.cc
src/graph/generation/sampler.hh
src/graph/generation/urn_sampler.hh
src/graph/gml.hh
src/graph/graph.cc
src/graph/graph.hh
src/graph/graph_adaptor.hh
src/graph/graph_adjacency.hh
src/graph/graph_bind.cc
src/graph/graph_copy.cc
src/graph/graph_exceptions.cc
src/graph/graph_exceptions.hh
src/graph/graph_filtered.hh
src/graph/graph_filtering.cc
src/graph/graph_filtering.hh
src/graph/graph_io.cc
src/graph/graph_io_binary.hh
src/graph/graph_openmp.cc
src/graph/graph_properties.cc
src/graph/graph_properties.hh
src/graph/graph_properties_copy.cc
src/graph/graph_properties_copy.hh
src/graph/graph_properties_copy_imp1.cc
src/graph/graph_properties_group.cc
src/graph/graph_properties_group.hh
src/graph/graph_properties_imp1.cc
src/graph/graph_properties_imp2.cc
src/graph/graph_properties_imp3.cc
src/graph/graph_properties_imp4.cc
src/graph/graph_properties_map_values.cc
src/graph/graph_properties_map_values.hh
src/graph/graph_properties_map_values_imp1.cc
src/graph/graph_properties_ungroup.cc
src/graph/graph_python_interface.cc
src/graph/graph_python_interface.hh
src/graph/graph_python_interface_export.cc
src/graph/graph_python_interface_imp1.cc
src/graph/graph_reverse.hh
src/graph/graph_selectors.cc
src/graph/graph_selectors.hh
src/graph/graph_tool.hh
src/graph/graph_util.hh
src/graph/hash_map_wrap.hh
src/graph/histogram.hh
src/graph/idx_map.hh
src/graph/inference/blockmodel/graph_blockmodel.cc
src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_elist.hh
src/graph/inference/blockmodel/graph_blockmodel_em.cc
src/graph/inference/blockmodel/graph_blockmodel_em.hh
src/graph/inference/blockmodel/graph_blockmodel_emat.hh
src/graph/inference/blockmodel/graph_blockmodel_entries.hh
src/graph/inference/blockmodel/graph_blockmodel_entropy.hh
src/graph/inference/blockmodel/graph_blockmodel_exhaustive.cc
src/graph/inference/blockmodel/graph_blockmodel_exhaustive.hh
src/graph/inference/blockmodel/graph_blockmodel_gibbs.cc
src/graph/inference/blockmodel/graph_blockmodel_gibbs.hh
src/graph/inference/blockmodel/graph_blockmodel_imp.cc
src/graph/inference/blockmodel/graph_blockmodel_imp2.cc
src/graph/inference/blockmodel/graph_blockmodel_imp3.cc
src/graph/inference/blockmodel/graph_blockmodel_marginals.cc
src/graph/inference/blockmodel/graph_blockmodel_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_merge.cc
src/graph/inference/blockmodel/graph_blockmodel_merge.hh
src/graph/inference/blockmodel/graph_blockmodel_multicanonical.cc
src/graph/inference/blockmodel/graph_blockmodel_multicanonical.hh
src/graph/inference/blockmodel/graph_blockmodel_multicanonical_multiflip.cc
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.cc
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_partition.hh
src/graph/inference/blockmodel/graph_blockmodel_util.hh
src/graph/inference/blockmodel/graph_blockmodel_weights.hh
src/graph/inference/graph_inference.cc
src/graph/inference/graph_latent_multigraph.cc
src/graph/inference/graph_latent_multigraph.hh
src/graph/inference/graph_modularity.cc
src/graph/inference/graph_modularity.hh
src/graph/inference/layers/graph_blockmodel_layers.cc
src/graph/inference/layers/graph_blockmodel_layers.hh
src/graph/inference/layers/graph_blockmodel_layers_exhaustive.cc
src/graph/inference/layers/graph_blockmodel_layers_gibbs.cc
src/graph/inference/layers/graph_blockmodel_layers_imp.cc
src/graph/inference/layers/graph_blockmodel_layers_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_merge.cc
src/graph/inference/layers/graph_blockmodel_layers_multicanonical.cc
src/graph/inference/layers/graph_blockmodel_layers_multicanonical_multiflip.cc
src/graph/inference/layers/graph_blockmodel_layers_multiflip_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_exhaustive.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_gibbs.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_mcmc_bundled.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multicanonical.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multicanonical_multiflip.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_multiflip_mcmc.cc
src/graph/inference/layers/graph_blockmodel_layers_overlap_vacate.cc
src/graph/inference/layers/graph_blockmodel_layers_util.hh
src/graph/inference/loops/bundled_vacate_loop.hh
src/graph/inference/loops/exhaustive_loop.hh
src/graph/inference/loops/gibbs_loop.hh
src/graph/inference/loops/mcmc_loop.hh
src/graph/inference/loops/merge_loop.hh
src/graph/inference/overlap/graph_blockmodel_overlap.cc
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph/inference/overlap/graph_blockmodel_overlap_exhaustive.cc
src/graph/inference/overlap/graph_blockmodel_overlap_gibbs.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc_bundled.cc
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc_bundled.hh
src/graph/inference/overlap/graph_blockmodel_overlap_multicanonical.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multicanonical_multiflip.cc
src/graph/inference/overlap/graph_blockmodel_overlap_multiflip_mcmc.cc
src/graph/inference/overlap/graph_blockmodel_overlap_partition.hh
src/graph/inference/overlap/graph_blockmodel_overlap_util.hh
src/graph/inference/overlap/graph_blockmodel_overlap_vacate.cc
src/graph/inference/overlap/graph_blockmodel_overlap_vacate.hh
src/graph/inference/partition_centroid/graph_partition_centroid.cc
src/graph/inference/partition_centroid/graph_partition_centroid.hh
src/graph/inference/partition_centroid/graph_partition_centroid_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_multiflip_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.hh
src/graph/inference/partition_centroid/graph_partition_centroid_rmi_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi_multiflip_mcmc.cc
src/graph/inference/partition_modes/graph_partition_mode.cc
src/graph/inference/partition_modes/graph_partition_mode.hh
src/graph/inference/partition_modes/graph_partition_mode_clustering.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering.hh
src/graph/inference/partition_modes/graph_partition_mode_clustering_mcmc.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering_multiflip_mcmc.cc
src/graph/inference/planted_partition/graph_planted_partition.cc
src/graph/inference/planted_partition/graph_planted_partition.hh
src/graph/inference/planted_partition/graph_planted_partition_mcmc.cc
src/graph/inference/planted_partition/graph_planted_partition_multiflip_mcmc.cc
src/graph/inference/support/cache.cc
src/graph/inference/support/cache.hh
src/graph/inference/support/graph_neighbor_sampler.hh
src/graph/inference/support/graph_state.hh
src/graph/inference/support/int_part.cc
src/graph/inference/support/int_part.hh
src/graph/inference/support/spence.cc
src/graph/inference/support/util.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_cising_glauber.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_cising_glauber_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_continuous.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_discrete.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics_mcmc_h.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics_mcmc_r.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_ising_glauber.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_ising_glauber_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_mcmc.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising_mcmc_h.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising_mcmc_h.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising_mcmc_h.hh
src/graph/inference/uncertain/graph_blockmodel_measured.cc
src/graph/inference/uncertain/graph_blockmodel_measured.hh
src/graph/inference/uncertain/graph_blockmodel_measured_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_sample_edge.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_marginal.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain_marginal.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_mcmc.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain_mcmc.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_util.hh
src/graph/layout/graph_arf.cc
src/graph/layout/graph_arf.hh
src/graph/layout/graph_bind_layout.cc
src/graph/layout/graph_fruchterman_reingold.cc
src/graph/layout/graph_planar_layout.cc
src/graph/layout/graph_radial.cc
src/graph/layout/graph_sfdp.cc
src/graph/layout/graph_sfdp.hh
src/graph/mpl_nested_loop.hh
src/graph/numpy_bind.hh
src/graph/openmp_lock.hh
src/graph/parallel_rng.hh
src/graph/random.cc
src/graph/random.hh
src/graph/search/graph_astar.cc
src/graph/search/graph_astar.hh
src/graph/search/graph_astar_implicit.cc
src/graph/search/graph_bellman_ford.cc
src/graph/search/graph_bfs.cc
src/graph/search/graph_dfs.cc
src/graph/search/graph_dijkstra.cc
src/graph/search/graph_search_bind.cc
src/graph/shared_map.hh
src/graph/spectral/graph_adjacency.cc
src/graph/spectral/graph_adjacency.hh
src/graph/spectral/graph_incidence.cc
src/graph/spectral/graph_incidence.hh
src/graph/spectral/graph_laplacian.cc
src/graph/spectral/graph_laplacian.hh
src/graph/spectral/graph_matrix.cc
src/graph/spectral/graph_nonbacktracking.cc
src/graph/spectral/graph_nonbacktracking.hh
src/graph/spectral/graph_norm_laplacian.cc
src/graph/spectral/graph_transition.cc
src/graph/spectral/graph_transition.hh
src/graph/stats/graph_average.cc
src/graph/stats/graph_average.hh
src/graph/stats/graph_distance.cc
src/graph/stats/graph_distance.hh
src/graph/stats/graph_distance_sampled.cc
src/graph/stats/graph_distance_sampled.hh
src/graph/stats/graph_histograms.cc
src/graph/stats/graph_histograms.hh
src/graph/stats/graph_parallel.cc
src/graph/stats/graph_parallel.hh
src/graph/stats/graph_stats_bind.cc
src/graph/str_repr.hh
src/graph/topology/graph_all_circuits.cc
src/graph/topology/graph_all_distances.cc
src/graph/topology/graph_bipartite.cc
src/graph/topology/graph_bipartite_weighted_matching.hh
src/graph/topology/graph_components.cc
src/graph/topology/graph_components.hh
src/graph/topology/graph_diameter.cc
src/graph/topology/graph_distance.cc
src/graph/topology/graph_dominator_tree.cc
src/graph/topology/graph_isomorphism.cc
src/graph/topology/graph_kcore.cc
src/graph/topology/graph_kcore.hh
src/graph/topology/graph_matching.cc
src/graph/topology/graph_maximal_cliques.cc
src/graph/topology/graph_maximal_cliques.hh
src/graph/topology/graph_maximal_planar.cc
src/graph/topology/graph_maximal_vertex_set.cc
src/graph/topology/graph_minimum_spanning_tree.cc
src/graph/topology/graph_percolation.cc
src/graph/topology/graph_percolation.hh
src/graph/topology/graph_planar.cc
src/graph/topology/graph_random_matching.cc
src/graph/topology/graph_random_spanning_tree.cc
src/graph/topology/graph_reciprocity.cc
src/graph/topology/graph_sequential_color.cc
src/graph/topology/graph_similarity.cc
src/graph/topology/graph_similarity.hh
src/graph/topology/graph_similarity_imp.cc
src/graph/topology/graph_subgraph_isomorphism.cc
src/graph/topology/graph_topological_sort.cc
src/graph/topology/graph_topology.cc
src/graph/topology/graph_transitive_closure.cc
src/graph/topology/graph_tsp.cc
src/graph/topology/graph_vertex_similarity.cc
src/graph/topology/graph_vertex_similarity.hh
src/graph/transform_iterator.hh
src/graph/util/graph_search.cc
src/graph/util/graph_search.hh
src/graph/util/graph_util_bind.cc
src/graph_tool/__init__.py
src/graph_tool/all.py
src/graph_tool/centrality/__init__.py
src/graph_tool/clustering/__init__.py
src/graph_tool/collection/__init__.py
src/graph_tool/collection/konect.py
src/graph_tool/correlations/__init__.py
src/graph_tool/decorators.py
src/graph_tool/dl_import.py
src/graph_tool/draw/__init__.py
src/graph_tool/draw/cairo_draw.py
src/graph_tool/draw/graphviz_draw.py
src/graph_tool/draw/gtk_draw.py
src/graph_tool/dynamics/__init__.py
src/graph_tool/flow/__init__.py
src/graph_tool/generation/__init__.py
src/graph_tool/gt_io.py
src/graph_tool/inference/__init__.py
src/graph_tool/inference/bisection.py
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/blockmodel_em.py
src/graph_tool/inference/latent_multigraph.py
src/graph_tool/inference/layered_blockmodel.py
src/graph_tool/inference/mcmc.py
src/graph_tool/inference/minimize.py
src/graph_tool/inference/modularity.py
src/graph_tool/inference/nested_blockmodel.py
src/graph_tool/inference/overlap_blockmodel.py
src/graph_tool/inference/partition_centroid.py
src/graph_tool/inference/partition_modes.py
src/graph_tool/inference/planted_partition.py
src/graph_tool/inference/uncertain_blockmodel.py
src/graph_tool/inference/util.py
src/graph_tool/search/__init__.py
src/graph_tool/spectral/__init__.py
src/graph_tool/stats/__init__.py
src/graph_tool/topology/__init__.py
src/graph_tool/util/__init__.py

commit 97b45f86
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-07

    CI: run sphinx tests in parallel

.gitlab-ci.yml

commit 463dfbb4
Merge: 42e857bc 4c8a80b5
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-06-06

    Merge branch 'simplify-shared-any' into 'master'
    
    Remove boost::any wrapper around std::shared_ptr
    
    See merge request count0/graph-tool!28

commit 42e857bc
Merge: 46993132 8ba30ef3
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-06-06

    Merge branch 'UB-constness' into 'master'
    
    Remove const qualifier from object that can be modified
    
    See merge request count0/graph-tool!27

commit 8ba30ef3
Author: Jeff Trull <edaskel@att.net>
Date:   2020-06-06

    Rename newly-private data member appropriately

src/graph/graph_properties.hh

commit 4c8a80b5
Author: Jeff Trull <edaskel@att.net>
Date:   2020-06-06

    Remove boost::any wrapper around std::shared_ptr
    
    std::shared_ptr provides a limited amount of type erasure natively
    based on void* and the fact that it stores the original type in the
    deleter. As a result, if you know the original type, you can call
    std::static_pointer_cast and recover a legitimate shared_ptr of the
    right type, very efficiently.
    
    It looks like the use of boost::any in this code is:
    
    1) to hide the pointed-to type so a uniform container can be used
    2) to represent "no pointer"
    
    both of which can be handled natively by shared_ptr<void> with a small
    performance gain from removing one indirection.

src/graph/graph.hh
src/graph/graph_filtering.hh

commit 46993132
Merge: 6f8ba179 e2827d35
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-06-06

    Merge branch 'pythonedge-final' into 'master'
    
    Mark PythonEdge as "final" per clang-tidy
    
    See merge request count0/graph-tool!26

commit ac746100
Author: Jeff Trull <edaskel@att.net>
Date:   2020-06-05

    Remove const qualifier from object that can be modified
    
    Modifying an object declared const is technically undefined behavior,
    and compilers are entitled to do as they like with such code. The most
    likely result - in the event of some future optimizer - would be
    elimination of the code performing the modification, although it could
    theoretically be anything.
    
    Given that ConstantPropertyMap defines an assignment operator already,
    simply changing the underlying data member to non-const (while making
    it private) seems to achieve the same result as the current code while
    avoiding UB.

src/graph/graph_properties.hh

commit e2827d35
Author: Jeff Trull <edaskel@att.net>
Date:   2020-06-05

    Mark PythonEdge as "final" per clang-tidy
    
    Classes and methods marked final have some optimization possibilities
    for the compiler, as some vtable lookups can be eliminated.

src/graph/graph_python_interface.hh

commit 6f8ba179
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-05

    NestedBlockState: fix bfield influence for higher levels
    
    This fixes issue #662

src/graph/inference/blockmodel/graph_blockmodel.hh

commit 164ac5f6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-05

    release: Increase NJOBS in Dockerfile

release/debian/Dockerfile

commit 0ca5f78f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-02

    inference: implement assortative SBMs

src/graph/inference/Makefile.am
src/graph/inference/graph_inference.cc
src/graph/inference/planted_partition/graph_planted_partition.cc
src/graph/inference/planted_partition/graph_planted_partition.hh
src/graph/inference/planted_partition/graph_planted_partition_mcmc.cc
src/graph/inference/planted_partition/graph_planted_partition_multiflip_mcmc.cc
src/graph_tool/Makefile.am
src/graph_tool/inference/__init__.py
src/graph_tool/inference/planted_partition.py

commit 32951567
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-02

    inference: isolate entropy_args

src/graph/inference/blockmodel/graph_blockmodel.hh
src/graph/inference/blockmodel/graph_blockmodel_exhaustive.hh
src/graph/inference/blockmodel/graph_blockmodel_gibbs.hh
src/graph/inference/blockmodel/graph_blockmodel_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_multiflip_mcmc.hh
src/graph/inference/blockmodel/graph_blockmodel_partition.hh
src/graph/inference/layers/graph_blockmodel_layers.hh
src/graph/inference/overlap/graph_blockmodel_overlap.hh
src/graph/inference/overlap/graph_blockmodel_overlap_mcmc_bundled.hh
src/graph/inference/partition_centroid/graph_partition_centroid.hh
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.hh
src/graph/inference/partition_modes/graph_partition_mode.hh
src/graph/inference/partition_modes/graph_partition_mode_clustering.hh
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/partition_centroid.py
src/graph_tool/inference/partition_modes.py

commit 96af75c9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-06-02

    sampler.hh: fix uniform_sample()

src/graph/generation/sampler.hh

commit 6bc2aa62
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-05-30

    CI: remove ubuntu disco

.gitlab-ci.yml

commit 46465e45
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-05-30

    Bump version to 2.33dev

configure.ac

commit 781cd4e8
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-05-29

    Bump version to 2.32

configure.ac

commit 5b6034b0
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-05-29

    isomorphism(): fix bug with large vertex invariants
    
    This fixes issues #653 and #655

src/graph_tool/topology/__init__.py

commit ac6a7a71
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-05-29

    graph_draw(): fix issue with property maps being changed
    
    This fixes issue #658

src/graph_tool/draw/cairo_draw.py

commit c0b1794f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-05-29

    inference: update cookbook and docstrings

doc/demos/inference/_minimization.rst
doc/demos/inference/_model_class_selection.rst
doc/demos/inference/_model_selection.rst
doc/demos/inference/_reconstruction.rst
doc/demos/inference/_reconstruction_dynamics.rst
doc/demos/inference/_sampling.rst
doc/demos/inference/inference.rst
src/graph/inference/partition_modes/graph_partition_mode.cc
src/graph/inference/partition_modes/graph_partition_mode.hh
src/graph_tool/inference/partition_centroid.py
src/graph_tool/inference/partition_modes.py

commit 100f01d4
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-04-10

    Implement partition modes, centroid and manipulation functions

doc/inference.rst
src/graph/inference/Makefile.am
src/graph/inference/blockmodel/graph_blockmodel_partition.hh
src/graph/inference/graph_inference.cc
src/graph/inference/partition_centroid/graph_partition_centroid.hh
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi.hh
src/graph/inference/partition_centroid/graph_partition_centroid_rmi_mcmc.cc
src/graph/inference/partition_centroid/graph_partition_centroid_rmi_multiflip_mcmc.cc
src/graph/inference/partition_modes/graph_partition_mode.cc
src/graph/inference/partition_modes/graph_partition_mode.hh
src/graph/inference/partition_modes/graph_partition_mode_clustering.cc
src/graph/inference/partition_modes/graph_partition_mode_clustering.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain_util.hh
src/graph_tool/inference/__init__.py
src/graph_tool/inference/nested_blockmodel.py
src/graph_tool/inference/partition_centroid.py
src/graph_tool/inference/partition_modes.py
src/graph_tool/inference/uncertain_blockmodel.py

commit d5f2e2c9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-05-28

    Fix compilation warnings with GCC 10

src/graph/graph_adjacency.hh
src/graph/graph_properties.hh
src/graph/inference/loops/mcmc_loop.hh
src/graph/layout/graph_arf.hh

commit 068d66d5
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-05-28

    graph_draw(): Fix automatic edge gradient for pie vertex shapes

src/graph/draw/graph_cairo_draw.cc
src/graph_tool/draw/__init__.py

commit 0996ea8b
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-05-28

    CI: add ubuntu focal build

.gitlab-ci.yml
release/debian/Dockerfile

commit 25270bf5
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-05-05

    Fix Graph.copy_property() for undirected graphs
    
    This fixes a problem which occurs when copying external property maps
    when using undirected graphs.

src/graph_tool/__init__.py

commit 162b8c06
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-05-01

    uncertain_blockmodel: fix state copying

src/graph_tool/inference/uncertain_blockmodel.py

commit 7008f4ff
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-05-01

    blockmodel: fix copying with new graph

src/graph_tool/inference/blockmodel.py

commit 2f049ff6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-04-27

    Fix computation and sampling from marginal multigraph

src/graph/inference/uncertain/graph_blockmodel_uncertain.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain_marginal.cc
src/graph_tool/inference/__init__.py
src/graph_tool/inference/uncertain_blockmodel.py

commit f2d4b756
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-04-26

    uncertain_blockmodel: avoid copying uentropy_args_t

src/graph/inference/uncertain/graph_blockmodel_dynamics.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_cising_glauber.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_epidemics.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_ising_glauber.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_cising.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising.cc
src/graph/inference/uncertain/graph_blockmodel_measured.cc
src/graph/inference/uncertain/graph_blockmodel_measured.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain.hh
src/graph/inference/uncertain/graph_blockmodel_uncertain_util.hh

commit d329acf4
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-04-26

    uncertain_blockmodel: implement set_state()

src/graph/inference/uncertain/graph_blockmodel_uncertain.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain_util.hh
src/graph_tool/inference/uncertain_blockmodel.py

commit bf3c8e36
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-04-26

    uncertail_blockmodel: implement marginal_multigraph_sample and marginal_graph_sample

src/graph/inference/uncertain/graph_blockmodel_uncertain.cc
src/graph/inference/uncertain/graph_blockmodel_uncertain_marginal.cc
src/graph_tool/inference/__init__.py
src/graph_tool/inference/uncertain_blockmodel.py

commit 36917e1f
Merge: d2dc156a 67f7464d
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-05-18

    Merge branch 'imports' into 'master'
    
    Remove unused imports
    
    See merge request count0/graph-tool!25

commit 67f7464d
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2020-05-17

    Remove unused imports

src/graph_tool/__init__.py
src/graph_tool/clustering/__init__.py
src/graph_tool/dl_import.py
src/graph_tool/draw/__init__.py
src/graph_tool/draw/cairo_draw.py
src/graph_tool/draw/graphviz_draw.py
src/graph_tool/draw/gtk_draw.py
src/graph_tool/generation/__init__.py
src/graph_tool/gt_io.py
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/blockmodel_em.py
src/graph_tool/inference/layered_blockmodel.py
src/graph_tool/inference/nested_blockmodel.py
src/graph_tool/inference/overlap_blockmodel.py
src/graph_tool/inference/partition_centroid.py
src/graph_tool/inference/partition_modes.py
src/graph_tool/inference/uncertain_blockmodel.py
src/graph_tool/search/__init__.py
src/graph_tool/stats/__init__.py
src/graph_tool/topology/__init__.py

commit d2dc156a
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-04-21

    mpl_nested_loop.hh: minor code-style changes

src/graph/mpl_nested_loop.hh

commit 3a03ce46
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-04-21

    nested_for_each(): fix version without value arguments
    
    The version of nested_for_each() without boost::any arguments must be
    called for every type, not only the first. This means the wrapped action
    must return false, otherwise the compiler will omit the remaining calls.

src/graph/mpl_nested_loop.hh

commit df5da3c4
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-04-21

    graph_draw(): fix fit_view=False behavior
    
    This fixes issue #651

src/graph_tool/draw/cairo_draw.py

commit 9f3fc571
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-04-15

    Maximum-weight bipartite matching: improve performance

src/graph/topology/graph_bipartite_weighted_matching.hh

commit a72dc4ec
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-04-15

    dynamics: fix behavior of epidemic models with constant_beta=True

src/graph/dynamics/graph_discrete.hh
src/graph_tool/dynamics/__init__.py

commit 7ddc03f0
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-04-10

    use inspect.getfullargspec instead of inspect.getargspec

src/graph_tool/decorators.py

commit 343c7b61
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-04-10

    Fix docstring typos

doc/demos/matplotlib/matplotlib.rst
src/graph_tool/dynamics/__init__.py
src/graph_tool/inference/uncertain_blockmodel.py

commit 6b062a27
Merge: 77c95cc2 bf16ec13
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-04-21

    Merge branch 'speedup/remove-dispatch-exceptions' into 'master'
    
    Remove exception throwing from hot path in dispatch
    
    See merge request count0/graph-tool!24

commit bf16ec13
Author: Jeff Trull <edaskel@att.net>
Date:   2020-04-18

    Remove exception throwing from hot path in dispatch
    
    Eliminate fail_cast and stop_iteration exceptions, replacing their
    use with bool success codes and fold expressions.

src/graph/mpl_nested_loop.hh

commit 77c95cc2
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-04-02

    Remove deprecated Python 2 compatibility

src/graph_tool/__init__.py
src/graph_tool/all.py
src/graph_tool/centrality/__init__.py
src/graph_tool/clustering/__init__.py
src/graph_tool/collection/__init__.py
src/graph_tool/collection/konect.py
src/graph_tool/correlations/__init__.py
src/graph_tool/decorators.py
src/graph_tool/dl_import.py
src/graph_tool/draw/__init__.py
src/graph_tool/draw/cairo_draw.py
src/graph_tool/draw/graphviz_draw.py
src/graph_tool/draw/gtk_draw.py
src/graph_tool/dynamics/__init__.py
src/graph_tool/flow/__init__.py
src/graph_tool/generation/__init__.py
src/graph_tool/gt_io.py
src/graph_tool/inference/__init__.py
src/graph_tool/inference/bisection.py
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/blockmodel_em.py
src/graph_tool/inference/layered_blockmodel.py
src/graph_tool/inference/mcmc.py
src/graph_tool/inference/minimize.py
src/graph_tool/inference/nested_blockmodel.py
src/graph_tool/inference/overlap_blockmodel.py
src/graph_tool/inference/partition_centroid.py
src/graph_tool/inference/partition_modes.py
src/graph_tool/inference/uncertain_blockmodel.py
src/graph_tool/inference/util.py
src/graph_tool/search/__init__.py
src/graph_tool/spectral/__init__.py
src/graph_tool/stats/__init__.py
src/graph_tool/topology/__init__.py
src/graph_tool/util/__init__.py

commit f758e17e
Merge: 12bdfb90 dfa0fa1d
Author: Tiago Peixoto <tiago@skewed.de>
Date:   2020-04-01

    Merge branch 'warnings' into 'master'
    
    Fix deprecation warnings
    
    See merge request count0/graph-tool!23

commit dfa0fa1d
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2020-04-01

    Use collections.abc.Iterable instead of collections.Iterable

src/graph_tool/__init__.py

commit 3c47097d
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2020-04-01

    Use inspect.getfullargspec instead of inspect.getarcspec

src/graph_tool/decorators.py

commit 5d5f626d
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   2020-04-01

    Turn off escape sequences in docstrings

src/graph_tool/inference/minimize.py
src/graph_tool/inference/nested_blockmodel.py
src/graph_tool/topology/__init__.py

commit 12bdfb90
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-04-01

    dynamics: fix unwanted graph modification in doctests

src/graph_tool/dynamics/__init__.py

commit 03744120
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-31

    central_point_dominance(): fixup docstest

src/graph_tool/centrality/__init__.py

commit 33abde0e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-30

    CI: remove cosmic build

.gitlab-ci.yml

commit 07b32023
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-30

    CI: add cosmic and disco builds

.gitlab-ci.yml

commit de6d1d4b
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-30

    CI: fix debian build and add debian versioning
    
    This fixes issue #642

release/debian/Dockerfile
release/debian/debian/rules

commit 80d54833
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-30

    CI: enable -flto to speedup compilation

.gitlab-ci.yml

commit 9b9d74ee
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-29

    CI: fix repository issue with docker release

.gitlab-ci.yml
release/docker/Dockerfile

commit 2cb4eea4
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-29

    CI: prevent tests being run for relase tags

.gitlab-ci.yml

commit 2fa3ce82
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-29

    Bump version to 2.32dev

configure.ac

commit 8561bac9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-27

    Bump version to 2.31

configure.ac

commit bdb172d2
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-28

    Fix CI release base

.gitlab-ci.yml

commit 00e73e78
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-27

    all_predecessors(): fix docstring
    
    This fixes issue #619

src/graph_tool/topology/__init__.py

commit 54b7fb85
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-27

    central_point_dominance(): fix doctest

src/graph_tool/centrality/__init__.py

commit 5d433574
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-27

    graph_draw(): fix 'bg_color' when drawing to file
    
    This fixes issue #641

src/graph_tool/draw/cairo_draw.py

commit 5da1cee9
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-27

    dynamics: change notation from 'infected' to 'infections'

src/graph_tool/dynamics/__init__.py

commit ef39caab
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-27

    dynamics: add vertex-specific parameters for epidemic models

src/graph/dynamics/graph_discrete.hh
src/graph_tool/dynamics/__init__.py

commit a1b97fbe
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-27

    dynamics: implement weighted versions of epidemic models
    
    This fixes issue #624

src/graph/dynamics/graph_discrete.cc
src/graph/dynamics/graph_discrete.hh
src/graph/graph_python_interface.cc
src/graph/graph_python_interface.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_continuous.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_discrete.hh
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising.cc
src/graph/inference/uncertain/graph_blockmodel_dynamics_pseudo_ising_mcmc_h.hh
src/graph_tool/dynamics/__init__.py

commit 3fb37596
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-27

    betweenness(): fix issue with normalization and central point dominance

src/boost-workaround/boost/graph/betweenness_centrality.hpp
src/graph/centrality/graph_betweenness.cc
src/graph_tool/centrality/__init__.py

commit 50559493
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-26

    Add 'edges' parameter to all_shortest_paths()
    
    This fixes issue #622

src/graph/topology/graph_distance.cc
src/graph_tool/topology/__init__.py

commit 1f67a67f
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-26

    Fix get_edges_prop() for layered NestedBlockState
    
    This fixes issue #544

src/graph_tool/inference/layered_blockmodel.py

commit 5571264d
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-26

    Diminish docker cpu-shares in CI

.gitlab-ci.yml

commit 611ff5a6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-26

    Change max_clique() doctest

src/graph_tool/topology/__init__.py

commit f98c0604
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-26

    Add small test graph to doc/

doc/g_small.gt

commit 5d34f982
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-25

    Fix tarball CI

.gitlab-ci.yml

commit 215139ef
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-25

    Reduce CI parellelism

release/debian/Dockerfile
release/debian/debian/rules
release/docker/Dockerfile

commit 046a379e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-25

    Add tarball build to CI

.gitlab-ci.yml

commit eacedf72
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-25

    Remove inferfence.rst from CI tests

.gitlab-ci.yml

commit 092e3058
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-25

    Add docker image build to CI

.gitlab-ci.yml
release/docker/Dockerfile
release/docker/PKGBUILD

commit 90357a3e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-25

    Add debian release CI integration

.gitlab-ci.yml
release/debian/Dockerfile
release/debian/debian/compat
release/debian/debian/control
release/debian/debian/rules
release/debian/git2debchangelog.sh

commit 4ddc1459
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-25

    ax_boost_python.m4: do a better job of identifying the correct object file

m4/ax_boost_python.m4

commit 9fbbe293
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-23

    Update documentation

doc/demos/cppextensions/cppextensions.rst
doc/demos/matplotlib/matplotlib.rst
doc/pyenv.py
src/graph_tool/inference/uncertain_blockmodel.py

commit af5c99b6
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-23

    Bump version to 2.31dev

configure.ac

commit 087aace0
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-23

    Bump version to 2.30

configure.ac

commit 3b9299e2
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-23

    Fix wrong copyright info

configure.ac
src/graph_tool/decorators.py

commit 26903a78
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-23

    Update documentation

doc/demos/inference/_minimization.rst
doc/demos/inference/_model_selection.rst
doc/demos/matplotlib/matplotlib.rst

commit 83db893e
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-23

    Update documentation

doc/demos/inference/_edge_weights.rst
doc/demos/inference/_minimization.rst
doc/demos/inference/_model_class_selection.rst
doc/demos/inference/_model_selection.rst
doc/demos/inference/inference.rst
src/graph_tool/inference/blockmodel.py
src/graph_tool/inference/uncertain_blockmodel.py

commit 9bbcb771
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-22

    Forward boost LD_FLAGS
    
    This fixes #554 and #555

configure.ac
m4/ax_lib_cgal_core.m4

commit 8ffeeb12
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-22

    motifs(): fix bug with 'return_maps=True`
    
    This fixes issue #627

src/graph_tool/clustering/__init__.py

commit 83ef9971
Author: Tiago de Paula Peixoto <tiago@skewed.de>
Date:   2020-03-22

    sfdp_layoyt(): check type of 'groups' parameter
    
    This fixes issue #632

src/graph_tool/draw/__init__.py

commit d1cdc9da
Author: Tiago de Paula Peixoto <tiago@skewed.de>
